2011-12-19  Junichi Satoh  <junichi@rworks.jp>

	* include/languages/ja.po, include/languages/ja.mo: Updated translation
	files.

2011-12-16  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_ff_threshold.php: Fixed Japanese word
	translations.

2011-12-16  Junichi Satoh  <junichi@rworks.jp>

	* godmode/agentes/module_manager.php: Fixed wrong pagination links
	after updating modules.

2011-12-15 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/servers/manage_recontask_form.php: Deleted notice due to 
	a non init variable.

2011-12-15 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_forecast.php
	include/functions_reporting.php: Added CSV functionality for 
	projection and prediction reports.

2011-12-15 Tomas Palacios <tomas.palacios@artica.es>

	* include/languages: Updated template, .po and .mo files.
	Updated template in Launchpad and completed
	Spanish and English translations.

2011-12-15 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_graph.php
	include/functions_reporting.php: Projection graphs are static now.

2011-12-15  Sergio Martin <sergio.martin@artica.es>

	* include/functions_forecast.php: Changed the kind of graph 
	for projection to static

2011-12-15 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/events/events_list.php
	operation/events/events.php: Added new option for display all 
	events in event viewer.

2011-12-15  Sergio Martin <sergio.martin@artica.es>

	* godmode/setup/setup.php: Fixed bad use of __() function

2011-12-14 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_events.php
	godmode/agentes/module_manager_editor_common.php
	godmode/agentes/module_manager.php: Some corrections over this 
	views.

2011-12-14  Junichi Satoh  <junichi@rworks.jp>

	* godmode/alerts/configure_alert_compound.php: Improved that actions
	can be removed in step 2. (Added delete button.)

2011-12-13  Ramon Novoa  <rnovoa@artica.es>

	* pandoradb_data.sql,
	  DEBIAN/control,
	  DEBIAN/make_deb_package.sh,
	  include/config_process.php,
	  install.php,
	  pandora_console.spec: Fixed version strings (were wrong
	  in the previous commit).

2011-12-13  Ramon Novoa  <rnovoa@artica.es>

	* pandoradb_data.sql,
	  DEBIAN/control,
	  DEBIAN/make_deb_package.sh,
	  include/config_process.php,
	  install.php,
	  pandora_console.spec: Updated version strings.

2011-12-13  Sergio Martin <sergio.martin@artica.es>

	* include/functions_users.php: Change the get user groups
	to return the groups orderer by name

2011-12-13  Sergio Martin <sergio.martin@artica.es>

	* include/functions_graph.php: Fixed a bug of the
	NO DATA images in the pdf graph reports

	* include/styles/pandora.css
	include/functions_reporting.php: Added styles to the 
	group report

2011-12-12  Sergio Martin <sergio.martin@artica.es>

	* include/functions_graph.php: Fixed some notices of the graphs
	when no data

	* include/functions_reporting.php
	include/functions.php
	godmode/reporting/reporting_builder.item_editor.php: Added the 
	first version of the new group report 3438332

2011-12-09  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_custom_logo.php: Changed height and width in
	this help view.

2011-12-08  Koichiro Kikuchi <koichiro@rworks.jp>

	* extensions/snmp_explorer.php: Call io_safe_input() for
	 module name and description when creating module.
	* include/functions_io.php: spaces to tabs.

2011-12-07  Sergio Martin <sergio.martin@artica.es>

	* include/functions_groups.php
	operation/agentes/group_view.php: Improved group view 
	with hierarchy to feature request 3444380

2011-12-07  Sergio Martin <sergio.martin@artica.es>

	* operation/agentes/estado_agente.php
	godmode/agentes/modificar_agente.php: Added tab on header in the
	agent list views to navigate from operation to godmode sections
	improving usability

2011-12-07  Sergio Martin <sergio.martin@artica.es>

	* include/functions_modules.php
	godmode/agentes/module_manager_editor_common.php
	godmode/agentes/module_manager.php: Added status column in 
	godmode view of modules and added delete button in 
	edition module view

	* operation/agentes/estado_monitores.php: Fixed missed
	extra query to not show modules of foreign policies

2011-12-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/agentes/estado_agente.php: Added filter by summarized 
	agent state.
	
	Pending task: #3389947

2011-12-07  Sergio Martin <sergio.martin@artica.es>

	* include/functions_api.php: Added two new functions 
	to external API: set_enable_module_alerts and 
	set_disable_module_alerts for feature request 3427673

2011-12-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/events/events_list.php
	operation/events/events.php: Added filter to hide/show alert events 
	in this view.
	
	Pending task: #3406323

2011-12-05 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/agentes/status_monitor.php: Added sort funcionality
	and resize module value feature for string module data types.

	Pending task: #3425266

2011-12-05 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/help/en/help_custom_logo.php
	include/help/es/help_custom_logo.php: Changed height and width in 
	this help view.
	
	Fixes: #3450145

2011-12-05 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/setup/os.php: List all OS is the page by defect.
	
	Fixes: #3450147

2011-12-05 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/agentes/agent_conf_gis.php
      godmode/gis_maps/configure_gis_map.php: Changed order of latitude,
      longitude and altitude in Gis maps information.
      
      Fixes: #3450292

2011-12-02  Sergio Martin <sergio.martin@artica.es>

	* include/functions_modules.php
	include/functions.php
	extensions/snmp_explorer.php
	godmode/agentes/configurar_agente.php
	godmode/massive/massive_edit_modules.php: Check if a module 
	name exists in the agent when you edit the module and
	improve the errors feedback

2011-12-02  Sergio Martin <sergio.martin@artica.es>

	* include/functions_modules.php
	include/functions_api.php
	include/functions.php
	extensions/snmp_explorer.php
	godmode/agentes/module_manager_editor_common.php
	godmode/agentes/configurar_agente.php: limited the 
	modules creation to not allows to create one if exists
	a module with the same name in the agent to avoid
	recreate a module when go back in the browser.
	Bugfix: 3416129

2011-12-01 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* extensions/snmp_explorer.php: Removed trace.

2011-12-01 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* extensions/snmp_explorer.php: Fixed snmp over IE8.
	
	Fixes: #3441762

2011-12-01  Sergio Martin <sergio.martin@artica.es>

	* extensions/insert_data.php: Improved the error message to
	multiple xml creations (csv) bug: 3426375

2011-11-30 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_config.php: Login hash pass can be left blank.
	
	Fixes: #3410190

2011-11-30 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/massive/massive_operations.php: Cleaned code.

2011-11-30 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_agents.php: Fixed call to agents_get_modules
	with id_agent = 0.

2011-11-30  Sergio Martin <sergio.martin@artica.es>

	* operation/agentes/estado_agente.php: Fixed pagination transfer
	from form in the operation agents view

2011-11-30 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_agents.php: Fixed bad sql sintax in 
	agents_get_agents function.

2011-11-30 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_agents.php: Fixed bad sql sintax in 
	agents_get_agents funtion.
	
	Fixes: #3445995

2011-11-30 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/agentes/estado_generalagente.php
	include/javascript/jquery.ui.dialog.js
	general/header.php: Fixed ui_dialog when graphs are displayed 
	behind.
	
	Fixes: #3441058

2011-11-30  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_gd.php: Fixed rounded corners 
	progress bar whit mode=1 and ratio < 30

2011-11-30 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/ajax/agent.php
	operation/agentes/exportdata.php: Fixed agent autocomplete 
	functionality.

2011-11-30 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_reporting.php: Fixed html render of combined 
	graphs.

2011-11-30  Sergio Martin <sergio.martin@artica.es>

	* godmode/massive/massive_edit_modules.php: Fixed massive
	module edition to not break module group, export id etc 
	when edit another field

2011-11-29 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* install.php: Fixed width style in step 2.
	
	Fixes: #3421097

2011-11-29  Sergio Martin <sergio.martin@artica.es>

	* include/functions_agents.php: Fixed filter of the operation
	agents view for bug 3445244

2011-11-29 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_graph.php
	include/functions_graph.php: Fixed PDF exportation of combined 
	graphs.

2011-11-29 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/events/events_list.php: Resized graph in this view.
	
	Fixed: #3411788

2011-11-29 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_graph.php: Added check for flash charts in pdf
	exportation.
	* operation/events/events_validate.php: Removed entities in this 
	view.

	Fixes: #3445106

2011-11-29 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/setup/setup_visuals.php: Added custom logo in visual 
	styles.

	Fixes: #3419712

2011-11-29 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/events/events.php: Fixed sound event popup over https.
	
	Fixes: #3443835

2011-11-29 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_reporting.php: Removed entities in events 
	reports.
	
	Fixes: #3445082

2011-11-29 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_graph.php
	 include/functions_reporting.php: Fixed custom graphs in preview 
	 reporting and PDF exportation.
	 
	 Fixes: #3444170

2011-11-29 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/snmpconsole/snmp_view.php: Fixed trap validation when
	the trap has Id equal to 1.
	
	Fixes: #3439289

2011-11-29 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	godmode/agentes/modificar_agente.php: Changed style in description
	column of this view. 

2011-11-29  Koichiro Kikuchi  <koichiro@rworks.jp>

	* extras/pandora_migrate_v3.2_to_v4.0.sql: Added missing alter statements
	for tnetwork_component table.

2011-11-29  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_ip_api_list.php: Added a new help file.

2011-11-28  Sergio Martin <sergio.martin@artica.es>

	* operation/incidents/incident_detail.php
	operation/integria_incidents/incident.incident.php
	operation/events/events_list.php: Fixed some bugs of the
	create incident from event form included the change of 
	target url when integria incidents are enabled
	bug: 3438251

2011-11-28 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/events/export_csv.php: Added filter to CSV importation 
	and removed entities.

2011-11-28  Sergio Martin <sergio.martin@artica.es>

	* include/functions_api.php
	include/help/en/help_ip_api_list.php
	include/help/es/help_ip_api_list.php
	godmode/setup/setup.php: Improved the IP ACL Access 
	list to allow substrings for bug 3438385

2011-11-28 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/events/events_list.php: Fixed bad cast from alphanumeric
	to numeric in timestamp conversion.

2011-11-28 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/events/events_list.php: Removed traces.

2011-11-28 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/events/events_list.php
	 operation/events/events.php: Added tag url popup, new style in 
	 extended event table and new fields.  

2011-11-28  Sergio Martin <sergio.martin@artica.es>

	* include/functions_config.php: Clean deprecated lock policies
	code for bug 3437881

2011-11-28  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_gd.php: Fixed rounded corners
	graphs when the progress is less than 30%

2011-11-28 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/agentes/status_monitor.php: Added variable 
	initialization in this code.

2011-11-28  Sergio Martin <sergio.martin@artica.es>

	* operation/integria_incidents/incident.php: Fixed check of 
	empty xml

2011-11-28 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_agents.php: Changed parameter in 
	policies_get_modules_sql_condition function call. 

2011-11-28  Junichi Satoh  <junichi@rworks.jp>

	* operation/agentes/status_monitor.php: Fixed the open version of
	'Monitor detail' fails.

2011-11-26  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_integria_url.php: Added a new help file.

2011-11-25 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/agentes/module_manager.php: Incremented agent description
	in this view.

	Fixes: #3424395

2011-11-25 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_agents.php
	 operation/menu.php
	 operation/gis_maps/render_view.php
	 operation/gis_maps/index.php
	 godmode/gis_maps/index.php: Fixed a problem with agent groups in 
	 gis maps.
	 
	 Fixes: #3438313

2011-11-25  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_gd.php: Fixed rounded corners in progress bar
	graphs for bug 3442005

2011-11-25 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_agents.php: Fixed sql error in agents_get_agents
	function.

2011-11-25 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/agentes/module_manager.php: Fixed an sql error.

2011-11-25  Sergio Martin <sergio.martin@artica.es>

	* include/functions_config.php: Fixed API IP list of
	access entities bug

2011-11-24  Sergio Martin <sergio.martin@artica.es>

	* include/functions_api.php
	include/functions.php
	include/functions_agents.php
	operation/search_modules.php
	operation/agentes/status_monitor.php
	operation/agentes/estado_ultimopaquete.php
	operation/agentes/alerts_status.php
	operation/agentes/estado_generalagente.php
	operation/agentes/estado_agente.php
	operation/agentes/estado_monitores.php
	operation/agentes/ver_agente.php
	operation/search_agents.php
	operation/search_alerts.php
	godmode/agentes/module_manager.php
	godmode/agentes/modificar_agente.php
	godmode/agentes/configurar_agente.php
	godmode/alerts/alert_list.list.php
	godmode/users/configure_user.php: Reconstruct policy acl
	system to allow in enterprise version get extra access for 
	a user in a policy

2011-11-24  Sergio Martin <sergio.martin@artica.es>

	* include/help/en/help_integria_url.php
	include/help/es/help_integria_url.php
	godmode/setup/setup.php: Added help for integria api
	url in setup

2011-11-24 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/setup/performance.php: Changed html element from input 
	text to select in SLA period (seconds) parameter.
	
	Fixes: #3437884

2011-11-24 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/agentes/estado_generalagente.php: Hide agent access 
	graph when "Use agent access graph" is disabled.
	
	Fixes: #3437893

2011-11-24 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/setup/setup.php: Added confirmation when "Use Enterprise 
	ACL System" is checked.
	
	Fixes: #3438190

2011-11-24 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/menu.php: Fixed a wrong sec2 tag that makes enterprise 
	ACLs fail.
	
	Fixes: #3439464

2011-11-24 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/agentes/networkmap.php
	 include/functions_networkmap.php: Added links to agents, modules 
	and groups in single view of networkmaps.
	
	Fixes: #3439487

2011-11-23 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/modules/manage_network_components.php: Removed entities.

2011-11-23 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* pandoradb.data.postgreSQL.sql
	 pandoradb.data.oracle.sql
	 pandoradb_data.sql: Fixed entities in tables tnetwork_component.
	 
	 Fixes: #3441112


2011-11-23 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/agentes/estado_agente.php: Added agent description in 
	this view.
	
	Fixes: # 3424337

2011-11-23 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/agentes/agent_conf_gis.php
	godmode/agentes/agent_manager.php: Fixed 'Ignore GIS data' and
	change labels.
	
	Fixes: #3437659

2011-11-22 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* images/skin/skin_default/include/styles/tip.css
	images/skin/skin_default/include/styles/pandora.css: Removed 
	background image in tip class.

2011-11-22 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/agentes/module_manager_editor_common.php: Removed entities
	from agent name.
	
	Fixes: #3437885

2011-11-22 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/servers/manage_recontask.php
	 godmode/servers/manage_recontask_form.php: Fixed bug due to 
	 autorefresh in these views.

2011-11-22 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/alerts/configure_alert_template.php: Fixed template 
	update. Thank you to Manuel Arostegui for the patch!

2011-11-17 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/snmpconsole/snmp_view.php: Added new free search and
	fix agent and OID combo search.

2011-11-17 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/snmpconsole/snmp_alert.php: Fixed bad time description.

	* godmode/reporting/visual_console_builder.editor.php
	 include/functions_visual_map.php: Now it's possible to link icons 
	 in visual console with a web page through the label. 

	* operation/visual_console/index.php
	 operation/visual_console/render_view.php
	 include/functions_config.php	 
	 operation/menu.php
	 godmode/menu.php
	 godmode/setup/setup.php
	 godmode/setup/setup_visuals.php
	 include/config_process.php: Added two new autorefresh 
	 parameters: one global and the other for visual console.

2011-11-17  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_network_map_enterprise.php,
	include/help/ja/help_view_services.php: Added missing help files.

2011-11-16 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/events/events.php: Fixed delete operation in this view.

2011-11-16  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_ff_threshold.php: Fixed a typo.

2011-11-16  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_ff_threshold.php: Modified to be understood more
	easily.

2011-11-15 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/events/events_validate.php
	operation/events/events.php: Fixed php warning and a wrong 
	description.

2011-11-15 Sancho lerena <slerena@artica.es>

	* godmode/snmpconsole/snmp_trap_generator.php: Fixed tool to generate
	SNMP Traps. Was broken due a re-placement at last-time. 


2011-11-14 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/javascript/pandora.js: Added ajax callback for metaconsole
	event search.

2011-11-14 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_menu.php
	 include/config_process.php
	 operation/menu.php
	 godmode/menu.php
	 godmode/reporting/visual_console_builder.php: Preserve autorefresh
	 time from visual console like global autorefresh parameter.

2011-11-12  Junichi Satoh  <junichi@rworks.jp>

	* general/logon_ok.php: Fixed bad representation that __('ago') is
	shown when "Timestamp or time comparation" is set to timestamp.
	
2011-11-11 Dario Rodriguez <dario.rodriguez@artica.es>

	* godmode/setup/gis_step_2.php: Fixed a small bug with a button.

2011-11-11 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/massive/massive_edit_agents.php: Added id field to form in
	this view.

2011-11-11 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/massive/massive_enable_disable_alerts.php
	godmode/massive/massive_operations.php: Correct mistake from my last 
	commit. 

2011-11-10 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/massive/massive_add_alerts.php
	godmode/massive/massive_delete_agents.php
	godmode/massive/massive_enable_disable_alerts.php
	godmode/massive/massive_operations.php
	godmode/massive/massive_delete_profiles.php
	godmode/massive/massive_edit_agents.php
	godmode/massive/massive_delete_action_alerts.php
	godmode/massive/massive_delete_modules.php
	godmode/massive/massive_add_profiles.php
	godmode/massive/massive_delete_alerts.php
	godmode/massive/massive_edit_modules.php
	godmode/massive/massive_standby_alerts.php
	godmode/massive/massive_add_action_alerts.php: Added spinner while
	waiting to massive operations result and added check of PHP conf.

2011-11-08 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/reporting/reporting_viewer.php: Added begin date control
	to this view.

2011-11-08 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/agentes/module_manager_editor.php: Fixed a typo.
	
	Fixes: #3422974

2011-11-08 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_reporting.php:
	 godmode/reporting/reporting_builder.item_editor.php: Fixed baseline
	 graphs also fixed some warnings.
	 
	 Fixes: #3414446

2011-11-08 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_graph.php
	 include/functions_forecast.php
	 include/functions_reporting.php
	 godmode/reporting/reporting_builder.preview.php: Fixed some 
	 warnings in this views.

2011-11-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/gis_maps/render_view.php: Fixed fullscreen mode.

	Fixes: #3433780

2011-11-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/events/events.php: Fixed confirmation in event deletion.
	
	Fixes: #3431148

2011-11-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/events/events_list.php: When an event doesn't have agent
	associated then don't display AlertSNMP as agent name.
	
	Fixes: #3414380

2011-11-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/agentes/estado_ultimopaquete.php
	godmode/agentes/module_manager.php: Added pagination to this views.
	
	Fixes: #3417746

2011-11-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/modules/manage_network_components_form.php: Fixed network 
	components interface problems.
	
	Fixes: #3421733
	
	* pandoradb.data.oracle.sql: I forgot to upload from last commit.

2011-11-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* pandoradb.data.postgreSQL.sql
	 pandoradb.data.oracle.sql
	 pandoradb_data.sql: Changed value of block_size row in tusuario 
	 table to 0 in order to make global configuration 
	 of this parameter the default.

2011-11-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/users/user_edit.php: Added contextual help for block 
	size for pagination.

2011-11-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/agentes/module_manager_editor_common.php: Improvement over
	module editor layout.
	
	Fixes: #3419810

2011-11-04 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_graph.php 
	 include/graphs/fgraph.php
	 include/functions_reporting.php
	 operation/agentes/ver_agente.php: Modules in 'top_n' reports are 
	 sorted and graphs are displayed.
	 
	 Fixes: #3422013

2011-11-03  Sancho Lerena <slerena@artica.es>

	* include/functions_html.php:  Skip config.php loading after load 
	the first one.

2011-11-03  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php: Fixed graphs to adapt bottom 
	margin with the font size and show the graphs properly when are
	so little

2011-11-02  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions.php: added function "check_refererer" for check
	refererers in some places.
	
	* extensions/extension_uploader.php, extensions/dbmanager.php,
	operation/incidents/incident.php, operation/incidents/incident_detail.php,
	godmode/servers/recon_script.php, godmode/users/configure_user.php,
	godmode/tag/edit_tag.php: securized this files to XSS and CSRF attacks. 

2011-11-03 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_reporting.php
	godmode/reporting/reporting_builder.preview.php: Changed begin date
	function in order to make it global for all items of a report.

2011-11-03 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_graph.php
	include/functions_forecast.php: Fixed X axis time format in graphs. 

2011-11-03 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_reporting.php
	godmode/reporting/reporting_builder.preview.php
	godmode/reporting/reporting_builder.php
	godmode/reporting/reporting_builder.item_editor.php: Added selector
	for report's items in order to choose the report begin date and
	added combo for sort SLA elements. 

2011-10-29  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_projection_graph.php,
	include/help/ja/help_prediction_date.php: Added new help files.

2011-10-28 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/modules/manage_network_components_form.php
	godmode/modules/manage_network_components_form_network.php
	godmode/modules/manage_network_components.php: Fixed network 
	components creation and interface problems.
	
	Fixes: #3421589

	* include/help/en/help_projection_graph.php
	include/help/en/help_prediction_date.php
	include/help/es/help_projection_graph.php
	include/help/es/help_prediction_date.php
	images/help/prediction_date.png
	images/help/projection_periods.png
	godmode/reporting/reporting_builder.item_editor.php: Added 
	contextual help. Forgot to update Changelog.

2011-10-28  Sergio Martin <sergio.martin@artica.es>

	* extensions/snmp_explorer.php: Improved snmp explorer to use
	description of the interfaces when name doesnt exist

2011-10-27 Javier Lanz <javier.lanz@artica.es>

	* operation/events/events_list.php: Added group name label to the
	events list.

2011-10-27 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/reporting/reporting_builder.item_editor.php: Added 1 week 
	interval for SLA reports.
	
	Fixes: #3426516
	
	* include/functions_forecast.php
	include/functions_reporting.php
	godmode/reporting/reporting_builder.php
	godmode/reporting/reporting_builder.item_editor.php: Changed 
	precission to float of max and min intervals on prediction date 
	report.

2011-10-27 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/agentes/agent_manager.php: Added confirmation at delete 
	agent time.
	
	Fixes: #3419809

2011-10-26 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/db/postgresql.php
	include/db/mysql.php
	include/db/oracle.php
	include/config_process.php
	include/functions_db.php: Fixed historic database functionality. 

	Fixes: #3423519

	* operation/agentes/datos_agente.php: Fixed layout in this view.

2011-10-26 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_graph.php
	include/functions_forecast.php
	include/functions_reporting.php
	include/functions.php
	godmode/reporting/reporting_builder.php
	godmode/reporting/reporting_builder.item_editor.php: Added two new
	types of reports 'projection graph' and 'prediction date'. 

2011-10-25  Sergio Martin <sergio.martin@artica.es>

	* godmode/agentes/module_manager_editor.php: Fixed keep_alive
	modules creation bug hidding the configuration data textarea 

2011-10-25  Sergio Martin <sergio.martin@artica.es>

	* include/functions_html.php: Deleted problematic name change
	into textarea function

2011-10-24  Junichi Satoh  <junichi@rworks.jp>

	* include/functions_api.php: Fixed 'id_alert_template' variable.

2011-10-21  Junichi Satoh  <junichi@rworks.jp>

	* godmode/alerts/configure_alert_compound.php: Fixed column order
	inconsistencies.

2011-10-19  Junichi Satoh  <junichi@rworks.jp>

	* mobile/operation/agents/monitor_status.php,
	mobile/operation/agents/tactical.php,
	mobile/operation/agents/view_alerts.php,
	mobile/operation/servers/view_servers.php: Fixed 'img' paths.

2011-10-14 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/agentes/module_manager_editor_common.php: Fixed column 
	width in this view.
	
	Fixes: #3423546

2011-10-14  Koichiro Kikuchi  <koichiro@rworks.jp>

	* include/help/en/help_alert_macros.php,
	  include/help/ja/help_alert_macros.php: Added the new
	  _plugin_parameters_ alert macro.

2011-10-13  Sergio Martin <sergio.martin@artica.es>

	* operation/events/events_list.php: Fixed events view sql 
	error to no admin users for bug 3422861

2011-10-11 Dario Rodriguez <dario.rodriguez@artica.es>

	* images/vmware.png: Added forgotten file.

2011-10-10 Tomas Palacios <tomas.palacios@artica.es>

	* extras/pandoradb_migrate_v3.2_to_v4.0.sql: Updated to provide
	additional compatibility with older versions of MySQL.

2011-10-10  Sergio Martin <sergio.martin@artica.es>

	* extensions/snmp_explorer.php: Updated missed fix in snmp explorer
	to create the modules correctly

2011-10-10  Sergio Martin <sergio.martin@artica.es>

	* godmode/users/configure_user.php: Deleted old fix of juanma to
	refresh skins when update to fix password update bug

2011-10-10 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/agentes/estado_ultimopaquete.php: Fixed layout in this 
	view when module data is a string.

2011-10-10 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/agentes/estado_monitores.php: Fixed query to add module 
	group in the agrupation. 

2011-10-10 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/agentes/modificar_agente.php: Filter in this view is 
	kept when an agent is deleted.
	
	Fixes: #3419823

2011-10-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/agentes/group_view.php: Fixed bad style when a group's 
	modules has alerts fired.
	
	Fixes: #3419822

2011-10-06  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_reporting_main_tab.php: Added a missing help
	file.
	
2011-10-06  Koichiro Kikuchi  <koichiro@rworks.jp>

	* include/help/en/help_alert_macros.php,
	  include/help/ja/help_alert_macros.php: Added 4 new macros.

2011-10-05 Sancho Lerena <slerena@artica.es>

	* functions_api.php: Added 4 new methods (enable/disable) alerts
	and modules. Request 3415505 on tracker by Hirofumi Kosaka.

2011-10-03 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/agentes/module_manager_editor_network.php: Added Js in 
	order to display combos correctly in IE.

2011-09-29  Sergio Martin <sergio.martin@artica.es>

	* extensions/snmp_explorer.php
	godmode/agentes/agent_manager.php: Fixed timeout problem
	with big machines changing the transfer to ajax data mode
	to serialize way. Fixed little bugs as None option when 
	are data and few checks to avoid errors when try create
	modules without select any OID.

2011-09-28  Sergio Martin <sergio.martin@artica.es>

	* godmode/setup/setup_auth.php: Fixed LDAP jquery problem
	in spanish translation for bug 3411881. Improved to
	charge the fields first time page is loaded

2011-09-28  Sergio Martin <sergio.martin@artica.es>

	* include/functions_graph.php: Fixed graphs engine to fix
	reports graphs swap between horizontal and vertical and 
	pdf view for bugs 3414107 and 3414124

2011-09-28  Sergio Martin <sergio.martin@artica.es>

	* include/javascript/jquery.pandora.controls.js: Moved part
	of the solution of last commit to the enterprise
 
2011-09-28  Sergio Martin <sergio.martin@artica.es>

	* include/javascript/jquery.pandora.controls.js: Fixed module 
	select refresh from jquery controls to fix the graph widget
	on dashboard

2011-09-26  Sancho Lerena <slerena@artica.es>

	* index.php: Fixed load of extension startup hook function.

2011-09-26 Javier Lanz <javier.lanz@artica.es>

	* godmode/alerts/alert_commands.php: Fixed updating a command.
	* ChangeLog: Fixed last commit date.

2011-09-26 Tomas Palacios <tomas.palacios@artica.es>

	* include/languages: Updated language files.

2011-09-26 Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_api.php: added the call "get_events" the filters for the
	free text in event description and status of event.

2011-09-26 Sancho Lerena <slerena@artica.es>

	* pandora_console/index.php: Developer mode disabled. 
	Ready for 4.0 release !

2011-09-26 Dario Rodriguez <dario.rodriguez@artica.es>

	* include/functions_graph.php: Fixed a problem with graphs which
	shows only a few points instead of all of them.

2011-09-26 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* install.php: Fixed height style attribute in step 3. 

2011-09-25 Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_api.php: added api call "set_validate_event".
	
	* include/api.php: fixed the login process for do more Pandora standar.

2011-09-23 Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_api.php: added the code for the return the more
	criticity event in the API call "get_events".

2011-09-23  Sancho Lerena <slerena@artica.es>

	* pandoradb_data.sql: Update version and DB Build.

	* DEBIAN/control,
	DEBIAN/make_deb_package.sh
	include/config.php
	include/config_process.php
	pandora_console_install
	install.php
	pandora_console.spec
	pandora_console.redhat.spec: Updated version.

	* extras/pandoradb_migrate_v3.2_to_v4.0.sql: Update version after
	migrate.

2011-09-23 Miguel de Dios  <miguel.dedios@artica.es>
	
	* operation/agentes/status_monitor.php: fixed the query for to don't show
	the "not_init" modules.

2011-09-23 Tomas Palacios <tomas.palacios@artica.es>

	* include/languages: Updated language files.

2011-09-22 Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_api.php: fixed the lost check for the timestamps in the
	"get_events" call.

2011-09-22 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/agentes/estado_monitores.php: Erased traces and db_clean_cache().
	
2011-09-22 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* pandoradb.sql
	extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added btree index on table
	tagente_modulo.

2011-09-22 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/agentes/estado_monitores.php: Improved response time modifying
	query over module agents.

2011-09-22  Sergio Martin <sergio.martin@artica.es>

	* extras/pandoradb_migrate_v3.2_to_v4.0.sql: Deleted
	duplicated line

	* godmode/reporting/reporting_builder.php: Fixed report graph
	insertion of id 0 in the reports for bugs 3412316 and 3412866 

2011-09-22 Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_api.php: replaced the anonymous function for the named
	function.

2011-09-21 Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_api.php: added code to get count of event when the api
	is called for the "get_events".

2011-09-21  Sergio Martin <sergio.martin@artica.es>

	* operation/events/events_list.php
	operation/events/events.php: Fixed entities in free search 
	filter of the events viewer when click an event name for
	bug 3411533

2011-09-21  Junichi Satoh  <junichi@rworks.jp>

	* include/javascript/jquery.pandora.controls.js: Fixed disabled agents
	are shown as blank. Contributed by Yusuke Arai. Thanks!

2011-09-21  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_servers.php,
	include/help/ja/help_service_elements_management.php,
	include/help/ja/help_service_management_edit.php,
	include/help/ja/help_services_management.php,
	include/help/ja/help_snmp_alert.php,
	include/help/ja/help_snmp_alert_custom.php,
	include/help/ja/help_snmp_explorer.php,
	include/help/ja/help_template_tab.php,
	include/help/ja/help_view_services_detail.php,
	include/help/ja/help_visual_console_editor_data_tab.php,
	include/help/ja/help_visual_console_editor_editor_tab.php,
	include/help/ja/help_visual_console_editor_preview_tab.php,
	include/help/ja/help_visual_console_editor_wizard_tab.php: Added new
	help files.

2011-09-20 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/messages/message.php: Fixed several mistakes on this 
	view.

2011-09-19 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/help/en/help_reporting_global_tab.php
	include/help/es/help_reporting_global_tab.php: Modified help file.
	
	* godmode/reporting/reporting_builder.item_editor.php: Added contextual 
	helps.

2011-09-19 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/help/en/help_network_map_enterprise.php
	include/help/es/help_network_map_enterprise.php: Added new help files.
	
	* extensions/insert_data.php
	extensions/extension_uploader.php
	godmode/reporting/reporting_builder.item_editor.php: Added contextual 
	helps.

2011-09-19  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_gis_tab.php,
	include/help/ja/help_graph_builder.php,
	include/help/ja/help_graph_editor.php,
	include/help/ja/help_graph_view.php,
	include/help/ja/help_inventory_tab.php,
	include/help/ja/help_local_component.php,
	include/help/ja/help_module_linking.php,
	include/help/ja/help_policy_agent.php,
	include/help/ja/help_policy_queue.php,
	include/help/ja/help_profile.php,
	include/help/ja/help_reporting_global_tab.php,
	include/help/ja/help_reporting_item_editor_tab.php,
	include/help/ja/help_reporting_list_items_tab.php,
	include/help/ja/help_reporting_preview_tab.php,
	include/help/ja/help_reporting_wizard_sla_tab.php,
	include/help/ja/help_reporting_wizard_tab.php: Added new help files.

2011-09-17  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_alert_action.php,
	include/help/ja/help_alert_command.php,
	include/help/ja/help_alert_compound.php,
	include/help/ja/help_alert_template.php,
	include/help/ja/help_collection_tab.php,
	include/help/ja/help_collections.php,
	include/help/ja/help_component_groups.php,
	include/help/ja/help_event_alert.php,
	include/help/ja/help_export_server.php,
	include/help/ja/help_external_alert.php: Added new help files.

2011-09-16 Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_api.php: added the "getgroups" call.

2011-09-16 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_agents.php: Avoid bad syntax sql query
	in agents_get_modules_data_count() function when an agent doesn't
	have modules.

2011-09-16 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/help/en/help_export_server.php
	include/help/en/help_servers.php
	include/help/es/help_export_server.php
	include/help/es/help_servers.php: Added new contextual helps.

	* godmode/servers/modificar_server.php
	godmode/tag/edit_tag.php: Modified contextual helps.

2011-09-16 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/help/es/help_reporting_list_items_tab.php
	godmode/reporting/graph_builder.php: Changed contextual helps.

2011-09-15 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/help/en/help_visual_console_editor_editor_tab.php
	include/help/en/help_reporting_list_items_tab.php
	include/help/en/help_alert_template.php
	include/help/en/help_alert_action.php
	include/help/en/help_alert_command.php
	include/help/en/help_alert_compound.php
	include/help/en/help_reporting_wizard_sla_tab.php
	include/help/en/help_reporting_wizard_tab.php
	include/help/en/help_graph_view.php
	include/help/en/help_module_linking.php
	include/help/en/help_visual_console_editor_list_elements_tab.php
	include/help/en/help_visual_console_editor_data_tab.php
	include/help/en/help_policy_agent.php
	include/help/en/help_profile.php
	include/help/en/help_visual_console_editor_wizard_tab.php
	include/help/en/help_graph_builder.php
	include/help/en/help_event_alert.php
	include/help/en/help_external_alert.php
	include/help/en/help_visual_console_editor_preview_tab.php
	include/help/en/help_reporting_item_editor_tab.php
	include/help/en/help_snmp_alert_custom.php
	include/help/en/help_reporting_preview_tab.php
	include/help/en/help_policy_queue.php
	include/help/en/help_snmp_alert.php
	include/help/en/help_graph_editor.php
	include/help/en/help_reporting_global_tab.php
	include/help/es/help_visual_console_editor_editor_tab.php
	include/help/es/help_reporting_list_items_tab.php
	include/help/es/help_alert_template.php
	include/help/es/help_alert_action.php
	include/help/es/help_alert_command.php
	include/help/es/help_alert_compound.php
	include/help/es/help_reporting_wizard_sla_tab.php
	include/help/es/help_reporting_wizard_tab.php
	include/help/es/help_graph_view.php
	include/help/es/help_module_linking.php
	include/help/es/help_visual_console_editor_list_elements_tab.php
	include/help/es/help_visual_console_editor_data_tab.php
	include/help/es/help_policy_agent.php
	include/help/es/help_profile.php
	include/help/es/help_visual_console_editor_wizard_tab.php
	include/help/es/help_graph_builder.php
	include/help/es/help_event_alert.php
	include/help/es/help_external_alert.php
	include/help/es/help_visual_console_editor_preview_tab.php
	include/help/es/help_reporting_item_editor_tab.php
	include/help/es/help_snmp_alert_custom.php
	include/help/es/help_reporting_preview_tab.php
	include/help/es/help_policy_queue.php
	include/help/es/help_snmp_alert.php
	include/help/es/help_graph_editor.php
	include/help/es/help_reporting_global_tab.php: New help pages.

	* godmode/alerts/alert_list.list.php
	godmode/alerts/alert_compounds.php
	godmode/alerts/alert_templates.php
	godmode/alerts/alert_actions.php
	godmode/alerts/alert_list.builder.php
	godmode/alerts/alert_commands.php
	godmode/snmpconsole/snmp_alert.php
	godmode/users/profile_list.php
	godmode/modules/manage_network_templates.php
	godmode/reporting/graph_builder.php: Added contextual alerts.

2011-09-14  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions.php: cleaned source code style.
	
	* include/functions_events.php: added the parameter to return only url
	in function "events_print_type_img".
	
	* include/functions_api.php: now the api in getevents return more data.

2011-09-14  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_api.php: added in the output of get events the agent
	name and group name.

2011-09-14 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/help/en/help_gis_tab.php
	include/help/en/help_local_component.php
	include/help/en/help_component_groups.php
	include/help/en/help_collection_tab.php
	include/help/en/help_inventory_tab.php
	include/help/en/help_snmp_explorer.php
	include/help/en/help_collections.php
	include/help/en/help_template_tab.php
	include/help/en/help_service_management_edit.php
	include/help/es/help_service_elements_management.php
	include/help/es/help_gis_tab.php
	include/help/es/help_view_services_detail.php
	include/help/es/help_component_groups.php
	include/help/es/help_collection_tab.php
	include/help/es/help_inventory_tab.php
	include/help/es/help_snmp_explorer.php
	include/help/es/help_collections.php
	include/help/es/help_template_tab.php
	include/help/es/help_service_management_edit.php
	include/help/es/help_view_services.php
	include/help/es/help_services_management.php: Added new contextual helps.

	* include/help/en/help_service_elements_management.php
	include/help/en/help_view_services_detail.php
	include/help/en/help_services_management.php: Modified contextual helps.

	* include/help/en/help_service_elements_management.php
	include/help/en/help_view_services_detail.php
	include/help/en/help_services_management.php
	godmode/agentes/planned_downtime.php
	godmode/agentes/agent_manager.php
	godmode/modules/manage_network_components.php: Added contextual helps.

	* godmode/modules/manage_nc_groups.php: Fixed delete action over component groups when they
	have child components groups.

2011-09-08  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_api.php: fixed output of api without html entities.

2011-09-13  Sergio Martin <sergio.martin@artica.es>

	* images/status_sets/faces/module_no_data.png
	images/status_sets/color_text/module_no_data.png: Duplicated 
	agent_no_data status images to module_no_data in color_text
	and faces sets for bug 3408420

2011-09-13  Sergio Martin <sergio.martin@artica.es>

	* godmode/modules/manage_network_templates_form.php: Added component
	name filter to component templates form to bug 3406374

2011-09-13  Junichi Satoh  <junichi@rworks.jp>

	* include/functions_api.php: Fixed module name filtering in
	'get events' does not work correctly.

2011-09-12  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_api.php, include/api.php: added the code for to
	extract events in the android event viewer.

	* operation/events/events_list.php: cleaned source code style.

2011-09-12 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_reporting.php: Fixed bad condition in serialized 
	reports code.

2011-09-11  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_action_threshold.php: Added a new help file.

2011-09-08  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_api.php: fixed the array key for module name.

2011-09-08  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_api.php: fixed in function "otherParameter2Filter" the
	simbol of timestamp comparation and separate the AND operator. And added
	2 more filters, the "limit" and the "offset".

2011-09-08 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/setup/performance.php
	godmode/setup/setup_visuals.php: Added contextual help in this views.
	* include/functions_reporting.php: Now serialized reports get numeric data.

2011-09-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/setup/setup.php: Url and Integria password are checked and 
	it is showed at advise in case of error. 

	Fixes: #3396567

2011-09-06  Miguel de Dios  <miguel.dedios@artica.es>
	
	* general/pandora_help.php: changet the text align of footer.
	
	Fixes: #3371432

2011-09-06  Miguel de Dios  <miguel.dedios@artica.es>
	
	* operation/messages/message.php: now show more error messages in case the
	user error or group error.
	
	Fixes: #3371451

2011-09-06  Miguel de Dios  <miguel.dedios@artica.es>
	
	* operation/extensions.php: update the style of page.
	
	Fixes: #3371523

2011-09-06 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/modules/manage_network_templates.php: Added description titles
	to action buttons on this view.

	Fixes: #3373300

2011-09-06 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/styles/pandora_forms.css
	include/styles/pandora_minimal.css
	include/styles/pandora_black.css
	include/styles/pandora.css: Changed style for calendar.

	* images/skin/skin_default/include/styles/menu.css: Added icon for 
	networkmap with skin configuration.

2011-09-06 Javier Lanz <javier.lanz@artica.es>

	* include/help/en/help_timesource.php: Changed a wee translation bug
	and fixed style format
	* godmode/setup/setup.php: Fixed a field name, written properly.

2011-09-06  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/styles/pandora.css,
	images/skin/skin_default/include/styles/pandora.css: added items to set the
	style of calendar tooltip.
	
	* include/calendar.js, include/javascript/calendar.js: erased the styles
	for the calendar.
	
	Fixes: #3371449

2011-09-06  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_graph.php: hidden the legend of datas with 0 value.
	
	Fixes: #3379756

2011-09-06  Miguel de Dios  <miguel.dedios@artica.es>
	
	* operation/events/events_rss.php, operation/events/export_csv.php: fixed
	the output html entities and html entities of html entities.
	
	Fixes: #3389980

2011-09-06 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/setup/setup.php: Avoiding wrong integria inventory object data.

2011-09-05  Miguel de Dios  <miguel.dedios@artica.es>
	
	* operation/agentes/alerts_status.php: change the user rights to validate
	alert, before it was "LW" and now it is "AW". This new user rights tell me
	Sancho.

2011-09-05  Miguel de Dios  <miguel.dedios@artica.es>
	
	* general/logon_ok.php: change the text to be a correct sentence.
	
	Fixex: #3394390

2011-09-05  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/help/en/help_action_threshold.php,
	include/help/es/help_action_threshold.php: added help for threshold from
	the wiki documentation.
	
	Fixes: #3371385

2011-09-05 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/setup/setup.php: Added contextual help in this view.

2011-09-05  Miguel de Dios  <miguel.dedios@artica.es>
	
	* operation/agentes/exportdata.php: fixed when havent any data in any
	group.
	
	Fixes: #3371412

2011-09-05  Miguel de Dios  <miguel.dedios@artica.es>
	
	* extensions/system_info.php: show the location of file.
	
	Fixes: #3384516

2011-09-05  Miguel de Dios  <miguel.dedios@artica.es>
	
	* godmode/agentes/planned_downtime.php: fixed to avoid create or update
	"Planned downtimes" with empty names or all white spaces or identical name
	to others. And disabled the button to add agent in the "Planned downtimes"
	when in the list of agents in group is none.
	
	Fixes: #3371256

2011-09-05 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* general/pandora_help.php: Fixed visualization error on this view.

2011-09-05 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/setup/gis_step_2.php: Changed style in titles to match
	new style pattern.
	
2011-09-05  Miguel de Dios  <miguel.dedios@artica.es>
	
	* godmode/gis_maps/configure_gis_map.php: fixed the form to create or
	update gis connections.
	
	Fixes: #3403160

2011-09-03  Junichi Satoh  <junichi@rworks.jp>

	* godmode/massive/massive_delete_alerts.php,
	godmode/massive/massive_edit_modules.php,
	operation/agentes/ver_agente.php: Added group recursion	feature,
	it allows to search agents in child groups. These three changes
	are contributed by Yusuke Arai. Thanks!

2011-09-02 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* install.php: Fixed css style in this view.
	
	Fixes: #3400123

2011-09-02 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/alerts/alert_list.list.php: Fixed css style in this view.
	
	Fixes: #3397522

2011-09-02 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_agents.php: Fixed function agents_get_modules()
	where modules are retrieve.

2011-09-02  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/config_process.php: set by default the mysql connection type
	because in older isntallations update to 4 have not this token in
	config.php.
	
	Fixes: #3395947

2011-09-02 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_alerts.php: fixed alerts_get_alert_agent_module_actions()
	function to avoid PHP warnings on alert compound display.

2011-09-02  Junichi Satoh  <junichi@rworks.jp>

	* godmode/massive/massive_add_action_alerts.php,
	godmode/massive/massive_delete_action_alerts.php: Added group recursion
	feature, it allows to search agents in child groups.

2011-09-01 Javier Lanz <javier.lanz@artica.es>

	* include/functions_filemanager.php: Improved detecting mime types

	Fixes: #3389654

2011-09-01  Miguel de Dios  <miguel.dedios@artica.es>
	
	* operation/incidents/incident_detail.php: fixed the entities in the name
	of file in the action to upload and delete.
	
	Fixes: #3397447

2011-09-01  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_agents.php: added the other part of logical expression
	in the patch of strstr. 

2011-09-01  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_users.php: added the function "users_get_first_group"
	another parameter, $all_group, to return all group or not, by default is
	true.
	
	Fixes: #3401582

2011-09-01  Miguel de Dios  <miguel.dedios@artica.es>
	
	* ChangeLog: sorry I mistake the number of bug in Sourceforge tracker.

2011-09-01  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_graph.php: fixed to show empty graph in new
	installations without data.
	
	Fixes: #3371518

2011-09-01 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/snmpconsole/snmp_filters.php: Added confirmation message in 
	delete action.

2011-09-01  Miguel de Dios  <miguel.dedios@artica.es>
	
	* godmode/modules/manage_nc_groups.php: fixed the javascript to promt to
	confirm the delete. And fixed the link to delete that in some browsers
	crash.
	
	Fixes: #3402336

2011-09-01  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_groups.php: fixed when the group haven't a icon.
	
	* operation/menu.php: applied the safe_out before the print a piece the
	name of map in submenu.
	 
	* operation/gis_maps/render_view.php: fixed the name of agents with white
	spaces.
	
	Fixes: #3398436

2011-09-01 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* images/groups_small/without_group.bad.png
	images/groups_small/without_group.ok.png
	images/groups_small/without_group.png
	images/groups_small/without_group.warning.png
	images/groups_small/without_group.default.png: Added state icons
	for gis maps.

2011-09-01 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* images/without_group.png: Added image to groups without icon.

2011-09-01 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/javascript/jquery.pandora.controls.js: Filter keycount variable
	in pandoraSelectGroupAgent javascript function.
	* godmode/massive/massive_add_action_alerts.php: Added 'Any' label to
	agents combo in this view and correct a typo.

2011-09-01  Miguel de Dios  <miguel.dedios@artica.es>
	
	* operation/agentes/ver_agente.php: fixed the massive deletion alerts with
	modules with white spaces.

2011-09-01 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_agents.php: changed function strstr() for 
	substr() in agents_get_modules function.

2011-09-01  Sergio Martin <sergio.martin@artica.es>

	* extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added delete_pending
	cleaning in the modules table to avoid possible past modules with
	wrong name

2011-08-31  Miguel de Dios  <miguel.dedios@artica.es>
	
	* godmode/massive/massive_edit_modules.php: fixed when is selected "any"
	agent, with white space run fine.
	
	Fixes: #3401591

2011-08-31  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_agents.php: fixed the fields as sql operations as field.
	
	Fixes: #3400237

2011-08-31 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_alerts.php: Fixed alerts_get_agents_with_alert_template
	function in order to not retrieve delete modules.

	Fixes: #3401666

2011-08-31  Miguel de Dios  <miguel.dedios@artica.es>
	
	* extensions/update_manager/lib/libupdate_manager_client.php,
	extensions/update_manager/main.php: fixed when the file is corrupted or
	empty.
	
	Fixes: #3400237

2011-08-31  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions.php: fixed in function "string2image" when generate a
	image in other location, now have one more parameter, $homeurl, by default
	empty string.

2011-08-31 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/users/user_edit.php: Reload page to update skin.

2011-08-30 Koichiro Kikuchi <koichiro@rworks.jp>

	* include/functions_api.php: Fixed join parameter to avoid
	  generating unusable module lines.

2011-08-30 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/users/configure_user.php: Now action state is showed
	when update user action is performed.

2011-08-30 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/users/configure_user.php: Reload page to update skin.

2011-08-30  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_graph.php, include/graphs/functions_fsgraph.php,
	include/graphs/fgraph.php: added the parameter $reduce_data_columns by
	default false for to use in vertical columns graph.

2011-08-30  Sergio Martin <sergio.martin@artica.es>

	* operation/agentes/estado_agente.php: Fixed URL injection replacing
	safe_input for safe_input_html

2011-08-30  Junichi Satoh  <junichi@rworks.jp>

	* godmode/massive/massive_enable_disable_alerts.php,
	godmode/massive/massive_standby_alerts.php: Added group recursion
	feature, it allows to search agents in child groups.

2011-08-30  Junichi Satoh  <junichi@rworks.jp>

	* godmode/agentes/modificar_agente.php: Fixed group recursion does
	not work with IE8.

2011-08-29  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/graphs/functions_fsgraph.php, include/graphs/fgraph.php: added
	$homeurl parameter to graph vertical column in flash.
	
	Fixes: #3398097

2011-08-29 Dario Rodriguez <dario.rodriguez@artica.es>

	* include/functions_graph.php: Fixed a bug setting graphic resolution
	to 1 that displays some errors with event graphs. 

	Fixes: #3398524

2011-08-29 Javier Lanz <javier.lanz@artica.es>

	* operation/agentes/ver_agente.php: Fixed a bug filling modules combo

	Fixes: #3397520

2011-08-29  Sergio Martin <sergio.martin@artica.es>

	* images/attachment_del.png: Added new icon to policy queue

2011-08-29  Sergio Martin <sergio.martin@artica.es>

	* include/db/mysql.php: Fixed the Rollback function in 
	mysql engine to reset auto mode after rollback action

2011-08-29  Miguel de Dios  <miguel.dedios@artica.es>
	
	* godmode/agentes/configurar_agente.php: added in the call
	"config_agents_write_module_in_conf" the parameter to disabled local
	modulo.
	
	Fixes: #3400159

2011-08-29  Vanessa Gil  <vanessa.gil@artica.es>

	*godmode/agentes/fields_manager.php: Fixed: is possible to create custom fields with the same name.

2011-08-29  Miguel de Dios  <miguel.dedios@artica.es>
	
	* godmode/reporting/map_builder.php: wrote the source code for copy the
	relationships between a copy of items in a visual console.
	
	Fixes: #3400124

2011-08-29  Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_visual_map.php: fixed the clean $id_agent var for
	each iteration.
	
	Fixes: #3400111

2011-08-29  Junichi Satoh  <junichi@rworks.jp>

	* godmode/massive/massive_add_alerts.php: Added group recursion
	feature, it allows to search agents in child groups.

2011-08-29  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_snmp_alert_field1.php: Added a new help file.

2011-08-26 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/styles/pandora.css
	operation/events/events_list.php: Fixed css style on th view.

	Fixes: #3394739

2011-08-25  Miguel de Dios  <miguel.dedios@artica.es>
	
	* operation/agentes/datos_agente.php: change the width of data table. 

	Fixes: #3398098

2011-08-25  Miguel de Dios  <miguel.dedios@artica.es>
	
	* extensions/update_manager.php: check if the field "update_server_path" in
	the table is the last path for Pandora v4 and update.
	
	* extensions/update_manager/main.php: rewrite the text to message for show
	only Pandora FMS instead the Pandora FMS vX.
	
	*extensions/update_manager/sql/update_manager.sql,
	extensions/update_manager/sql/update_manager.postgreSQL.sql,
	extensions/update_manager/sql/update_manager.oracle.sql: update the
	"update_server_path" to Pandora v4.

	Fixes: #3394754

2011-08-25  Miguel de Dios  <miguel.dedios@artica.es>
	
	* godmode/modules/manage_network_templates.php,
	godmode/modules/manage_network_components.php,
	godmode/modules/manage_nc_groups.php: added checkboxes in the elements in
	the list and main checkbox to select all checkboxes, for to multiple delete.
	
	Fixes: #3390017

2011-08-25 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/styles/pandora.css: Fixes style in notify css element.

2011-08-25 Javier Lanz <javier.lanz@artica.es>

	* godmode/groups/configure_group.php: Removed the non-desired icons

	Fixes: #3397548

2011-08-25  Sergio Martin <sergio.martin@artica.es>

	* include/db/mysql.php: Fixed a bug in the sql_commit
	function to reset the database to autocommit mode

	* include/functions_tags.php: Added a missed sql_begin call
	to the tags creation function

2011-08-25 Javier Lanz <javier.lanz@artica.es>

	* include/functions_config.php: Fixed checking if remote configuration
	directory is not writtable for the console.

	Fixes: #3396471

2011-08-25  Junichi Satoh  <junichi@rworks.jp>

	* godmode/massive/massive_copy_modules.php: Added group recursion
	feature, it allows to search agents in child groups.

2011-08-24  Miguel de Dios  <miguel.dedios@artica.es>
	
	* godmode/agentes/module_manager_editor.php: added javascript alert message
	when the name in field and remote config is different.
	
	Fixes: #3397306

	* godmode/agentes/configurar_agente.php: fixed when copy a module the name
	now is safe input type.

2011-08-24  Sancho Lerena <slerena@artica.es>

	* include/help/en/help_snmp_alert_field1.php: New help page.

	* include/help/en/help_module_definition.php: Fixed odd chars.

	* images/groups_small/g_: Deleted unused icons.
	
	* images/groups_small/transmit.ok.png: Added margins and padding.
	
2011-08-24  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_modules.php: added the call to enterprise function for
	to copy the remote configuration when copy the modules.
	
	Fixes: #3397314

2011-08-24 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/incidents/incident_detail.php: Fixed table width in this 
	view. 

2011-08-24  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/reporting_builder.preview.php: fixed the include of
	php file.
	
	Fixes: #3396828

2011-08-23  Sancho Lerena <slerena@artica.es>

	* pandora_migrate_v3.2_to_v4.0.sql: Missing some alter sentences
	for trecon_task table. Added.

2011-08-22  Tomas Palacios  <tomas.palacios@artica.es>

	* pandora_console/pandoradb_data.sql
	pandora_console/pandoradb.data.oracle.sql
	pandora_console/pandoradb.postgreSQL.sql:updated the
	default site news.

	Fixes: Bug ID 3396846

2011-08-23  Sergio Martin <sergio.martin@artica.es>

	* operation/reporting/reporting_viewer.php: Fixed require embed 
	require_once problem in the reports view

2011-08-23 Javier Lanz <javier.lanz@artica.es>

	* include/functions_filemanager.php: Fixed an style bug in collections
	table

2011-08-23  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/agent_manager.php: fixed typo mistake.

2011-08-23  Sergio Martin <sergio.martin@artica.es>

	* include/functions_networkmap.php: Fixed a unecessary toLower
	call function

2011-08-23 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* images/skin/skin_default/images/plotchart.png: Added network console
	icon in default skin.

2011-08-23  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_networkmap.php: added parameter to cut the names
	by default is true.

2011-08-23  KIKUCHI Koichiro  <koichiro@rworks.jp>

	* operation/agentes/exportdata.php: Fixed format character for default
	  start_time and end_time.

2011-08-23  Junichi Satoh  <junichi@rworks.jp>

	* include/functions_modules.php: Added comment for the 5th argument
	of modules_get_agents_with_module_name().

2011-08-22  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_networkmap.php: fixed the create relative image for
	other installations such as in other paths into www directory.

2011-08-22  Junichi Satoh  <junichi@rworks.jp>

	* include/javascript/jquery.pandora.controls.js,
	godmode/groups/group_list.php,
	godmode/massive/massive_delete_agents.php,
	godmode/massive/massive_edit_agents.php,
	godmode/massive/massive_delete_modules.php,
	include/functions_modules.php: Added group recursion feature,
	it allows to search agents in child groups.
	
2011-08-22  SAncho Lerena <slerena@ærtica.es>

	* pandora_console.spec: Updated spec for being used in Suse build
	service.

2011-08-19  Sancho Lerena <slerena@artica.es>

	* pandoradb_data.sql: Added recon script SNMP by default.

	* DEBIAN/control,
	DEBIAN/make_deb_package.sh: Updated version (4.0RC1)

	* operation/agentes/graphs.php: By default will show only AVG graphs.

	* config_process.php: Updated version.

	* pandora_console.spec, 
	pandora_console.redhat.spec: Updated specs for 4.0RC1 release.

2011-08-19  Sancho Lerena <slerena@artica.es>

	* include/config_process.php: Fixed problem with timezone on page load
	in setup.

2011-08-19  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php: in function "graphic_agentaccess" fixed when
	the graph is empty, now show the standar Pandora image "no data to show".
	
	Fixes: #3393224

2011-08-19  Miguel de Dios  <miguel.dedios@artica.es>

	* include/styles/menu.css, operation/menu.php, images/plotchart.png: move
	to the upper level the Networkmap Console, and added image icon.

2011-08-19  Sergio Martin <sergio.martin@artica.es>

	* godmode/servers/manage_recontask_form.php: add more explanation in the
	scripts when select script.
	
	Fixes: #3393861

2011-08-19  Sergio Martin <sergio.martin@artica.es>

	* include/functions_graph.php: Fixed event graph by user
	into event statistics

2011-08-19  Miguel de Dios  <miguel.dedios@artica.es>

	* extensions/net_tools.php: fixed the try to execute any commands in the
	extensions.
	
	Fixes: #3393861

2011-08-18 Dario Rodriguez <dario.rodriguez@artica.es>

	* operation/menu.php: Fixed a bug which hide extension icons.
	Fixes: 3393214

2011-08-18 Dario Rodriguez <dario.rodriguez@artica.es>

	* operation/agentes/ver_agente.php: Added feature to show vmware manager
	extension tab only when the agent is a virtual machine.

2011-08-18  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/module_manager_editor_network.php: disabled snmp community
	when set the version 3, and added tooltip to show help in Auth and privacy
	pass about the eight characters minimum.

2011-08-18  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions.php: fixed the snmpwalk for version 3, the function
	need empty string instead null.

2011-08-18  Sancho Lerena <slerena@artica.es>

	* include/functions_servers.php: SNMP Server is SNMP Trap server.

2011-08-18 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* pandoradb_data.sql: Fixed bad sintax query on this script.

2011-08-18  Sergio Martin <sergio.martin@artica.es>

	* extensions/snmp_explorer.php
	godmode/massive/massive_operations.php: Delete snmp enterprise
	call from massive operations and crean code

2011-08-18  Sergio Martin <sergio.martin@artica.es>

	* extensions/snmp_explorer.php
	godmode/agentes/agent_manager.php: Add extension to the agents
	management to get modules from SNMP with a wizard 

2011-08-18  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora_modules.js: fixed get the parameters
	snmp3_auth_method and snmp3_privacy_method.

2011-08-17 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_modules.php: Format decimal numeric data
	in function modules_get_agentmodule when DB is Oracle.

2011-08-18  Sergio Martin <sergio.martin@artica.es>

	* operation/agentes/estado_generalagente.php: Changed the 
	IP address view in the agent info from a useless combo 
	to a text with the main addres and help_tip with the others

2011-08-17  Sancho lerena  <slerena@artica.es>

	* pandoradb.oracle.sql,
	pandoradb.postgreSQL.sql,
	extras/pandoradb_migrate_v3.2_to_v4.0.sql,
	pandoradb.sql: custom_oid now is text instead varchar(200).
	This allows alerts with huge regexp inside :-)

	* operation/snmpconsole/snmp_view.php: Custom info now is
	shown in only one label (Custom Data). Minor changes on layout.

	* godmode/snmpconsole/snmp_alert.php: Added help, resized controls
	and some other minor adjustments.

2011-08-17  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_html.php, include/functions_networkmap.php,
	include/functions_ui.php: fixed to use the name of file in tconfig_os
	instead the id for icon networkmap.

	* images/networkmap/*: renamed the image files to use the names of
	tconfig_os.

2011-08-17 Sancho Lerena  <slerena@artica.es>

	* operation/snmpconsole/snmp_view.php: SQL optimization and
	added space between icons.

	* snmp_wizard.png: New icon for new feature SNMP Wizard in 
	agent godmode (taken from enterprise massive SNMP module).

	* operation/snmpconsole/snmp_view.php: Fixed small ACL bug.

2011-08-17 Dario Rodriguez <dario.rodriguez@artica.es>

	* include/functions_networkmap.php: Fixed a bug with topology map


2011-08-17 Javier Lanz <javier.lanz@artica.es>

	* operation/snmpconsole/snmp_view.php: Fixed an style icon small bug

2011-08-17  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/modificar_agente.php: added better message when could
	delete agent with remote config.

2011-08-17  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_agents.php: check if Pandora can delete the conf and md5
	file in function "agents_delete_agent"
	
	* godmode/agentes/modificar_agente.php: show message of result from the
	deleting action.
	
	Fixes: #3392526

2011-08-17  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_visual_map.php,
	godmode/reporting/visual_console_builder.php,
	godmode/reporting/visual_console_builder.editor.js,
	godmode/reporting/visual_console_builder.editor.php: fixes more things, see
	the item in sourceforge tracker.
	
	Fixes: #3389987

2011-08-17 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* pandoradb.oracle.sql: Added columns 'module_action_threshold' and 
	'last_execution' on 'talert_template_module_actions' table.
	* include/functions_agents.php: Correct bad sintax query.

2011-08-17 Dario Rodriguez <dario.rodriguez@artica.es>

	* images/networkmap/so_vmware.png: Added icon of VMware for networkamps

2011-08-17 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/db/oracle.php
	include/functions_config.php
	operation/agentes/estado_ultimopaquete.php
	godmode/agentes/agent_manager.php: Changed some queries in order to make 
	them compatible with Oracle.
	
2011-08-17 Dario Rodriguez <dario.rodriguez@artica.es>

	* pandoradb_data.sql, images/os_icons/so_vmware.png, 
	images/os_icons/so_vmware_small.png, 
	extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added new icon for VMware
	architectures.

2011-08-16  Sancho Lerena <slerena@artica.es>

	* extensions/vnc_view.php,
	images/vnc.png: New version of VNC extension, to operate with remote plugin
	instead local one. Add a lot of docs about this extension and remote management
	with Pandora. Removed old stuff on SSH extension due problems reported.

2011-08-16  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php, operation/agentes/stat_win.php: fixeds to
	show always units, and now show only avg by default, and now run the
	showing baseline again.
	
	Fixes: #3390113

2011-08-16 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* pandoradb.oracle.sql
	include/functions_agents.php
	include/functions_networkmap.php: Removed several mistakes in Pandora
	console over Oracle. 

2011-08-16  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_servers.php: Renamed enterprise ICMP and SNMP
	  servers in the server view.

2011-08-16  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/db/db_sanity.php: fixes the notice php messages and warnings php
	messages. And fixed the uninitialised modules erasing.
	
	Fixes: #3392431

2011-08-16  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/estado_monitores.php: erased the notice php messages
	when $module["extended_info"] is empty.

2011-08-16  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/snmpconsole/snmp_view.php, godmode/menu.php,
	godmode/snmpconsole/snmp_trap_generator.php: moved the form to generate
	traps into godmode in the submenu "Manage SNMP console".
	
	Fixes: #3390513

2011-08-16 Dario Rodriguez <dario.rodriguez@artica.es>
	
	* pandoradb_data.sql: Changed days_compact field of tconfig to 90.
	This value set to disable db compact feature by default because is
	greater than days_purge (60 days).

2011-08-16  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/visual_console_builder.editor.js: fixed the warning in
	the apache logs, and show the percentile bar correctly in the visual console
	editor.
	
	Fixes: #3389967

2011-08-16  Miguel de Dios  <miguel.dedios@artica.es>

	* include/styles/pandora.css,
	images/skin/skin_default/include/styles/pandora.css, general/header.php:
	change the color of autorefresh in header.
	
	Fixes: #3371429 

2011-08-16 Javier Lanz <javier.lanz@artica.es>

	* extensions/module_groups.php: Fixed table width to 98%

2011-08-13  Sancho lerena <slerena@artica.es>

	* pandoradb_data.sql: Added default action "Pandora FMS event".

	* godmode/alerts/alert_actions.php: Fixed bug when update an action
	and name is the same.

	* godmode/snmpconsole/snmp_alert.php: Fixed witdh of field1.

2011-08-12  Sergio Martin <sergio.martin@artica.es>

	* include/functions_tags.php: Fixed false value in foreach

2011-08-12  Vanessa Gil  <vanessa.gil@artica.es>

	* operation/agentes/estado_agente.php: Fixed: Agent Search engine fails with blank at the beginning or end.

2011-08-12 Javier Lanz <javier.lanz@artica.es>

	* operation/agentes/exportdata.php: Fixed table style to page width 
	and text aligned to center.

2011-08-12 Javier Lanz <javier.lanz@artica.es>

	* include/config_process.php: Removed a forgotten html_debug_print call

2011-08-12 Javier Lanz <javier.lanz@artica.es>

	* operation/agentes/exportdata.php: Fixed calculating process to get
	module data within a period.

	Fixes: #3389996

2011-08-11  Sergio Martin <sergio.martin@artica.es>

	* include/config_process.php
	godmode/setup/setup_visuals.php: Fixed flash charts setup editor
	and user editor and set priority between both

2011-08-11  Sergio Martin <sergio.martin@artica.es>

	* include/functions_graph.php
	operation/incidents/incident_statistics.php: Fixed flash graphs
	into incidents statistics and added the group All to the Pie
	by groups into incident statistics

2011-08-11 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* pandoradb.data.oracle.sql: Removed tskin data from this script.

2011-08-11 Dario Rodriguez <dario.rodriguez@artica.es>

	* extensions/net_tools.php: Fixed a small bug related with agent
	without IP  

2011-08-11  Sergio Martin <sergio.martin@artica.es>

	* operation/agentes/stat_win.php: Fixed bad url build with 
	database host value. Now with SERVER_NAME from $_SERVER 

2011-08-11 Dario Rodriguez <dario.rodriguez@artica.es>

	* godmode/modules/manage_nc_groups.php: Fixed some problems with pagination 
	
2011-08-11  Sergio Martin <sergio.martin@artica.es>

	* operation/agentes/tactical.php: Fixed and improved wrong and ugly
	links from tactical view

2011-08-10  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_networkmap.php: fixed execution the generation when
	it is empty.

2011-08-10  Ramon Novoa  <rnovoa@artica.es>

	* pandoradb.sql, pandoradb.postgreSQL.sql, pandoradb.oracle.sql: Added
	  a new column to store extended module information.

	* operation/agentes/status_monitor.php,
	  operation/agentes/estado_monitores.php: Added help tips to display
	  extended module information.

	* extras/pandoradb_migrate_v3.2_to_v4.0.sql,
	  godmode/agentes/agent_manager.php,
	  include/styles/tip.css,
	  include/functions_ui.php: Added support for help tips with custom
	  images.

2011-08-10  Sancho Lerena <slerena@artica.es>

	* pandoradb_data.sql: New sensor as agent type. Updated version.

	* include/graphs/functions_gd.php: Progressbar has a fixed font size.

	* include/functions_config.php: By default now gets a fontsize 
	called "Smallfont"; ideal to be used with our graphs instead the
	other. Size is also smaller as default.

	* godmode/servers/manage_recontask.php: Fixed broken code (matching
	for NULL, now works).

	* godmode/servers/manage_recontask_form.php: Altered some default values
	to be better.

2011-08-10 Javier Lanz <javier.lanz@artica.es>

	* operation/agentes/exportdata.php: Fixed an ugly spelling mistake

2011-08-10 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_config.php: Fixed premature warning message about db
	maintenance over a new installation.

	Fixes: #3371197

2011-08-10  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_networkmap.php: fixed execution the generation when
	it is empty.

2011-08-10  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_menu.php, operation/menu.php, godmode/menu.php: fixed
	when set a icon in a enterprise extension for the entry in menu. And added
	the feature to set a default icon when the icon not exists.
	
	Fixes: #3388452

2011-08-10  Sancho Lerena <slerena@artica.es>

	* include/styles/pandora.css: Removed black line in header.

	* images/pandora_header_logo_enterprise.png,
	images/pandora_header_logo.png,
        general/header.php: Resized images and added a few pixels to let
	chrome render better the header on default style.

2011-08-10 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/styles/pandora.css: Fixed height on css header attributes.

2011-08-10  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/groups/modu_group_list.php: added pagination to list.
	
	Fixes: #3389009

2011-08-09 Javier Lanz <javier.lanz@artica.es>

	* operation/incidents/incident.incident.php,
	operation/incidents/incident.files.php,
	operation/incidents/incident.tracking.php,
	operation/incidents/incident.workunits.php,
	operation/incidents/incident.download_file.php,
	operation/incidents/incident.list.php: Deleted.

	* operation/incidents/incident.php,
	operation/incidents/incident_detail.php: Restored from a previous
	version due an incident moving and copying files.


2011-08-09 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* extensions/module_groups.php: Add tooltip message when a module group
	doesn't have alerts or are not fired.

	Fixes: #3388455

2011-08-09  Miguel de Dios  <miguel.dedios@artica.es>

	* DEBIAN/control: fixed the name of package and update version number.

2011-08-09 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* extensions/users_connected.php: Added a call to io_safe_input() function
	in order to retrieve users connected.

	Fixes: #3388470

2011-08-09  Vanessa Gil  <vanessa.gil@artica.es>

	* godmode/groups/group_list.php: Added groups must have a name and be unique.

2011-08-09 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/groups/group_list.php: Added db_clean_cache() in order
	to refresh query results in this view.  

	Fixes: #3388480

2011-08-09  Ramon Novoa  <rnovoa@artica.es>

	* pandoradb.sql, extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added
	  another index on tevento.estado. Thanks Manuel! :-)

2011-08-08 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/help/en/help_agent_status.php
	include/help/es/help_agent_status.php
	include/help/ja/help_agent_status.php: Fixes style on this view. 

	Fixes: #3371438

2011-08-08 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/styles/pandora.css
	general/pandora_help.php: Fixes style in help popups.

2011-08-08  Sergio Martin <sergio.martin@artica.es>

	* include/functions_ui.php: Improved tooltip link to
	avoid automatic go to the top of the page

2011-08-08 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_html.php
	include/functions_networkmap.php
	include/functions_ui.php: Fixes warnings in apache log due to wrong 
	parameters on graphviz node definitions.

	Fixes: #3375357

2011-08-08  Ramon Novoa  <rnovoa@artica.es>

	* pandoradb.sql, extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added a
	  few more indexes suggested by Manuel Arostegui. Thanks a lot!

2011-08-08  Ramon Novoa  <rnovoa@artica.es>

	* pandoradb.sql, extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added an
	  index on tagente_modulo.nombre to improve alert listings. Thanks to
	  Manuel Arostegui. 

2011-08-08 Dario Rodriguez <dario.rodriguez@artica.es>

	* operation/agentes/sla_view.php: Fixed a bug related to a function
	with a wrong name. 

2011-08-08  Sergio Martin <sergio.martin@artica.es>

	* include/config_process.php
	operation/users/user_edit.php
	godmode/setup/setup_visuals.php: Fixed global block size
	edition and user config default block size setting
	for bug 3388207

2011-08-08 Juan Manuel Ramon <juanmanuel.ramon@artica.es>
	* images/skin/skin_default/include/styles/pandora.css
	include/styles/pandora.css: pagination margin is very small in some 
	places.

	Fixes: #3388210 	

2011-08-05 Javier Lanz <javier.lanz@artica.es>

	* godmode/servers/plugin.php: Fixed blank names creating & updating
	pluings

	Fixes: #3371409

2011-08-05 Javier Lanz <javier.lanz@artica.es>

	* godmode/servers/recon_script.php: Fixed blank names creating and
	updating reconscripts

	Fixes: #3371409

2011-08-05 Javier Lanz <javier.lanz@artica.es>

	* godmode/tag/edit_tag.php: Fixed blank names creating & updating
	tags

	Fixes: #3371409

2011-08-04 Javier Lanz <javier.lanz@artica.es>

	* godmode/setup/links.php: Fixed blank names creating & updating links

	Fixes: #3371409

2011-08-04 Javier Lanz <javier.lanz@artica.es>

	* godmode/setup/os.php: Fixed blank names in OS names

	Fixes: #3371409

2011-08-04 Javier Lanz <javier.lanz@artica.es>

	* godmode/reporting/visual_console_builder.php: Fixed blank names in
	maps in visual console builder

	Fixes: #3371409

2011-08-04 Javier Lanz <javier.lanz@artica.es>

	* godmode/reporting/reporting_builder.php: Fixed blank names in reports

	Fixes: #3371409

2011-08-04 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* install.php: Improved css style in installer.	

2011-08-04  Ramon Novoa  <rnovoa@artica.es>

	* pandoradb.sql,
	  extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added two indexes to the
	  database schema to improve queries on talert_template_modules and
	  tserver_export. Thanks to Manuel Arostegui.

2011-08-04 Javier Lanz <javier.lanz@artica.es>

	* godmode/modules/manage_nc_groups.php: Fixed creating & updating
	component gruops with blank names

	Fixes: #3384668

2011-08-02 Javier Lanz <javier.lanz@artica.es>

	* images/skin/skin_default/include/styles/pandora.css: Removed old
	links to non-existing images

2011-08-02 Javier Lanz <javier.lanz@artica.es>

	* extensions/agents_modules.php: Changed background color of the text
	in the table header.

	Fixes: 3373927

2011-07-29  Sergio Martin <sergio.martin@artica.es>

	* operation/events/events_list.php: Change the events free search tag
	by a combo with all the possible tags for 3380040

2011-07-29  Sergio Martin <sergio.martin@artica.es>

	* operation/servers/view_server_detail.php: Changed the progress graph
	mode to show the percent text and not only graph. For bug 3379759

2011-07-29 Dario Rodriguez <dario.rodriguez@artica.es>

	* godmode/groups/group_list.php: Fixed a bug that allow
	to delete all agent groups and makes pandora unstable. 

2011-07-29 Dario Rodriguez <dario.rodriguez@artica.es>

	* godmode/modules/manage_network_templates_form.php: Fixed
	a bug with allows to create a module template without a
	name.

	Fixes: 3371381

2011-07-29 Dario Rodriguez <dario.rodriguez@artica.es>

	* include/functions_agents.php: Fixed a bug related to
	wrong value for a foreach function.

	Fixes: 3371341

2011-07-28  Sergio Martin <sergio.martin@artica.es>

	* include/functions_networkmap.php: Added new mode to 
	get networkmap function to allow get the map of another user

2011-07-28  Ramon Novoa  <rnovoa@artica.es>

	* operation/events/events_list.php: Changed the event pagination query
	  (was too slow).

2011-07-28  Sergio Martin <sergio.martin@artica.es>

	* include/config_process.php
	include/functions.php
	operation/agentes/stat_win.php
	general/pandora_help.php: Create new functions to manage pandora
	languages.
	Fix pandora_help languages to use the user language, no always the
	global language.
	Fix som SESSION index little bugs

2011-07-27  Ramon Novoa  <rnovoa@artica.es>

	* operation/events/events_list.php: Hide agent details unless we have
	  a valid agent id.

2011-07-27  Sergio Martin <sergio.martin@artica.es>

	* godmode/agentes/configurar_agente.php: Fixed bad parameters 
	on enterprise_hook

2011-07-27  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_servers.php: Added information for the new
	  enterprise servers.

2011-07-27  Sergio Martin <sergio.martin@artica.es>

	* include/functions_ui.php: Fixed shortcut icon link to avoid
	favicon.ico miss error in the apache log

2011-07-27  Sancho lerena <slerena@artica.es>

	* operation/servers/view_server.php: Fixed position of create button.

2011-07-27  Sergio Martin <sergio.martin@artica.es>

	* extensions/module_groups.php
	general/logon_ok.php: Change overflow-x:scroll by
	overflow-x:auto to avoid the ugly scroll when no 
	necessary

2011-07-27  Sergio Martin <sergio.matin@artica.es>

	* include/functions_html.php
	godmode/reporting/reporting_builder.php
	godmode/reporting/reporting_builder.item_editor.php: Fixed several
	warnings of undeclared variables and use of not supported parameter
	of function strstr in php 3.2

2011-07-27  Vanessa Gil  <vanessa.gil@artica.es>

	* operation/agentes/status_monitor.php: Update the monitor search with "Filter" button.

2011-07-26  Sergio Martin <sergio.martin@artica.es>

	* extras/pandoradb_migrate_v3.2_to_v4.0.sql: Changed null languages
	by "default" in tusuario to new languages system

2011-07-26  Vanessa Gil  <vanessa.gil@artica.es>

	* operation/agentes/alerts_status_functions.php: Update the alerts search with "Filter" button.

2011-07-26  Sergio Martin <sergio.martin@artica.es>

	* pandoradb_data.sql
	pandoradb.data.postgreSQL.sql
	pandoradb.data.oracle.sql: Set as default
	the language of the admin when install

	* include/config_process.php
	include/functions.php
	index.php
	operation/users/user_edit.php
	general/pandora_help.php
	godmode/users/configure_user.php: Added default
	option in the language combo when edit a user. If
	this option is choose, this user will has the 
	general setup language
	Fixed too the problem of the help screens language
	Bug: 3375174 

2011-07-22 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions.php: fixed the not login when open new window in some
	cases.

2011-07-22  Sergio Martin <sergio.martin@artica.es>

	* operation/events/events_marquee.php: Fixed a sql error
	of the events marquee when no groups in the system

2011-07-21  Sergio Martin <sergio.martin@artica.es>

	* godmode/users/profile_list.php
	godmode/users/configure_profile.php: Fixed url sec into
	profile management and target screen when create, update
	or delete a profile for bug 3372293

2011-07-21  Sergio Martin <sergio.martin@artica.es>

	* operation/incidents/incident.list.php: fixed table
	displayed instead of a message for bug 3372155

2011-07-21  Sergio Martin <sergio.martin@artica.es>

	* include/functions_users.php
	extensions/module_groups.php
	godmode/groups/modu_group_list.php
	godmode/groups/group_list.php
	godmode/alerts/alert_commands.php
	godmode/setup/os.list.php
	godmode/setup/news.php
	godmode/users/profile_list.php
	godmode/modules/manage_network_components.php
	godmode/modules/manage_nc_groups.php: Fixed several lonely 
	headers when no data and other no data little bugs for 3371455

2011-07-21  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_config.php: Set dbtype to mysql by default
	  (necessary for 3.2.1 to 4.0 upgrades).

2011-07-21  Ramon Novoa  <rnovoa@artica.es>

	* extras/pandoradb_migrate_v3.2_to_v4.0.sql: Fixed a typo.

2011-07-21  Sergio Martin <sergio.martin@artica.es>

	* operation/agentes/status_monitor.php: Fixed an empty group check
	and a subquery_enterprise not exist variables for bug 3371206

2011-07-21  Ramon Novoa  <rnovoa@artica.es>

	* extras/pandoradb_migrate_v3.2_to_v4.0.sql: Removed already existing
	  tables.

2011-07-21  Sergio Martin <sergio.martin@artica.es>

	* include/functions_graph.php: Set default values to width and height
	parameters in purge graph.

	* godmode/setup/os.list.php
	godmode/users/profile_list.php: Fixed typica bugs of foreach with
	no array variable

2011-07-21  Ramon Novoa  <rnovoa@artica.es>

	* DEBIAN/control: Removed php5-zlib (zlib comes with the default PHP
	  installation).

2011-07-21  Sergio Martin <sergio.martin@artica.es>

	* include/functions_menu.php: Fixed a bug of the side menu
	when the url have no sec2 parameter

2011-07-21  Sergio Martin <sergio.martin@artica.es>

	* include/functions_groups.php
	godmode/modules/manage_network_templates.php
	godmode/modules/manage_network_templates_form.php: Fixed few
	issues foreach errors
	
	* godmode/agentes/agent_manager.php
	godmode/massive/massive_edit_agents.php: Fixed icon agent colors
	bug

2011-07-20  Sergio Martin <sergio.martin@artica.es>

	* include/functions_menu.php: Fixed side menu confitions 
	to draw in bold style the selected subsections to allow
	secondary parameters like "&tab=agents" in the subsections

2011-07-20  Sergio Martin <sergio.martin@artica.es>

	* godmode/menu.php: Added users massive operation to the
	left menu into the massive ops category

2011-07-20  Sergio Martin <sergio.martin@artica.es>

	* godmode/massive/massive_edit_agents.php: Fixed agent icon
	missed in the massive operations merged from my own fix in 
	the agent edition of july 19th

2011-07-20  Sergio Martin <sergio.martin@artica.es>

	* godmode/agentes/planned_downtime.php: Fixed a empty group array
	bug

2011-07-20  Sergio Martin <sergio.martin@artica.es>

	* DEBIAN/control
	install.php
	pandora_console.spec: Added zlib dependence to console installer,
	deb package and spec pacage. Added too missed curl dependence to
	spec package

2011-07-20  Dario Rodriguez <dario.rodriguez@artica.es>
	
	* godmode/setup/links.php: Changing error msg to notice msg.

2011-07-20  Dario Rodriguez <dario.rodriguez@artica.es>
	
	* godmode/setup/links.php: Fixed a wrong code to work with an empty array.

2011-07-20  Sergio Martin <sergio.martin@artica.es>

	* include/styles/dialog.css: Fixed wrong path in the
	warning dialog header style 3371399

2011-07-20  Sergio Martin <sergio.martin@artica.es>

	* include/functions.php: Fixed enterprise_not_hook constant
	fail and log notice. Now the home page bar graphs are showed
	without data. Bug: 3371403

2011-07-20 Miguel de Dios  <miguel.dedios@artica.es>

	*images/minimenu_open_arrow.png, images/minimenu_close_arrow.png: added
	images for to use in networmap enterprise.

2011-07-20  Vanessa Gil  <vanessa.gil@artica.es>

	* pandora_console_install.php: Changed Pandora home directory.

2011-07-19  Sergio Martin <sergio.martin@artica.es>

	* godmode/agentes/agent_manager.php: Fixed agent icons
	in agent editor advanced options

2011-07-19  Sergio Martin <sergio.martin@artica.es>

	* godmode/admin_access_logs.php: Deleted old include 
	of graph engine

2011-07-19  Sergio Martin <sergio.martin@artica.es>

	* include/functions_networkmap.php
	include/functions_visual_map.php
	include/functions_agents.php: Fixed more errors when
	no agents for bug 3371316 

2011-07-19  Sergio Martin <sergio.martin@artica.es>

	* include/functions_html.php: Fixed check when no 
	agents for bug 3371316

2011-07-19  Sergio Martin <sergio.martin@artica.es>

	* include/functions_graph.php
	include/graphs/functions_fsgraph.php
	include/graphs/fgraph.php
	include/functions_reporting.php
	include/pandora_graph.php
	include/functions_visual_map.php
	include/ajax/visual_console_builder.ajax.php
	include/config_process.php
	include/functions_custom_graphs.php
	include/fgraph.php
	include/functions_fsgraph.php
	operation/incidents/incident_statistics.php
	operation/agentes/estado_generalagente.php
	operation/agentes/graphs.php
	operation/agentes/tactical.php
	operation/agentes/stat_win.php
	operation/servers/view_server.php
	operation/servers/view_server_detail.php
	operation/integria_incidents/incident_statistics.php
	operation/events/event_statistics.php
	operation/events/events_list.php
	operation/reporting/reporting_xml.php
	mobile/operation/agents/view_agents.php
	mobile/operation/agents/tactical.php
	general/logon_ok.php
	godmode/admin_access_logs.php
	godmode/db/db_info.php
	godmode/db/db_purge.php
	godmode/reporting/graph_builder.preview.php: Delete old graphic engine
	functions and rename the new ones to the final name (delete '2' suffix)

2011-07-18  Sergio Martin <sergio.martin@artica.es>

	* godmode/massive/massive_operations.php: Fixed acl last fix 
	warnings

2011-07-18  Sergio Martin <sergio.martin@artica.es>

	* godmode/massive/massive_operations.php
	godmode/massive/massive_delete_profiles.php
	godmode/massive/massive_add_profiles.php: Restringed profiles massive
	operations only to admins for bug: 3294464
	Merged from 3.2.1

2011-07-18  Sergio Martin <sergio.martin@artica.es>

	* operation/agentes/gis_view.php: Fixed sql typo error

2011-07-18  Sergio Martin <sergio.martin@artica.es>

	* images/sub.png
	images/mul.png
	images/skin/skin_default/images/sub.png
	images/skin/skin_default/images/mul.png
	images/skin/skin_default/images/div.png
	images/mult.png
	images/add.png
	images/subs.png
	images/div.png: Update the arithmetic icons in the two templates

2011-07-15  Sergio Martin <sergio.martin@artica.es>

	* include/javascript/pandora.js
	operation/agentes/ver_agente.php: Add hack to send to the ajax
	a custom condition of modules in the agent_changed_by_multiple_agents

2011-07-15 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_gis.php: Changed name of function safe_input to
	io_safe_input. 

2011-07-15 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_gis.php: Fixed Gis map creation when has agents
	in a layer.
	
	Fixes: #3293392

2011-07-15  Vanessa Gil  <vanessa.gil@artica.es>

	* operation/events/events_list.php: Fixed filter events.

2011-07-14 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_html.php
	include/functions_networkmap.php
	include/functions_ui.php: Several fixes in networkmap.
	
	Fixes: #3297487

2011-07-14  Vanessa Gil  <vanessa.gil@artica.es>

	* include/functions_agents.php: Fixed bad type returned by the function 'agents_get_modules_data_count'.

2011-07-14 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_agents.php: Added "subquery_enterprise" variable 
	initialization.

2011-07-14 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/reporting/reporting_builder.item_editor.php: Fixes 
	report editing over an open installation.
	
	Fixes: #3322991

2011-07-14 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/alerts/alert_list.list.php
	include/functions_ui.php: Changed length on module name and template
	column in function ui_format_alert_row().

	Fixes: #3302292

2011-07-14  Sergio Martin <sergio.martin@artica.es>

	* godmode/agentes/module_manager_editor_prediction.php
	godmode/agentes/configurar_agente.php: Changed the fields
	system on prediction modules to use 'prediction_module' as
	flag 1 to modules, 2 to services and 3 to synthetic, and 
	the custom_integer_1 to module or service id (unused in synth)

2011-07-13  Sergio Martin <sergio.martin@artica.es>

	* extras/pandoradb_migrate_v3.2_to_v4.0.sql
	godmode/agentes/module_manager_editor_prediction.php: Fix a check
	bug and added to migration database schemma a fix for the prediction
	modules

2011-07-13 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_html.php: Fixed function print_select_groups()
	to retrieve subgroups with parent distinct than "group All". 
	
	Fixes: #3365845
		
	* godmode/agentes/modificar_agente.php: Fixed call to 
	print_select_groups() to check user ACLs.
	
	* ChangeLog: fixed date of my last commit.
	
	* general/logoff.php: Changed logout splash screen.

2011-07-13 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_graph.php: Truncate agent name when is large in
	graphs legends and add missed ttl variable.
	* include/styles/pandora.css: Changed style in submit buttons. 

2011-07-13  Sergio Martin <sergio.martin@artica.es>

	* godmode/agentes/module_manager_editor_prediction.php
	godmode/agentes/configurar_agente.php: Added interface and calls
	to enterprise functions for synthetic modules

2011-07-12 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/help/en/help_timesource.php
	include/help/es/help_timesource.php
	include/help/ja/help_timesource.php: Fixed bad sintax query.

2011-07-12 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/reporting/reporting_builder.php: Fixes constant notice in
	this view.
	
	Bug: #3315679	

2011-07-12  Sergio Martin <sergio.martin@artica.es>

	* operation/snmpconsole/snmp_view.php: Fixed the trap generator
	to be enabled ever 

2011-07-12 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_events.php
	include/functions.php
	operation/agentes/estado_monitores.php
	operation/agentes/networkmap.php
	godmode/modules/manage_nc_groups.php: Fixes in this views in order 
	to have compatibility with IE.
	
	Bug: #3274423
	
2011-07-11 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* install.php: Fixed installation over a new database.

2011-07-11  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_reporting.php,
	  operation/reporting/reporting_xml.php: Merged from 3.2 branch. Fixed
	  custom SQL reports.

2011-07-11 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* general/error_authconfig.php
	godmode/db/db_info.php
	godmode/db/db_purge.php
	godmode/setup/file_manager.php: Improvements in css style.

2011-07-11 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_visual_map.php
	include/ajax/visual_console_builder.ajax.php
	godmode/users/configure_user.php
	godmode/reporting/visual_console_builder.editor.js
	godmode/reporting/visual_console_builder.editor.php
	godmode/reporting/visual_console_builder.constans.php: Added min,
	max and avg process to simple value items in visual maps.
	
	Pending tasks: #3014709

2011-07-11  Junichi Satoh  <junichi@rworks.jp>

	* operation/agentes/estado_agente.php,
	godmode/agentes/modificar_agente.php: Improved group selection, it
	allows group recursion.

2011-07-08 Miguel de Dios  <miguel.dedios@artica.es>

	* images/minimap_open_arrow.png, images/minimap_close_arrow.png: added the
	image files for the network enterprise viewer.

2011-07-08  Ramon Novoa  <rnovoa@artica.es>

	* pandoradb_data.sql,
	  include/functions_config.php,
	  pandoradb.data.postgreSQL.sql,
	  pandoradb.data.oracle.sql,
	  godmode/setup/performance.php: Added support for unknown module
	  deletion.

2011-07-08  Sergio Martin <sergio.martin@artica.es>

	* pandoradb.sql
	pandoradb.postgreSQL.sql
	pandoradb.oracle.sql
	extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added 'always' to the
	possible values into talert_templates.type

2011-07-08  Sergio Martin <sergio.martin@artica.es>

	* include/functions_alerts.php: Add always condition to templates

2011-07-08 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/agentes/modificar_agente.php: Changed deprecated function 
	get_user_groups() to users_get_groups(). 

2011-07-08  Junichi Satoh  <junichi@rworks.jp>

	* include/functions_agents.php: Fixed agents_get_group_agents()
	does not work correctly with $childGroups enabled.

2011-07-07  Sergio Martin <sergio.martin@artica.es>

	* godmode/groups/group_list.php: Added code for get agent filter
	from policy agents view

2011-07-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_graph.php: Fixed graphs on Visual console.

2011-07-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_visual_map.php: Added links to service items
	in visual console.
	
	Pending tasks: #3175079
	
	* general/pandora_help.php: Changed color of the footer.

2011-07-07  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_network_components.php,
	  include/functions_api.php,
	  include/functions_ui.php,
	  pandoradb.sql,
	  pandoradb.postgreSQL.sql,
	  pandoradb.oracle.sql,
	  extensions/resource_registration.php,
	  extensions/plugin_registration.php,
	  operation/agentes/status_monitor.php,
	  operation/agentes/estado_monitores.php,
	  extras/pandoradb_migrate_v3.2_to_v4.0.sql,
	  godmode/agentes/module_manager_editor_common.php,
	  godmode/agentes/module_manager.php,
	  godmode/agentes/configurar_agente.php,
	  godmode/agentes/module_manager_editor.php,
	  godmode/massive/massive_edit_modules.php,
	  godmode/modules/manage_network_components_form.php,
	  godmode/modules/manage_network_templates.php,
	  godmode/modules/manage_network_components_form_common.php,
	  godmode/modules/manage_network_components.php: Added support for
	  warning/critical status regexp (works with both numeric and string
	  data types).

2011-07-07  Sergio Martin <sergio.martin@artica.es>

	* pandoradb.sql
	pandoradb.postgreSQL.sql
	pandoradb.oracle.sql
	extras/pandoradb_migrate_v3.2_to_v4.0.sql
	godmode/agentes/planned_downtime.php: Added only_alerts 
	flag to planned downtimes

2011-07-07  Sergio Martin <sergio.martin@artica.es>

	* operation/servers/view_server_detail.php: Updated missed
	filed in the last commit

2011-07-07  Sergio Martin <sergio.martin@artica.es>

	* pandoradb.sql
	pandoradb.postgreSQL.sql
	pandoradb.oracle.sql
	extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added to the database
	schemma the disabled attribute to recon task table

2011-07-07  Sergio Martin <sergio.martin@artica.es>

	* include/functions_servers.php
	godmode/servers/manage_recontask.php
	godmode/servers/manage_recontask_form.php: Added switch to 
	enable/disabe a recon task

2011-07-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/styles/pandora_black.css: Changed some imcompatible 
	colors.

2011-07-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* pandoradb_data.sql
	pandoradb.data.postgreSQL.sql
	pandoradb.data.oracle.sql: Default skin applied to all groups 
	by default.

2011-07-06 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/styles/pandora.css
	operation/events/events_list.php
	images/splash_pandora.png
	images/sort_down.png
	images/sort_up.png
	general/pandora_help.php
	general/error_perms.php
	general/login_page.php
	general/error_noconfig.php
	general/logoff.php
	general/error_install.php
	godmode/alerts/alert_list.list.php: Css style improvements.

2011-07-06 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_html.php
	include/styles/dialog.css
	include/styles/pandora_blackmetal.css
	include/styles/menu.css
	include/styles/pandora_black.css
	include/styles/pandora.css
	include/functions_ui.php
	extensions/update_manager/main.php
	operation/visual_console/index.php
	operation/agentes/status_monitor.php
	operation/agentes/estado_ultimopaquete.php
	operation/agentes/alerts_status.php
	operation/agentes/estado_generalagente.php
	operation/agentes/estado_agente.php
	operation/agentes/gis_view.php
	operation/agentes/estado_monitores.php
	operation/agentes/ver_agente.php
	operation/agentes/graphs.php
	operation/agentes/group_view.php
	operation/users/user_edit.php
	operation/events/events_list.php
	operation/messages/message.php
	operation/reporting/graph_viewer.php
	pandoradb.data.postgreSQL.sql
	pandoradb.data.oracle.sql
	images/agents_group.png
	images/application_double.png
	images/sitemap.png
	images/application_edit.png
	images/file.png
	images/page_white_text.png
	images/zoom.png
	images/page_refresh.png
	images/cog_del.png
	images/setup.png
	images/tag_red.png
	images/computer_error.png
	images/ok.png
	images/link_delete.png
	images/attachment.png
	images/god5.png
	images/god9.png
	images/down.png
	images/lightbulb.png
	images/help.png
	images/brick.png
	images/pill.png
	images/link_edit.png
	images/database_gear.png
	images/b_white.png
	images/wrench_orange.png
	images/up.png
	images/link_add.png
	images/chart_curve.png
	images/email_open.png
	images/page_white.png
	images/link2.png
	images/box.png
	images/clock.png
	images/note.png
	images/rss.png
	images/skin/skin_default/include/styles/pandora.css
	images/extensions.png
	images/flag_red.png
	images/database.png
	images/images.png
	images/cog.png
	images/b_yellow.png
	images/groups_small/clock.png
	images/groups_small/world.png
	images/groups_small/server_database.png
	images/groups_small/computer.png
	images/cancel.png
	images/add.png
	images/mouse.png
	images/server_database.png
	images/computer.png
	images/book_edit.png
	images/lupa.png
	images/heart.png
	images/database_lightning.png
	images/user.png
	images/link_break.png
	images/edit.png
	images/page_white_magnify.png
	images/normalscreen.png
	images/sitemap_color.png
	images/go.png
	images/config.png
	images/database_refresh.png
	images/link_go.png
	images/comments.png
	images/email.png
	images/lock.png
	images/os_icons/so_linux.png
	images/os_icons/android_small.png
	images/os_icons/android.png
	images/os_icons/so_linux_small.png
	images/error.png
	images/god3.png
	images/god7.png
	images/calendar_view_day.png
	images/data.png
	images/fullscreen.png
	images/server_web.png
	images/lupa_15x15.png
	images/lightning_go.png
	images/star.png
	images/user_suit.png
	images/upd.png
	images/application.png
	images/music_note.png
	images/lightbulb_off.png
	images/application_not_writable.png
	images/sort_down.png
	images/eye.png
	images/lightning.png
	images/header.jpg
	images/wrench.png
	images/mimetypes/unknown.png
	images/mimetypes/image.png
	images/mimetypes/zip.png
	images/mimetypes/directory.png
	images/mimetypes/text.png
	images/delete.png
	images/bricks.png
	images/world.png
	images/wand.png
	images/delete_modules.png
	images/disk.png
	images/group.png
	images/god8.png
	images/server.png
	images/bug.png
	images/page_lightning.png
	images/house.png
	images/log-out.png
	images/monitor.png
	images/information.png
	images/cross.png
	images/sort_up.png
	general/login_page.php
	general/logon_ok.php
	general/logoff.php
	godmode/groups/group_list.php
	godmode/admin_access_logs.php
	godmode/db/db_audit.php
	godmode/db/db_refine.php
	godmode/db/db_event.php
	godmode/agentes/agent_template.php
	godmode/agentes/module_manager_editor_common.php
	godmode/agentes/fields_manager.php
	godmode/agentes/module_manager.php
	godmode/agentes/modificar_agente.php
	godmode/agentes/agent_manager.php
	godmode/servers/recon_script.php
	godmode/servers/plugin.php
	godmode/servers/manage_recontask.php
	godmode/servers/modificar_server.php
	godmode/alerts/alert_list.list.php
	godmode/alerts/alert_templates.php
	godmode/alerts/alert_actions.php
	godmode/alerts/alert_commands.php
	godmode/snmpconsole/snmp_alert.php
	godmode/snmpconsole/snmp_filters.php
	godmode/users/user_list.php
	godmode/users/profile_list.php
	godmode/gis_maps/index.php
	godmode/massive/massive_operations.php
	godmode/modules/manage_network_templates.php
	godmode/modules/manage_network_components.php
	godmode/reporting/reporting_builder.list_items.php
	godmode/reporting/reporting_builder.main.php
	godmode/reporting/visual_console_builder.data.php
	godmode/reporting/reporting_builder.php
	godmode/reporting/graph_builder.preview.php
	godmode/tag/tag.php
	godmode/tag/edit_tag.php: Improved Css styles.

	* images/splash_pandora.png
	images/black_red_header.png
	images/black_background.png: Added images for new styles. 
	
	*include/styles/pandora_red.css
	include/styles/pandora_width.css: Deleted old styles.

2011-07-06  Sergio Martin <sergio.martin@artica.es>

	* include/functions_servers.php: Fixed divison by zero

2011-07-05 Miguel de Dios  <miguel.dedios@artica.es>

	* ChangeLog: fixed date of my last commit.

2011-07-05 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_html.php, operation/reporting/reporting_xml.php,
	godmode/massive/massive_delete_action_alerts.php,
	godmode/massive/massive_add_action_alerts.php: cleaned source code, erased
	lost semicolons.

2011-07-04  Sergio Martin <sergio.martin@artica.es>

	* include/functions_networkmap.php
	pandoradb.sql
	pandoradb.postgreSQL.sql
	pandoradb.oracle.sql
	operation/agentes/networkmap.topology.php
	operation/agentes/ver_agente.php
	operation/agentes/networkmap.php
	extras/pandoradb_migrate_v3.2_to_v4.0.sql: Add to the topology
	network maps a switch to show the snmp_inc modules with their 
	ip addresses if they have for task 3296127

2011-07-01  Ramon Novoa  <rnovoa@artica.es>

	* pandoradb.sql,
	  pandoradb.postgreSQL.sql,
	  pandoradb.oracle.sql,
	  extras/pandoradb_migrate_v3.2_to_v4.0.sql,
	  godmode/servers/manage_recontask.php,
	  godmode/servers/manage_recontask_form.php: Changes needed by the
	  improved Recon Server.

2011-06-29  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_events.php: Do not update validated events.

2011-06-29  Ramon Novoa  <rnovoa@artica.es>

	* operation/events/events_list.php,
	  operation/events/events.php: Improved event behaviour.

2011-06-30 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/styles/dialog.css
	general/header.php: Changed style for dialogs in the header.

2011-06-30  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_snmp_trap_types.php: Added a new help file.

2011-06-29 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_messages.php
	include/functions_config.php
	extensions/dbmanager.php
	operation/users/user_edit.php
	operation/messages/message.php
	images/skin/skin_default/include/styles/pandora.css
	general/header.php
	godmode/agentes/module_manager_editor.php
	godmode/menu.php
	godmode/users/user_list.php
	godmode/users/configure_user.php
	godmode/users/configure_profile.php: Messages and alert sections in
	header are now dropable and resizable. 
	
	* images/profiles.png: Added profile image

	* godmode/users/profile_list.php_ Added new manage profiles section

2011-06-29  Sergio Martin <sergio.martin@artica.es>

	* include/help/en/help_snmp_trap_types.php
	include/help/es/help_snmp_trap_types.php
	include/functions_snmp.php
	operation/snmpconsole/snmp_view.php: Added snmp trap generator
	in the snmpview

2011-06-29 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/styles/pandora.css
	operation/agentes/status_events.php
	general/pandora_help.php
	general/logon_ok.php: Css style improvements.

2011-06-28 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/styles/pandora.css
	include/functions_ui.php
	images/skin/skin_default/include/styles/pandora.css: Modifications
	over css styles.

2011-06-28 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* extensions/module_groups/brick.png
	images/skin/skin_default/images/agents_group.png
	images/skin/skin_default/images/note.png
	images/skin/skin_default/images/os_icons/android_small.png: Added 
	new icons.
	
	* include/styles/pandora.css
	include/functions_ui.php
	extensions/insert_data.php
	extensions/system_info.php
	extensions/pandora_logs.php
	extensions/agents_modules.php
	extensions/resource_registration.php
	extensions/resource_exportation.php
	extensions/module_groups.php
	extensions/update_manager/main.php
	extensions/plugin_registration.php
	operation/extensions.php
	operation/visual_console/render_view.php
	operation/visual_console/index.php
	operation/agentes/status_monitor.php
	operation/agentes/alerts_status.php
	operation/agentes/estado_ultimopaquete.php
	operation/agentes/custom_fields.php
	operation/agentes/estado_generalagente.php
	operation/agentes/estado_agente.php
	operation/agentes/status_events.php
	operation/agentes/sla_view.php
	operation/agentes/exportdata.php
	operation/agentes/estado_monitores.php
	operation/agentes/ver_agente.php
	operation/agentes/group_view.php
	operation/agentes/networkmap.php
	operation/users/user_edit.php
	operation/gis_maps/index.php
	operation/events/events_list.php
	operation/messages/message.php
	operation/reporting/custom_reporting.php
	images/skin/skin_default/include/styles/pandora.css
	extras/pandora_diag.php
	general/logon_ok.php
	godmode/groups/modu_group_list.php
	godmode/groups/configure_group.php
	godmode/groups/configure_modu_group.php
	godmode/groups/group_list.php
	godmode/admin_access_logs.php
	godmode/extensions.php
	godmode/db/db_main.php
	godmode/db/db_audit.php
	godmode/db/db_sanity.php
	godmode/db/db_refine.php
	godmode/db/db_info.php
	godmode/db/db_event.php
	godmode/db/db_purge.php
	godmode/agentes/agent_template.php
	godmode/agentes/module_manager_editor_common.php
	godmode/agentes/fields_manager.php
	godmode/agentes/agent_conf_gis.php
	godmode/agentes/module_manager.php
	godmode/agentes/modificar_agente.php
	godmode/agentes/configurar_agente.php
	godmode/agentes/configure_field.php
	godmode/agentes/planned_downtime.php
	godmode/agentes/manage_config_remote.php
	godmode/agentes/agent_manager.php
	godmode/servers/recon_script.php
	godmode/servers/plugin.php
	godmode/servers/modificar_server.php
	godmode/servers/manage_recontask_form.php
	godmode/alerts/alert_list.list.php
	godmode/alerts/configure_alert_compound.php
	godmode/alerts/alert_compounds.php
	godmode/alerts/configure_alert_template.php
	godmode/alerts/alert_templates.php
	godmode/alerts/configure_alert_action.php
	godmode/alerts/configure_alert_command.php
	godmode/alerts/alert_actions.php
	godmode/alerts/alert_list.builder.php
	godmode/alerts/alert_commands.php
	godmode/snmpconsole/snmp_alert.php
	godmode/snmpconsole/snmp_filters.php
	godmode/setup/os.list.php
	godmode/setup/news.php
	godmode/setup/links.php
	godmode/setup/setup.php
	godmode/setup/performance.php
	godmode/setup/setup_auth.php
	godmode/setup/gis.php
	godmode/setup/os.builder.php
	godmode/setup/setup_visuals.php
	godmode/users/user_list.php
	godmode/users/configure_user.php
	godmode/gis_maps/configure_gis_map.php
	godmode/gis_maps/index.php
	godmode/massive/massive_add_alerts.php
	godmode/massive/massive_copy_modules.php
	godmode/massive/massive_delete_agents.php
	godmode/massive/massive_enable_disable_alerts.php
	godmode/massive/massive_delete_profiles.php
	godmode/massive/massive_edit_agents.php
	godmode/massive/massive_delete_action_alerts.php
	godmode/massive/massive_delete_modules.php
	godmode/massive/massive_add_profiles.php
	godmode/massive/massive_delete_alerts.php
	godmode/massive/massive_edit_modules.php
	godmode/massive/massive_standby_alerts.php
	godmode/massive/massive_add_action_alerts.php
	godmode/modules/manage_nc_groups_form.php
	godmode/modules/manage_network_templates.php
	godmode/modules/module_list.php
	godmode/modules/manage_network_components_form_common.php
	godmode/modules/manage_network_components_form_network.php
	godmode/modules/manage_network_templates_form.php
	godmode/modules/manage_network_components_form_wmi.php
	godmode/modules/manage_network_components.php
	godmode/modules/manage_nc_groups.php
	godmode/reporting/visual_console_builder.wizard.php
	godmode/reporting/graph_builder.main.php
	godmode/reporting/reporting_builder.list_items.php
	godmode/reporting/reporting_builder.main.php
	godmode/reporting/visual_console_builder.data.php
	godmode/reporting/graph_builder.graph_editor.php
	godmode/reporting/reporting_builder.php
	godmode/reporting/reporting_builder.item_editor.php
	godmode/reporting/map_builder.php
	godmode/reporting/graphs.php
	godmode/tag/tag.php
	godmode/tag/edit_tag.php: Css style improvements.
	
2011-06-27  Vanessa Gil  <vanessa.gil@artica.es>

	* include/functions_graph.php: Display units in the legend of module graph.

2011-06-27  Sancho Lerena <slerena@artica.es>

	* include/functions_config.php: Added a new function to do global
	system wide checks with a notification icon in the header.

	* general/header.php: Implemented changes on global checks.

2011-06-27  Junichi Satoh  <junichi@rworks.jp>

	* include/functions_ui.php: Added a new function to show max/min
	values for module.
	
	* operation/agentes/estado_monitores.php, 
	operation/agentes/status_monitor.php: Improved to show max/min
	values for module.

	* godmode/agentes/module_manager.php: Modified to use the function,
	ui_print_module_warn_value() to show max/min values for module.

2011-06-27  Junichi Satoh  <junichi@rworks.jp>

	* extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added missing INDEX.
	(Merged from pandoradb.sql)

2011-06-24  Vanessa Gil  <vanessa.gil@artica.es>

	* godmode/agentes/module_manager_editor.php: Show units in module edition.

2011-06-21 Sancho Lerena <slerena@artica.es>

    * include/functions_ui.php: Improved function ui_print_string_substr to
    render a span with a predefined font size.

    * godmode/setup/os.list.php,
    godmode/groups/modu_group_list.php,
    godmode/groups/group_list.php, 
    godmode/alerts/alert_commands.php: Show element's ID in tables, useful 
    to use later in CLI, CVS importer or other tool.

    * godmode/agentes/module_manager.php
    godmode/agentes/module_manager_editor_common.php: Show warning/critical
    thresholds instead max/min values for module, much more useful. Aesthetic
    changes on editor and description visualization.

    * godmode/agentes/agent_manager.php: Added a direct link to delete current
    agent from main agent edit section.

    * operation/agentes/status_monitor.php,
    operation/agentes/estado_monitores.php: usability fixes on desc. size 
    and table width.
 
2011-06-21 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/styles/ie.css
	include/styles/menu.css
	include/functions_ui.php
	extensions/module_groups.php
	operation/agentes/status_monitor.php
	godmode/agentes/module_manager_editor_prediction.php
	godmode/agentes/manage_config_remote.php
	godmode/agentes/agent_manager.php
	godmode/alerts/alert_list.list.php
	godmode/alerts/alert_list.builder.php
	godmode/reporting/reporting_builder.list_items.php
	godmode/tag/tag.php
	godmode/tag/edit_tag.php
	operation/agentes/exportdata.php: Css style corrections
	over these codes.
	
	* images/skin/skin_default/include/styles/tip.css
	images/skin/skin_default/include/styles/pandora.css
	images/skin/skin_default/include/styles/menu.css
	images/skin/skin_default/include/styles/cluetip.css
	images/skin/skin_default/images/application_double.png
	images/skin/skin_default/images/chart.png
	images/skin/skin_default/images/application.png
	images/skin/skin_default/images/music_note.png
	images/skin/skin_default/images/lightbulb_off.png
	images/skin/skin_default/images/email_open.png
	images/skin/skin_default/images/application_edit.png
	images/skin/skin_default/images/copy.png
	images/skin/skin_default/images/sort_down.png
	images/skin/skin_default/images/page_white_text.png
	images/skin/skin_default/images/eye.png
	images/skin/skin_default/images/lightning.png
	images/skin/skin_default/images/zoom.png
	images/skin/skin_default/images/edit.png
	images/skin/skin_default/images/box.png
	images/skin/skin_default/images/normalscreen.png
	images/skin/skin_default/images/mimetypes
	images/skin/skin_default/images/mimetypes/unknown.png
	images/skin/skin_default/images/mimetypes/image.png
	images/skin/skin_default/images/mimetypes/zip.png
	images/skin/skin_default/images/mimetypes/text.png
	images/skin/skin_default/images/mimetypes/directory.png
	images/skin/skin_default/images/page_refresh.png
	images/skin/skin_default/images/clock.png
	images/skin/skin_default/images/user_green.png
	images/skin/skin_default/images/magnifier.png
	images/skin/skin_default/images/config.png
	images/skin/skin_default/images/go.png
	images/skin/skin_default/images/tag_red.png
	images/skin/skin_default/images/computer_error.png
	images/skin/skin_default/images/rss.png
	images/skin/skin_default/images/ok.png
	images/skin/skin_default/images/pdf.png
	images/skin/skin_default/images/slash.png
	images/skin/skin_default/images/bricks.png
	images/skin/skin_default/images/sticky-notes-text.png
	images/skin/skin_default/images/comments.png
	images/skin/skin_default/images/email.png
	images/skin/skin_default/images/world.png
	images/skin/skin_default/images/attachment.png
	images/skin/skin_default/images/wand.png
	images/skin/skin_default/images/error.png
	images/skin/skin_default/images/os_icons
	images/skin/skin_default/images/os_icons/android.png
	images/skin/skin_default/images/os_icons/network.png
	images/skin/skin_default/images/network.png
	images/skin/skin_default/images/disk.png
	images/skin/skin_default/images/images_stack.png
	images/skin/skin_default/images/info.png
	images/skin/skin_default/images/group.png
	images/skin/skin_default/images/god3.png
	images/skin/skin_default/images/god5.png
	images/skin/skin_default/images/extensions.png
	images/skin/skin_default/images/calendar_view_day.png
	images/skin/skin_default/images/god8.png
	images/skin/skin_default/images/god9.png
	images/skin/skin_default/images/database.png
	images/skin/skin_default/images/images.png
	images/skin/skin_default/images/server.png
	images/skin/skin_default/images/down.png
	images/skin/skin_default/images/server_export.png
	images/skin/skin_default/images/cog.png
	images/skin/skin_default/images/data.png
	images/skin/skin_default/images/lightbulb.png
	images/skin/skin_default/images/b_yellow.png
	images/skin/skin_default/images/bug.png
	images/skin/skin_default/images/clean.png
	images/skin/skin_default/images/house.png
	images/skin/skin_default/images/groups_small
	images/skin/skin_default/images/groups_small/transmit.png
	images/skin/skin_default/images/groups_small/world.png
	images/skin/skin_default/images/groups_small/server_database.png
	images/skin/skin_default/images/cancel.png
	images/skin/skin_default/images/log-out.png
	images/skin/skin_default/images/monitor.png
	images/skin/skin_default/images/help.png
	images/skin/skin_default/images/add.png
	images/skin/skin_default/images/tip.png
	images/skin/skin_default/images/refresh.png
	images/skin/skin_default/images/computer.png
	images/skin/skin_default/images/fullscreen.png
	images/skin/skin_default/images/server_web.png
	images/skin/skin_default/images/lupa_15x15.png
	images/skin/skin_default/images/database_lightning.png
	images/skin/skin_default/images/lightning_go.png
	images/skin/skin_default/images/star.png
	images/skin/skin_default/images/user.png
	images/skin/skin_default/images/user_suit.png
	images/skin/skin_default/images/binary.png
	images/skin/skin_default/images/up.png
	images/skin/skin_default/images/information.png
	images/skin/skin_default/images/upd.png
	images/skin/skin_default/images/cross.png
	images/skin/skin_default/images/sort_up.png: New images for
	default skin.

2011-06-21  Sergio Martin <sergio.martin@artica.es>

	* include/functions_filemanager.php: Sended from file manager
	form relative path and hash to keep the path position in 
	file collections

2011-06-20 Sancho Lerena <slerena@artica.es>

	* net_tools
	net_tools/nettool.png: Nettools extension. Allow from interface
	several operations like ping the host, do a traceroute, get whois
	/dig information, get SNMP device information and interface status

2011-06-20 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_modules.php: Added initialization variable 
	value.

2011-06-20 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_modules.php
	include/functions_tags.php: Correct a mistake that doesn't allow
	to create network modules correctly.

2011-06-20  Sergio Martin <sergio.martin@artica.es>

	* operation/events/events_list.php: Fixed total events query
	used in pagination

2011-06-17  Ramon Novoa  <rnovoa@artica.es>

	* godmode/alerts/alert_actions.php: Aesthetic fix.

2011-06-17  Sergio Martin <sergio.martin@artica.es>

	* include/functions_events.php: Fixed duplication of comments
	when validate events merged from 3.2.1

2011-06-16 Sancho Lerena <slerena@artica.es>

    * include/styles/install.css,
    include/styles/pandora.css,
    install.php: Yeeeha!, new look & feel for 4.0 version ! :-)

    * index.php: Minimal changes in session close (after the header render).

    * images/greyback.gif: New background for 4.0 (included the installer)

    * COPYING: removed bad carriage returns.

    * general/login_page.php: Small modifications to have a better style.

    * operation/system_alert.php,
    include/javascript/jquery.pandora.js,
    general/header.php: Implemented a "alert" icon who shows the general
    problems, instead naggin the user in each page. Incorporated the new 
    feature to warn user when he doesn't change the default password :-)

2011-06-16 Miguel de Dios  <miguel.dedios@artica.es>

	Merge from the branch.
	
	* godmode/alerts/alert_actions.php: fixed the url to copy the alert action.
	The file didn't upload to repository.

2011-06-16 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* images/skin
	images/skin/skin_default
	images/skin/skin_default/images
	images/skin/skin_default/include
	images/skin/skin_default/include/styles
	images/skin/skin_default/include/styles/tip.css
	images/skin/skin_default/include/styles/common.css
	images/skin/skin_default/include/styles/pandora.css
	images/skin/skin_default/include/styles/menu.css: Default skin
	files.

2011-06-16 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_ui.php: Changed the way to include css files 
	when skin functionality is enabled.
	* general/pandora_help.php: Some modifications in css link help 
	file.
	* godmode/alerts/alert_list.php: Changed enterprise_include() 
	function to enterprise_include().

2011-06-15 Miguel de Dios  <miguel.dedios@artica.es>

	Merge from the branch.
	
	* godmode/alerts/alert_actions.php: fixed the url to copy the alert action.

2011-06-15 Dario Rodriguez <dario.rodriguez@artica.es>

	* include/graphs/fgraph.php: Adding homedir to radar, polar and kiviat
	graphs.

2011-06-15  Ramon Novoa  <rnovoa@artica.es>

	* operation/events/events_list.php: Merged from trunk. Do not show
	  repeated comments when grouping events. Raise the maximum permitted
	  result length for GROUP_CONCAT.

2011-06-15  Ramon Novoa  <rnovoa@artica.es>

	* pandoradb.oracle.sql: Removed unneeded code.

	* operation/events/events_list.php: Do not show duplicate messages when
	  grouping events.

2011-06-15  Sergio Martin <sergio.martin@artica.es>

	* include/functions_events.php: Fixed repeated values into
	array of event ids in delete function merged from validate function

2011-06-15  Koichiro Kikuchi <koichiro@rworks.jp>

	* include/functions_ui.php: Fixed typos

2011-06-14  Segio Martin <sergio.martin@artica.es>

	* include/functions_graph.php: Fixed manual definition of
	homedir

2011-06-14  Sergio Martin <sergio.martin@artica.es>

	* include/functions_events.php
	operation/events/events.php: Fixed multiple validation
	when events are grouped

2011-06-14  Sergio Martin <sergio.martin@artica.es>

	* include/functions_graph.php
	include/graphs/fgraph.php: Added ttl parameter to all 
	pdf report graphs

2011-06-14 Javier Lanz <javier.lanz@artica.es>

	* godmode/agentes/module_manager_editor_prediction.php: Added enterprise
	hook for synthetic modules

2011-06-13 Sergio Martin <sergio.martin@artica.es>

	* include/functions_graph.php
	include/graphs/functions_pchart.php
	include/graphs/fgraph.php
	include/graphs/functions_utils.php: Added time to live to
	area graphs in pdf calls

	* operation/reporting/reporting_xml.php: Fixed bad characteres in
	xml 

2011-06-13 Javier Lanz <javier.lanz@artica.es>

	* images/mult.png, images/subs.png, images/div.png: Added png images

2011-06-13  Ramon Novoa  <rnovoa@artica.es>

	* operation/events/events_list.php: Always show pending events.

2011-06-13  Sergio Martin <sergio.martin@artica.es>

	* include/functions_graph.php
	include/graphs/functions_pchart.php
	include/graphs/functions_gd.php
	include/graphs/fgraph.php
	include/graphs/functions_utils.php
	include/functions_reporting.php
	include/functions_visual_map.php
	include/ajax/visual_console_builder.ajax.php
	include/config_process.php
	include/include_graph_dependencies.php
	operation/agentes/stat_win.php
	operation/reporting/reporting_xml.php: Fixed missed parameters
	in sparse graph functions.
	Fixed graph includes and bugs

2011-06-10  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_api.php, pandoradb.sql,
	  pandoradb.postgreSQL.sql, pandoradb.oracle.sql,
	  extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added support for
	  configuration change events (enterprise).
	
	* operation/events/events_list.php: Improved event grouping.

2011-06-10 Javier Lanz <javier.lanz@artica.es>

	* include/graphs/functions_fsgraph.php: Updated a deprecated function
	call
	* include/functions_reporting.php: ixed a mistake using the wrong
	variable to print pie graph
	* godmode/agentes/module_manager_editor_prediction.php: Removed a
	html_debug_print call

2011-06-10 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* pandoradb.postgreSQL.sql
	pandoradb.oracle.sql
	extras/pandoradb_migrate_v3.2_to_v4.0.sql: New field "tags" in 
	"tevento" table for Oracle, Postgresql and migration script.

2011-06-10 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/config_process.php: Graph's dependencies now are included
	by calling a new file with require_once sentence in order to avoid 
	duplicate function declaration problem.
	* include/include_graph_dependencies.php: All graph's dependencies
	in this file. 

2011-06-09 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_tags.php
	operation/agentes/estado_monitores.php: Tooltip with module tag
	information in this view.

2011-06-09 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/agentes/module_manager_editor_common.php
	godmode/agentes/configurar_agente.php
	godmode/agentes/module_manager_editor.php: Changed tag assigment
	interface inside module editor.

2011-06-08 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/events/events_list.php: Added tag information in this 
	view.

2011-06-08 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/tag/edit_tag.php: Comma characters are erased 
	during tag creation/update.

2011-06-08  Ramon Novoa  <rnovoa@artica.es>

	* pandoradb.sql: Added support for event tags.

2011-06-08 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_modules.php
	include/functions_tags.php: Support for policy's tag functionality.

2011-06-08 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/massive/massive_edit_modules.php: Tags editor inside massive 
	operations.

2011-06-07 Javier Lanz <javier.lanz@artica.es>

	* operation/events/events_list.php: Added rawurlencode and io_safe_input
	where they were necessary

2011-06-07  Junichi Satoh  <junichi@rworks.jp>

	* operation/agentes/datos_agente.php: Improved filter. It allows
	to select 'Specify time range' and search string.

2011-06-06 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/agentes/ver_agente.php: Added callback function
	for JQuery requests.

2011-06-06  Dario Rodriguez  <dario.rodriguez@artica.es>

	* godmode/servers/manage_recontask.php
	godmode/servers/modificar_server.php
	godmode/menu.php: Changed old name functions to 4.0v.

2011-06-06  Dario Rodriguez  <dario.rodriguez@artica.es>

	* godmode/servers/manage_recontask.php: User with flag AW can manage recon
	task, only for their group.
	* godmode/servers/modificar_server.php: User with AW flag can view server
	status but only Pandora Admin can delete one of them.
	* godmode/servers/manage_recontask_form.php: User with flag AW can manage recon
	task, but only for their group.
	* godmode/menu.php: Allowing user with flag AW see manage server tab and 
	manage recon task subtab.

2011-06-06 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_tags.php: Fixed problem on
	update tag function. 
	* godmode/tag/tag.php
	* godmode/tag/edit_tag.php: Added tab that links to 
	tag list view.

2011-06-06 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_modules.php: Some mofications over update_tag
	function.
	* include/functions_alerts.php: Added new function 
	alerts_get_alerts_module_name() to retrieve alerts of a module
	in html select tag format.

2011-06-06 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_tags.php: Added new parameters to function 
	tags_search_tag().

2011-06-06 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/ajax/alert_list.ajax.php: Added new callback function 
	for jQuery requests. 
	* godmode/menu.php: Added alert events entry. 

2011-06-03 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_tags.php: Some modifications in update tag function.

2011-06-03 Javier Lanz <javier.lanz@artica.es>

	* godmode/agentes/module_manager_editor_prediction.php: Edited to get
	"custom_integer_2" parameter & Added period combo 
	* godmode/agentes/module_manager_editor.php: Edited to get
	"custom_integer_2" parameter

2011-06-01  Ramon Novoa  <rnovoa@artica.es>

	* include/auth/mysql.php: Do not allow empty passwords when
	  authenticating against an LDAP server.

2011-06-01 Javier Lanz <javier.lanz@artica.es>

	* include/functions_graph.php: Fixed a deprecated function call
	* include/functions_reporting.php: Fixed a deprecated function call and
	removed some connection error messages
	* include/functions.php: Disabled agents/modules report type when
	metaconsole is active
	* operation/agentes/ver_agente.php: Removed some connection error messages
	* godmode/reporting/reporting_builder.list_items.php: Removed some
	connection error messages
	* godmode/reporting/reporting_builder.php: Added getting server name for
	sql reports & custom graph in metaconsole
	* godmode/reporting/reporting_builder.item_editor.php: Added Server
	combo box, custom graph for metaconsole & removed some connection error
	messages

2011-05-30 Javier Lanz <javier.lanz@artica.es>
	* include/functions_reporting.php: Edited "render_report_html" function
	to work with metaconsole printing metaconsole elements
	* include/javascript/pandora.js: Modified autocomplete javascript to use
	with metaconsole
	* include/ajax/reporting.ajax.php: Edited to work with metaconsole
	* include/ajax/agent.php: Edited autocomplete to work with metaconsole
	* operation/agentes/ver_agente.php: Modified to get the agent's modules
	using metacofacensole
	* godmode/reporting/reporting_builder.list_items.php: Edited to display
	agents & modules in metaconsole. Edited top filters to work with
	metaconsole
	* godmode/reporting/reporting_builder.php: Added getting parameter
	server_name & fixed deleting items
	* godmode/reporting/reporting_builder.item_editor.php: Edited to send
	the host when metaconsole is active

2011-05-30 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* install.php: Fixed typo mistake in this file.

2011-05-30 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* ChangeLog: forgot to update Changelog.

2011-05-30 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added column "unit" 
	to "tagente_modulo" table.  

	* include/functions_modules.php
	include/functions_tags.php
	godmode/agentes/module_manager_editor_common.php
	godmode/agentes/configurar_agente.php
	godmode/agentes/module_manager_editor.php
	godmode/tag/tag.php
	godmode/tag/edit_tag.php: Now it's possible to add tags
	to modules.  

2011-05-30 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/agentes/module_manager_editor.php: Added prefix "modules_"
	to function get_agentmodule_name().

2011-05-30  Junichi Satoh  <junichi@rworks.jp>

	* operation/agentes/datos_agente.php: Replaced format_data with
	modules_format_data.

2011-05-26  Vanessa Gil  <vanessa.gil@artica.es>

	* godmode/agentes/module_manager_editor.php: Removed unit var.

2011-05-06 Javier Lanz <javier.lanz@artica.es>

	* ChangeLog: forgot to commit this file

2011-05-26 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/styles/menu.css: Added new background image on css 
	tag entry.
	* include/functions_tags.php: Added new function code for tag 
	functionality.
	* pandoradb.sql
	pandoradb.postgreSQL.sql
	pandoradb.oracle.sql
	extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added new tables "ttag",
	"ttag_module", "ttag_policy_module" and "ttag_event".
	* godmode/tag: Added new path.
	* godmode/menu.php
	godmode/tag/tag.php
	godmode/tag/edit_tag.php: Tag editor for events correlation engine.

2011-05-25  Sergio Martin <sergio.martin@artica.es>

	* images/policies_error_db.png: Added new image to policies
	pending update only db

2011-05-25  Vanessa Gil  <vanessa.gil@artica.es>

	* godmode/setup/setup_auth.php
	include/functions_config.php: Removed user and password from LDAP setup.

2011-05-25  Vanessa Gil  <vanessa.gil@artica.es>

	* operation/agentes/ver_agente.php
	operation/agentes/graphs.php
	godmode/agentes/configurar_agente.php
	godmode/agentes/module_manager_editor.php
	godmode/agentes/module_manager_editor_common.php
	include/graphs/fgraph.php
	include/graphs/functions_fsgraph.php
	include/functions_graph.php
	include/functions_modules.php
	pandoradb.oracle.sql
	pandoradb.postgreSQL.sql
	pandoradb.sql: Added units to modules and graphs

2011-05-25 Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_agents.php: erased lost trace in source code.
	
	* include/functions_db.php: in function "db_pandora_audit" added the check
	the exists the id_user.

2011-05-23 Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_agents.php: cleaned source code style.

2011-05-23  Sergio Martin <sergio.martin@artica.es>

	* images/cog_db.png
	images/cross_undo.png
	godmode/agentes/module_manager_editor.php: Added two new images to
	queue and added check when relink a module into policy avoiding it 
	when te policy is applying

2011-05-23  Sergio Martin <sergio.martin@artica.es>

	* godmode/agentes/module_manager_editor_common.php: Added hidden field
	in module edition form to keep the type when is disabled

2011-05-23 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* general/header.php: Added close tag in the autorefresh html link.

	Fixes: #3305092

2011-05-20 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/db/oracle.php
	include/functions_agents.php
	include/functions_db.php
	include/functions_alerts.php
	pandoradb.oracle.sql
	pandoradb.data.oracle.sql
	godmode/alerts/configure_alert_compound.php
	godmode/alerts/configure_alert_template.php
	godmode/snmpconsole/snmp_alert.php
	godmode/users/configure_user.php
	godmode/reporting/reporting_builder.list_items.php
	godmode/reporting/reporting_builder.php: Several corrections 
	over Console code for Oracle support. 

2011-05-19  Vanessa Gil  <vanessa.gil@artica.es>

	* operation/agentes/alerts_status.php 
	include/functions_agents.php: Fixed filter Status in Alert Detail and pagination.

2011-05-18 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_agents.php: changed the source code to fixed the
	enterprise call in function "agents_get_agents".

	* operation/agentes/estado_agente.php: apply the change to the call
	"agents_get_agents".
	
	Fixes: #3303426

2011-05-18 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_graph.php
	operation/events/events.php: Changed the way to include flash
	graph include. 
	* pandoradb.oracle.sql: Changed datatype on max_value field of 
	talert_templates table.
	* pandoradb.data.oracle.sql: Fixes errors in Oracle installation.

2011-05-18 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/events/events.php: Added functions_graph.php include in this
	file.

2011-05-18  Vanessa Gil  <vanessa.gil@artica.es>

	* include/functions_agents.php: Fixed filter Group in Alert Detail.


2011-05-17 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/graphs/fgraph.php
	include/config_process.php
	include/functions_agents.php
	operation/agentes/status_monitor.php
	operation/agentes/estado_agente.php: Several corrections 
	over sql queries for Oracle DBMS.
	* godmode/db/db_info.php: Added include to 
	functions_fsgraph.php

2011-05-17 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/graphs/fgraph.php	
	include/config_process.php
	operation/events/events.php: Added flash graph dependencies.

2011-05-17  Sergio Martin <sergio.martin@artica.es>

	* images/policies_error.png
	images/policies_ok.png: Added two new icons to 
	policy list

2011-05-16 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	include/functions_graph.php
	include/db/oracle.php
	include/functions_modules.php
	include/functions_network_components.php
	operation/agentes/estado_monitores.php: Several corrections over
	sql queries for Oracle DBMS.

2011-05-16 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/config_process.php
	include/graphs/fgraph.php: Included new graph dependencies.

2011-05-16  Sergio Martin <sergio.martin@artica.es>

	* pandoradb_data.sql
	pandoradb.sql
	pandoradb.data.postgreSQL.sql
	pandoradb.data.oracle.sql: Fixed default values into tusuario_perfil
	and tgrupo

2011-05-16 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* pandoradb.oracle.sql: Removed PK from id_agente_modulo field of 
	tagente_datos_string table.

2011-05-16  Vanessa Gil  <vanessa.gil@artica.es>

	* godmode/alerts/alert_list_list.php
	include/ functions_alerts.php: Fixed bug: Display the action threshold when displaying actions in the agent alert views.


2011-05-16 Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/status_monitor.php: changed the source code to extract
	the modules.
	
	Fixes: #3285116

2011-05-16  Vanessa Gil  <vanessa.gil@artica.es>

	* enterprise/include/functions_policies.php: Fixed bug: When I link again the module to policy, the linkation works fine but the message showed is "Error processing request".


2011-05-13  Sergio Martin <sergio.martin@artica.es>

	* pandoradb.sql
	pandoradb.postgreSQL.sql
	pandoradb.oracle.sql
	extras/pandoradb_migrate_v3.2_to_v4.0.sql: Moved some alter tables 
	from Enterprise side

2011-05-13  Sergio Martin <sergio.martin@artica.es>

	* include/styles/pandora.css: Added new input button styles
	with gear icons

2011-05-13 Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/estado_agente.php: fixed ACL when the user have a
	"Pandora Management" in any group that show agents of all groups.
	
	Fixes: #3300611

2011-05-13 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_servers.php
	include/functions_agents.php
	operation/agentes/estado_agente.php: Fixed bad queries for console over
	Oracle DBMS.

2011-05-12 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/users/configure_user.php: fixed the old call to function
	"profile_create_user_profile", I sorry that the before overwrite was mine.

2011-05-12 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions.php: added new parameter for the "check_acl" function
	the $id_agent, by default is 0, and this parameter now only is used in the
	enterprise ACL check (as you see in the hook for enterprise into the
	function source). And cleaned source code style.
	
	* include/functions_agents.php, operation/search_modules.php,
	operation/agentes/status_monitor.php,
	operation/agentes/estado_ultimopaquete.php,
	operation/agentes/alerts_status.php, operation/agentes/estado_agente.php,
	operation/agentes/estado_monitores.php, operation/agentes/ver_agente.php,
	godmode/agentes/module_manager.php, godmode/agentes/modificar_agente.php,
	godmode/agentes/configurar_agente.php, godmode/alerts/alert_list.list.php:
	added checks for the ACL enterprise.

2011-05-12 Miguel de Dios  <miguel.dedios@artica.es>

	* include/db/postgresql.php, include/db/mysql.php: fixed the scape of name
	of fields in where.

2011-05-12 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php: fixed the image parameters for the progress
	bar.

2011-05-12 Miguel de Dios  <miguel.dedios@artica.es>

	* include/graphs/fgraph.php: added the function
	"include_graphs_dependencies".

2011-05-12  Sergio Martin <sergio.martin@artica.es>

	* images/policies_cog.png: Added new image to policies application

2011-05-12 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* install.php: Correct a mistake that doesn't allow to create a 
	new database when drop database option is checked.

2011-05-11 Miguel de Dios  <miguel.dedios@artica.es>

	* operation/search_modules.php, operation/search_agents.php,
	operation/search_alerts.php: added the hook for ACL check for enterprise.

2011-05-11  Vanessa Gil  <vanessa.gil@artica.es>

	* godmode/agentes/module_manager_editor.php
	include/javascript/pandora_modules.js: Fixed bug: Is possible to create a module plugin without module associated.

2011-05-10 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_io.php
	include/config_process.php
	include/functions_extensions.php
	index.php
	extensions/insert_data.php
	extensions/system_info.php
	extensions/extension_uploader.php
	extensions/pandora_logs.php
	extensions/agents_modules.php
	extensions/update_manager.php
	extensions/ssh_console.php
	extensions/dbmanager.php
	extensions/vnc_view.php
	extensions/resource_registration.php
	extensions/resource_exportation.php
	extensions/users_connected.php
	extensions/module_groups.php
	extensions/plugin_registration.php
	godmode/extensions.php: functions in 
	functions_extensions.php have "extensions_" prefix.
	* install.php: Drop database action is not allowed when installation
	it's performed over a new database. 

2011-05-11 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_agents.php: added hooks for to enterprise ACL.

	* extensions/module_groups.php: cleaned source code.

2011-05-10 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_graph.php
	include/functions_users.php
	include/functions_html.php
	include/functions_menu.php
	include/functions_messages.php
	include/functions_modules.php
	include/functions_reporting.php
	include/functions_groups.php
	include/functions_gis.php
	include/auth/ldap.php
	include/auth/mysql.php
	include/functions_networkmap.php
	include/functions_network_components.php
	include/functions_visual_map.php
	include/functions_profile.php
	include/ajax/visual_console_builder.ajax.php
	include/ajax/alert_list.ajax.php
	include/ajax/module.php
	include/functions_config.php
	include/functions_api.php
	include/functions_ui.php
	include/functions_custom_graphs.php
	include/fgraph.php
	include/functions_agents.php
	include/functions_db.php
	include/functions_alerts.php
	include/functions_reports.php
	index.php
	extensions/insert_data.php
	extensions/agents_modules.php
	extensions/resource_registration.php
	extensions/resource_exportation.php
	extensions/module_groups.php
	operation/incidents/incident_detail.php
	operation/search_modules.php
	operation/agentes/status_monitor.php
	operation/agentes/export_csv.php
	operation/agentes/estado_ultimopaquete.php
	operation/agentes/datos_agente.php
	operation/agentes/alerts_status.php
	operation/agentes/estado_generalagente.php
	operation/agentes/estado_agente.php
	operation/agentes/sla_view.php
	operation/agentes/exportdata.php
	operation/agentes/gis_view.php
	operation/agentes/estado_monitores.php
	operation/agentes/ver_agente.php
	operation/agentes/graphs.php
	operation/agentes/group_view.php
	operation/search_agents.php
	operation/snmpconsole/snmp_view.php
	operation/users/user_edit.php
	operation/integria_incidents/incident_detail.php
	operation/gis_maps/render_view.php
	operation/gis_maps/ajax.php
	operation/events/events_rss.php
	operation/events/export_csv.php
	operation/events/events_list.php
	operation/events/events_marquee.php
	operation/events/events.php
	operation/search_alerts.php
	operation/messages/message.php
	operation/search_users.php
	mobile/operation/agents/monitor_status.php
	mobile/operation/agents/view_agents.php
	mobile/operation/agents/view_alerts.php
	mobile/operation/agents/group_view.php
	mobile/operation/events/events.php
	ajax.php
	general/ui/agents_list.php
	godmode/groups/configure_group.php
	godmode/groups/group_list.php
	godmode/db/db_refine.php
	godmode/db/db_info.php
	godmode/db/db_purge.php
	godmode/agentes/module_manager_editor_common.php
	godmode/agentes/module_manager_editor_network.php
	godmode/agentes/module_manager_editor_wmi.php
	godmode/agentes/module_manager_editor_plugin.php
	godmode/agentes/module_manager_editor_prediction.php
	godmode/agentes/agent_conf_gis.php
	godmode/agentes/module_manager.php
	godmode/agentes/modificar_agente.php
	godmode/agentes/configurar_agente.php
	godmode/agentes/module_manager_editor.php
	godmode/agentes/planned_downtime.php
	godmode/agentes/manage_config_remote.php
	godmode/agentes/agent_manager.php
	godmode/servers/manage_recontask_form.php
	godmode/alerts/alert_list.list.php
	godmode/alerts/configure_alert_compound.php
	godmode/alerts/alert_compounds.php
	godmode/alerts/alert_list.php
	godmode/alerts/configure_alert_template.php
	godmode/alerts/alert_templates.php
	godmode/alerts/configure_alert_action.php
	godmode/alerts/alert_actions.php
	godmode/alerts/alert_list.builder.php
	godmode/setup/setup_auth.php
	godmode/users/user_list.php
	godmode/users/configure_user.php
	godmode/users/configure_profile.php
	godmode/massive/massive_add_alerts.php
	godmode/massive/massive_copy_modules.php
	godmode/massive/massive_delete_agents.php
	godmode/massive/massive_enable_disable_alerts.php
	godmode/massive/massive_delete_profiles.php
	godmode/massive/massive_edit_agents.php
	godmode/massive/massive_delete_action_alerts.php
	godmode/massive/massive_delete_modules.php
	godmode/massive/massive_add_profiles.php
	godmode/massive/massive_delete_alerts.php
	godmode/massive/massive_edit_modules.php
	godmode/massive/massive_standby_alerts.php
	godmode/massive/massive_add_action_alerts.php
	godmode/reporting/visual_console_builder.wizard.php
	godmode/reporting/reporting_builder.list_items.php
	godmode/reporting/visual_console_builder.php
	godmode/reporting/reporting_builder.main.php
	godmode/reporting/visual_console_builder.data.php
	godmode/reporting/visual_console_builder.elements.php
	godmode/reporting/graph_builder.graph_editor.php
	godmode/reporting/reporting_builder.php
	godmode/reporting/reporting_builder.item_editor.php: Functions in 
	functions_profile.php, functions_agents.php, functions_users.php,
  	functions_massive_policies.php, functions_audit.php, functions_backup.php,
	functions_collection.php, functions_skins.php, functions_enterprise.php,
	functions_groups.php, functions_local_components.php, functions_metaconsole.php,
	functions_policies.php, functions_reporting.php, functions_reporting_csv.php,
	functions_reporting_pdf2.php, functions_services.php have their own prefixes.  

2011-05-10 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_profile.php: modified the function "create_user_profile"
	for to return the id of new user profile.
	
	* include/functions_agents.php: added in function "agents_get_agents" the
	code to filter with enterprise ACL.
	
	* operation/agentes/estado_agente.php: cleaned source code style.
	
	* godmode/agentes/modificar_agente.php: added the filter for to
	enterprise ACL.
	
	* godmode/users/configure_user.php: added hooks for to enterprise ACL.

2011-05-10 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/agentes/configurar_agente.php: Fixed mistake of my last 
	commit.

2011-05-10  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_reporting.php: Do not count the empty start of an
	  interval as 0 (affects AVG and SLA).

2011-05-10 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_visual_map.php
	include/ajax/visual_console_builder.ajax.php
	include/functions_ui.php
	include/functions_themes.php
	include/functions_ui_renders.php
	operation/visual_console/render_view.php
	operation/visual_console/index.php
	general/ui/agents_list.php
	godmode/setup/setup_visuals.php
	godmode/reporting/visual_console_builder.php
	godmode/reporting/visual_console_builder.editor.js
	godmode/reporting/visual_console_builder.elements.php
	godmode/reporting/visual_console_builder.preview.php
	godmode/reporting/visual_console_builder.editor.php
	godmode/reporting/map_builder.php: Functions in functions_themes.php,
	functions_ui_renders.php and functions_visual_map.php have "themes_",
	"ui_renders_" and "visual_map_" prefixes respectively. 

2011-05-10  Junichi Satoh  <junichi@rworks.jp>

	* operation/agentes/estado_agente.php: Replaced get_agents() with
	agents_get_agents().

2011-05-09 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_graph.php
	include/functions_html.php
	include/functions_menu.php
	include/graphs/fgraph.php
	include/functions_messages.php
	include/functions_modules.php
	include/functions_reporting.php
	include/functions_filemanager.php
	include/functions_networkmap.php
	include/functions_servers.php
	include/functions_network_profiles.php
	include/functions_network_components.php
	include/functions_visual_map.php
	include/ajax/visual_console_builder.ajax.php
	include/ajax/agent.php
	include/ajax/alert_list.ajax.php
	include/ajax/module.php
	include/functions_io.php
	include/functions_api.php
	include/functions_ui.php
	include/fgraph.php
	include/functions_incidents.php
	include/functions.php
	include/functions_agents.php
	include/functions_db.php
	include/functions_alerts.php
	include/functions_reports.php
	include/functions_ui_renders.php
	extensions/insert_data.php
	extensions/agents_modules.php
	extensions/resource_registration.php
	extensions/resource_exportation.php
	extensions/module_groups.php
	extensions/plugin_registration.php
	operation/incidents/incident.incident.php
	operation/incidents/incident.php
	operation/incidents/incident_detail.php
	operation/incidents/incident.download_file.php
	operation/incidents/incident.list.php
	operation/search_modules.php
	operation/agentes/status_monitor.php
	operation/agentes/export_csv.php
	operation/agentes/estado_ultimopaquete.php
	operation/agentes/datos_agente.php
	operation/agentes/estado_agente.php
	operation/agentes/networkmap.topology.php
	operation/agentes/networkmap.groups.php
	operation/agentes/sla_view.php
	operation/agentes/exportdata.php
	operation/agentes/estado_monitores.php
	operation/agentes/ver_agente.php
	operation/agentes/tactical.php
	operation/agentes/group_view.php
	operation/agentes/networkmap.php
	operation/agentes/stat_win.php
	operation/servers/view_server.php
	operation/servers/view_server_detail.php
	operation/menu.php
	operation/search_agents.php
	operation/integria_incidents/incident.incident.php
	operation/integria_incidents/incident.php
	operation/integria_incidents/incident_detail.php
	operation/integria_incidents/incident.download_file.php
	operation/integria_incidents/incident.list.php
	operation/events/events_rss.php
	operation/events/events_list.php
	operation/search_alerts.php
	operation/messages/message.php
	operation/reporting/reporting_xml.php
	operation/reporting/reporting_viewer.php
	operation/reporting/custom_reporting.php
	operation/search_reports.php
	operation/search_results.php
	mobile/operation/agents/monitor_status.php
	mobile/operation/agents/view_agents.php
	mobile/operation/agents/tactical.php
	mobile/operation/agents/view_alerts.php
	mobile/operation/agents/group_view.php
	mobile/operation/servers/view_servers.php
	general/logon_ok.php
	general/header.php
	godmode/admin_access_logs.php
	godmode/db/db_refine.php
	godmode/db/db_info.php
	godmode/db/db_purge.php
	godmode/agentes/agent_template.php
	godmode/agentes/module_manager_editor_common.php
	godmode/agentes/module_manager.php
	godmode/agentes/configurar_agente.php
	godmode/agentes/module_manager_editor.php
	godmode/agentes/agent_manager.php
	godmode/servers/recon_script.php
	godmode/servers/plugin.php
	godmode/servers/manage_recontask.php
	godmode/servers/modificar_server.php
	godmode/menu.php
	godmode/alerts/alert_list.list.php
	godmode/alerts/configure_alert_compound.php
	godmode/alerts/configure_alert_action.php
	godmode/setup/os.list.php
	godmode/setup/links.php
	godmode/setup/setup.php
	godmode/users/user_list.php
	godmode/users/configure_user.php
	godmode/massive/massive_add_alerts.php
	godmode/massive/massive_delete_profiles.php
	godmode/massive/massive_edit_agents.php
	godmode/massive/massive_delete_modules.php
	godmode/massive/massive_add_profiles.php
	godmode/massive/massive_delete_alerts.php
	godmode/massive/massive_edit_modules.php
	godmode/modules/manage_network_components_form.php
	godmode/modules/manage_nc_groups_form.php
	godmode/modules/manage_network_templates.php
	godmode/modules/manage_network_components_form_common.php
	godmode/modules/manage_network_templates_form.php
	godmode/modules/manage_network_components_form_wmi.php
	godmode/modules/manage_network_components.php
	godmode/modules/manage_nc_groups.php
	godmode/reporting/reporting_builder.preview.php
	godmode/reporting/graph_builder.graph_editor.php
	godmode/reporting/reporting_builder.php
	godmode/reporting/reporting_builder.item_editor.php: Functions in 
	functions_incidents.php, functions_io.php, functions_menu.php, functions_messages.php,
	functions_modules.php, functions_network_components.php, functions_network_profiles.php,
	functions_networkmap.php, functions_reporting.php, functions_reports.php, 
	functions_servers.php have "incidents_", "io_", "menu_", "messages_", "modules_",
	"network_profiles_", "network_components_", "networkmap_", "reporting_", "reports_",
	"servers_" prefixes respectively.

2011-05-09  Ramon Novoa  <rnovoa@artica.es>

	* operation/agentes/estado_agente.php: Replaced a call to the old
	  get_db_all_rows_sql with db_get_all_rows_sql.

2011-05-09 Vanessa Gil <vanessa.gil@artica.es>

	*  operation/agentes/estado_agente.php: Fixed a mistake of my last 
	commit.


2011-05-09 Javier Lanz <javier.lanz@artica.es>

	* include/graphs/fgraph.php: Added 'period' parameter to slicesbar_graph
	function
	* include/graphs/functions_pchart.php: Added 'period' variable and fixed
	pch_slicebar_graph function
	* include/functions_graph.php: Added 'date' to function graph_sla_slicebar
	* include/functions_reporting.php: Fixed get_agentmodule_sla_array
	function, and get_agentmodule_sla, updated some deprecated
	printTrucateText calls, and the decimal data for displaying the SLA number

2011-05-09 Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb.sql, pandoradb.postgreSQL.sql: fixed the default value for
	timestamp, there was a own mistake in the order of date, sorry.

2011-05-09 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php: changed in the function
	"grafico_modulo_sparse2" the order to include the javascripts for flash.
	
	* include/functions_visual_map.php,
	include/ajax/visual_console_builder.ajax.php,
	godmode/reporting/visual_console_builder.editor.js: some fixes in the show
	new graphs.

2011-05-09 Miguel de Dios  <miguel.dedios@artica.es>

	* include/graphs/functions_fsgraph.php: fixed the call to
	"clean_flash_string", renamed to "clean_flash_string2".
	
	* include/functions_reporting.php: disabled the include old fsgraph.

2011-05-09 Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb.postgreSQL.sql: fixed the type of cell "id_agente_modulo" in the
	table "tagente_datos_string".

2011-05-06  Dario Rodriguez <dario.rodriguez@artica.es>

	* include/graphs/functions_gd.php: Added new parameter to function
	gd_progress_bar.

2011-05-06  Junichi Satoh  <junichi@rworks.jp>

	* godmode/alerts/alert_list.list.php: Fixed filter parameters are not
	taken over with offset selection.

2011-05-05  Sergio Martin <sergio.martin@artica.es>

	* godmode/agentes/configurar_agente.php
	godmode/agentes/module_manager_editor.php: Added the feature of
	edit the modules from the agent config or create a module from
	a local component or manually

2011-05-05 Miguel de Dios  <miguel.dedios@artica.es>
	* pandoradb.sql, pandoradb.postgreSQL.sql,
	extras/pandoradb_migrate_v3.2_to_v4.0.sql: changed the default value for
	zero/null date "0000-00-00 00:00:00" to "01-01-1970 00:00:00".

	* include/functions_graph.php,include/db/postgresql.php,
	include/functions_modules.php, include/functions_agents.php,
	operation/agentes/alerts_status.php,
	operation/agentes/estado_generalagente.php,
	operation/agentes/estado_agente.php, operation/agentes/exportdata.php,
	operation/agentes/ver_agente.php, operation/servers/view_server.php,
	operation/gis_maps/ajax.php, godmode/db/db_sanity.php,
	godmode/agentes/agent_template.php,
	godmode/agentes/module_manager_editor_network.php,
	godmode/agentes/configurar_agente.php, godmode/servers/plugin.php,
	godmode/snmpconsole/snmp_alert.php: small fixeds for the support the
	PostgreSQL engine.

2011-05-04 Vanessa Gil <vanessa.gil@artica.es>

	*  operation/agentes/estado_agente.php: Fixed error on list of agents

2011-05-03  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_reporting_advanced_tab.php: Added a missing
	help file.

2011-05-03  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php: Clean code
	merged from integria library

2011-05-02 SAncho Lerena <slerena@artica.es>

	*  include/help/en/help_reporting_advanced_tab.php,
	include/help/es/help_reporting_advanced_tab.php: Missing help
	files.

2011-05-02  Junichi Satoh  <junichi@rworks.jp>

	* include/styles/pandora_width.css: Fixed a typo.

2011-04-29 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php, include/graphs/functions_pchart.php,
	include/graphs/fgraph.php: back to previous version of Juan Manuel, because
	he update old version of trunk.

2011-04-28  Junichi Satoh  <junichi@rworks.jp>

	* godmode/admin_access_logs.php: Fixed filter parameters are not
	taken over with offset selection. (Fixed degraded.)

2011-04-27 Sancho Lerena <slerena@artica.es>

    * include/graphs/functions_gd.php: Fontsize was not being passed
    as parameter in drawRating(), now is passed.

2011-04-27 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/setup/setup_visuals.php
	godmode/users/configure_user.php: Fixed some mistakes of my last 
	commit.

2011-04-27 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_graph.php
	include/functions_users.php
	include/functions_events.php
	include/functions_html.php
	include/functions_menu.php
	include/styles/pandora.css
	include/graphs/functions_pchart.php
	include/functions_messages.php
	include/functions_exportserver.php
	include/functions_modules.php
	include/functions_reporting.php
	include/functions_filemanager.php
	include/functions_groups.php
	include/functions_gis.php
	include/functions_networkmap.php
	include/functions_servers.php
	include/functions_network_components.php
	include/functions_visual_map.php
	include/ajax/skins.ajax.php
	include/ajax/visual_console_builder.ajax.php
	include/help/en/help_gis_map_builder.php
	include/help/en/help_agent_status.php
	include/help/en/help_eventview.php
	include/help/en/help_configure_gis_map.php
	include/help/en/help_cascade_protection.php
	include/help/en/help_setup_gis_index.php
	include/help/es/help_gis_map_builder.php
	include/help/es/help_agent_status.php
	include/help/es/help_eventview.php
	include/help/es/help_configure_gis_map.php
	include/help/es/help_cascade_protection.php
	include/help/ja/help_gis_map_builder.php
	include/help/ja/help_agent_status.php
	include/help/ja/help_eventview.php
	include/help/ja/help_configure_gis_map.php
	include/help/ja/help_cascade_protection.php
	include/help/ja/help_setup_gis_index.php
	include/functions_ui.php
	include/functions_incidents.php
	include/functions.php
	include/functions_agents.php
	include/functions_db.php
	include/functions_fsgraph.php
	include/functions_extensions.php
	include/functions_ui_renders.php
	extensions/insert_data.php
	extensions/system_info.php
	extensions/extension_uploader.php
	extensions/agents_modules.php
	extensions/dbmanager.php
	extensions/resource_registration.php
	extensions/resource_exportation.php
	extensions/users_connected.php
	extensions/module_groups.php
	extensions/update_manager/settings.php
	extensions/update_manager/main.php
	operation/incidents/incident.incident.php
	operation/incidents/incident.php
	operation/incidents/incident.files.php
	operation/incidents/incident.tracking.php
	operation/incidents/incident_detail.php
	operation/incidents/incident.workunits.php
	operation/incidents/incident.list.php
	operation/search_modules.php
	operation/extensions.php
	operation/visual_console/render_view.php
	operation/visual_console/index.php
	operation/agentes/status_monitor.php
	operation/agentes/estado_ultimopaquete.php
	operation/agentes/datos_agente.php
	operation/agentes/alerts_status.php
	operation/agentes/estado_generalagente.php
	operation/agentes/custom_fields.php
	operation/agentes/estado_agente.php
	operation/agentes/networkmap.topology.php
	operation/agentes/alerts_status.functions.php
	operation/agentes/networkmap.groups.php
	operation/agentes/sla_view.php
	operation/agentes/exportdata.php
	operation/agentes/gis_view.php
	operation/agentes/estado_monitores.php
	operation/agentes/ver_agente.php
	operation/agentes/graphs.php
	operation/agentes/tactical.php
	operation/agentes/group_view.php
	operation/agentes/networkmap.php
	operation/agentes/stat_win.php
	operation/servers/view_server.php
	operation/servers/view_server_detail.php
	operation/search_agents.php
	operation/search_graphs.php
	operation/snmpconsole/snmp_view.php
	operation/users/user_edit.php
	operation/integria_incidents/incident.incident.php
	operation/integria_incidents/incident.php
	operation/integria_incidents/incident.files.php
	operation/integria_incidents/incident.tracking.php
	operation/integria_incidents/incident_detail.php
	operation/integria_incidents/incident.workunits.php
	operation/integria_incidents/incident.list.php
	operation/gis_maps/render_view.php
	operation/gis_maps/ajax.php
	operation/gis_maps/index.php
	operation/events/export_csv.php
	operation/events/sound_events.php
	operation/events/events_validate.php
	operation/events/events_list.php
	operation/events/events.php
	operation/search_alerts.php
	operation/messages/message.php
	operation/reporting/reporting_xml.php
	operation/reporting/reporting_viewer.php
	operation/reporting/graph_viewer.php
	operation/reporting/custom_reporting.php
	operation/search_reports.php
	operation/search_maps.php
	operation/search_results.php
	operation/search_users.php
	mobile/operation/agents/monitor_status.php
	mobile/operation/agents/view_agents.php
	mobile/operation/agents/tactical.php
	mobile/operation/agents/view_alerts.php
	mobile/operation/agents/group_view.php
	mobile/operation/events/events.php
	mobile/operation/servers/view_servers.php
	mobile/include/user.class.php
	general/pandora_help.php
	general/noaccess.php
	general/login_page.php
	general/logon_ok.php
	general/logoff.php
	general/ui/agents_list.php
	general/header.php
	godmode/groups/modu_group_list.php
	godmode/groups/configure_group.php
	godmode/groups/configure_modu_group.php
	godmode/groups/group_list.php
	godmode/admin_access_logs.php
	godmode/extensions.php
	godmode/db/db_sanity.php
	godmode/db/db_refine.php
	godmode/db/db_info.php
	godmode/db/db_event.php
	godmode/db/db_purge.php
	godmode/agentes/agent_template.php
	godmode/agentes/module_manager_editor_common.php
	godmode/agentes/module_manager_editor_network.php
	godmode/agentes/fields_manager.php
	godmode/agentes/module_manager_editor_wmi.php
	godmode/agentes/module_manager_editor_plugin.php
	godmode/agentes/agent_conf_gis.php
	godmode/agentes/module_manager_editor_prediction.php
	godmode/agentes/module_manager.php
	godmode/agentes/modificar_agente.php
	godmode/agentes/configurar_agente.php
	godmode/agentes/configure_field.php
	godmode/agentes/module_manager_editor.php
	godmode/agentes/planned_downtime.php
	godmode/agentes/manage_config_remote.php
	godmode/agentes/agent_manager.php
	godmode/servers/recon_script.php
	godmode/servers/plugin.php
	godmode/servers/manage_recontask.php
	godmode/servers/modificar_server.php
	godmode/servers/manage_recontask_form.php
	godmode/alerts/alert_list.list.php
	godmode/alerts/configure_alert_compound.php
	godmode/alerts/alert_compounds.php
	godmode/alerts/alert_list.php
	godmode/alerts/configure_alert_template.php
	godmode/alerts/alert_templates.php
	godmode/alerts/configure_alert_action.php
	godmode/alerts/configure_alert_command.php
	godmode/alerts/alert_actions.php
	godmode/alerts/alert_list.builder.php
	godmode/alerts/alert_commands.php
	godmode/snmpconsole/snmp_alert.php
	godmode/snmpconsole/snmp_filters.php
	godmode/setup/file_manager.php
	godmode/setup/os.list.php
	godmode/setup/news.php
	godmode/setup/gis_step_2.php
	godmode/setup/links.php
	godmode/setup/setup.php
	godmode/setup/os.php
	godmode/setup/performance.php
	godmode/setup/setup_auth.php
	godmode/setup/gis.php
	godmode/setup/os.builder.php
	godmode/setup/setup_visuals.php
	godmode/users/user_list.php
	godmode/users/configure_user.php
	godmode/users/configure_profile.php
	godmode/gis_maps/configure_gis_map.php
	godmode/gis_maps/index.php
	godmode/massive/massive_add_alerts.php
	godmode/massive/massive_copy_modules.php
	godmode/massive/massive_delete_agents.php
	godmode/massive/massive_enable_disable_alerts.php
	godmode/massive/massive_operations.php
	godmode/massive/massive_delete_profiles.php
	godmode/massive/massive_edit_agents.php
	godmode/massive/massive_delete_action_alerts.php
	godmode/massive/massive_delete_modules.php
	godmode/massive/massive_add_profiles.php
	godmode/massive/massive_delete_alerts.php
	godmode/massive/massive_edit_modules.php
	godmode/massive/massive_standby_alerts.php
	godmode/massive/massive_add_action_alerts.php
	godmode/modules/manage_network_components_form.php
	godmode/modules/manage_nc_groups_form.php
	godmode/modules/manage_network_templates.php
	godmode/modules/module_list.php
	godmode/modules/manage_network_components_form_common.php
	godmode/modules/manage_network_components_form_network.php
	godmode/modules/manage_network_templates_form.php
	godmode/modules/manage_network_components_form_wmi.php
	godmode/modules/manage_network_components.php
	godmode/modules/manage_nc_groups.php
	godmode/modules/manage_network_components_form_plugin.php
	godmode/reporting/reporting_builder.list_items.php
	godmode/reporting/graph_builder.main.php
	godmode/reporting/visual_console_builder.wizard.php
	godmode/reporting/visual_console_builder.php
	godmode/reporting/reporting_builder.preview.php
	godmode/reporting/reporting_builder.main.php
	godmode/reporting/visual_console_builder.data.php
	godmode/reporting/visual_console_builder.elements.php
	godmode/reporting/graph_builder.php
	godmode/reporting/graph_builder.graph_editor.php
	godmode/reporting/reporting_builder.php
	godmode/reporting/visual_console_builder.editor.php
	godmode/reporting/reporting_builder.item_editor.php
	godmode/reporting/map_builder.php
	godmode/reporting/graphs.php
	godmode/reporting/graph_builder.preview.php: Now functions on 
	functions_html.php, functions_gis.php, functions_filemanager.php, 
	functions_exportserver.php have "html_", "gis_", "filemanager_" and
	"exportserver_" prefix respectively.

2011-04-26  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php
	include/graphs/functions_gd.php
	include/graphs/fgraph.php: Merged sancho works from 
	integria passing fonts and sizes in integria. Little 
	fixes

2011-04-25 Javier Lanz <javier.lanz@artica.es>

	* include/functions_reporting.php: Fixed a small font problem displaying
	SLA reports status

2011-04-25 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php, include/graphs/functions_pchart.php,
	include/graphs/fgraph.php: added parameter to choose if show all xaxis
	marks or not.

2011-04-25 Javier Lanz <javier.lanz@artica.es>

	* operation/agentes/tactical.php: Fixed a style problem on Internet
	Explorer

	Fix: #3279238

2011-04-25 Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb_data.sql, pandoradb.data.postgreSQL.sql,
	pandoradb.data.oracle.sql: added the default value for flash_chart for
	admin user. The value is "use the global conf".
	
	* include/db/mysql.php: cleaned source code style.
	
	* godmode/users/configure_user.php: fixed when update or create the user
	in Pandora Console without Enterprise version installed.

2011-04-23  Junichi Satoh  <junichi@rworks.jp>

	* include/help/ja/help_alert_macros.php: Added the new _policy_ alert
	  macro.

2011-04-20 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php,
	include/graphs/functions_pchart.php: some fixes, and set font size equal
	for all text in graphs. And starte the change to vertical bar the graph
	for string module.

	* include/functions_reporting.php: added to take the font and size.

2011-04-20  Ramon Novoa  <rnovoa@artica.es>

	* include/help/en/help_alert_macros.php,
	  include/help/es/help_alert_macros.php: Added the new _policy_ alert
	  macro.

2011-04-20 Miguel de Dios  <miguel.dedios@artica.es>

	* include/fonts/unicode.ttf: renamed form code.ttf.
	
	* include/fonts/smallfont.ttf: added new smaller font.
	
	* include/functions_config.php, godmode/setup/setup_visuals.php: now you
	can set the size of font for the graphs.
	
	* include/functions_graph.php, include/graphs/functions_pchart.php,
	include/graphs/fgraph.php: changed source code to set the size of font
	in the graphs.

2011-04-20 Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_graph.php, include/graphs/functions_pchart.php,
	include/fgraph.php, operation/agentes/stat_win.php: fixed duplicate
	functions, and start to support custom font in Pandora connector.

	* index.php: fixed when include again the extension file.
	
	* include/functions_html.php: fixed when include this file in other
	location to index.

	* godmode/reporting/graph_builder.preview.php: cleaned source code style.

2011-04-20 Javier Lanz <javier.lanz@artica.es>

	* godmode/alerts/configure_alert_action.php: Fixed a small bug about
	entities on "Command preview"

	Fix: #3276373

2011-04-20 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_graph.php: Fixed some mistakes of my last commit.

2011-04-20 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_events.php
	include/functions_reporting.php: Fixed some mistakes of my last commit.

2011-04-20 Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_graph.php: fixed duplicated function.

2011-04-20 Miguel de Dios  <miguel.dedios@artica.es>
	
	* include/functions_graph.php: fixed duplicated function.

2011-04-20 Miguel de Dios  <miguel.dedios@artica.es>
	
	* images/logo_vertical_water.png: added water mark for the graphs.
	
	* godmode/db/db_info.php: cleaned source code style.
	
	* include/graphs/pChart/pDraw.class.php: re-added lost line for the
	rotation label value.

	* include/functions_graph.php, include/graphs/functions_pchart.php,
	include/graphs/functions_fsgraph.php, include/graphs/fgraph.php: added the
	source code to show warter mark.

2011-04-20 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_events.php
	include/functions_reporting.php
	include/functions_alerts.php
	operation/incidents/incident_detail.php
	operation/agentes/status_events.php
	operation/agentes/tactical.php
	operation/integria_incidents/incident_detail.php
	operation/events/events_validate.php
	operation/events/events_list.php
	operation/events/events.php
	operation/reporting/reporting_xml.php: Functions in functions_events.php have "events_"
	prefix.  
	* index.php: Added some "db_" prefixes that I forgot in my last commit. Functions in 
	functions_events.php have "events_" prefix.

2011-04-19 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* Changelog: Forget to update the Changelog in my last commit.

2011-04-19 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_graph.php
	include/functions_html.php
	include/functions_messages.php
	include/db/postgresql.php
	include/db/mysql.php
	include/db/oracle.php
	include/functions_reporting.php
	include/functions_filemanager.php
	include/functions_gis.php
	include/auth/ldap.php
	include/auth/mysql.php
	include/functions_networkmap.php
	include/functions_network_components.php
	include/ajax/skins.ajax.php
	include/ajax/reporting.ajax.php
	include/ajax/visual_console_builder.ajax.php
	include/ajax/alert_list.ajax.php
	include/ajax/module.php
	include/functions_config.php
	include/functions_api.php
	include/help/en/help_timesource.php
	include/help/es/help_timesource.php
	include/help/ja/help_timesource.php
	include/config_process.php
	include/functions_ui.php
	include/functions_custom_graphs.php
	include/fgraph.php
	include/functions_incidents.php
	include/api.php
	include/functions_reports.php
	include/functions_ui_renders.php
	extensions/insert_data.php
	extensions/system_info.php
	extensions/extension_uploader.php
	extensions/pandora_logs.php
	extensions/agents_modules.php
	extensions/update_manager.php
	extensions/ssh_console.php
	extensions/dbmanager.php
	extensions/vnc_view.php
	extensions/resource_registration.php
	extensions/resource_exportation.php
	extensions/users_connected.php
	extensions/module_groups.php
	extensions/update_manager/load_updatemanager.php
	extensions/update_manager/lib/libupdate_manager_client.php
	extensions/update_manager/lib/libupdate_manager.php
	extensions/update_manager/lib/libupdate_manager_components.php
	extensions/update_manager/lib/libupdate_manager_updates.php
	extensions/update_manager/settings.php
	extensions/update_manager/main.php
	extensions/plugin_registration.php
	operation/incidents/incident.php
	operation/incidents/incident_detail.php
	operation/incidents/incident_statistics.php
	operation/search_modules.php
	operation/visual_console/render_view.php
	operation/visual_console/index.php
	operation/extensions.php
	operation/agentes/status_monitor.php
	operation/agentes/export_csv.php
	operation/agentes/estado_ultimopaquete.php
	operation/agentes/datos_agente.php
	operation/agentes/alerts_status.php
	operation/agentes/estado_generalagente.php
	operation/agentes/custom_fields.php
	operation/agentes/estado_agente.php
	operation/agentes/networkmap.topology.php
	operation/agentes/networkmap.groups.php
	operation/agentes/sla_view.php
	operation/agentes/exportdata.php
	operation/agentes/gis_view.php
	operation/agentes/estado_monitores.php
	operation/agentes/ver_agente.php
	operation/agentes/graphs.php
	operation/agentes/agent_fields.php
	operation/agentes/tactical.php
	operation/agentes/group_view.php
	operation/agentes/networkmap.php
	operation/agentes/stat_win.php
	operation/servers/view_server.php
	operation/servers/view_server_detail.php
	operation/menu.php
	operation/search_agents.php
	operation/search_graphs.php
	operation/snmpconsole/snmp_view.php
	operation/users/user_edit.php
	operation/gis_maps/render_view.php
	operation/gis_maps/ajax.php
	operation/integria_incidents/incident.php
	operation/integria_incidents/incident_detail.php
	operation/integria_incidents/incident_statistics.php
	operation/events/event_statistics.php
	operation/events/events_rss.php
	operation/events/export_csv.php
	operation/events/sound_events.php
	operation/events/events_validate.php
	operation/events/events_list.php
	operation/events/events_marquee.php
	operation/events/events.php
	operation/search_alerts.php
	operation/messages/message.php
	operation/reporting/reporting_xml.php
	operation/reporting/reporting_viewer.php
	operation/reporting/graph_viewer.php
	operation/search_reports.php
	operation/search_maps.php
	operation/search_users.php
	extras/pandora_diag.php
	mobile/operation/agents/monitor_status.php
	mobile/operation/agents/view_agents.php
	mobile/operation/agents/view_alerts.php
	mobile/operation/agents/group_view.php
	mobile/operation/events/events.php
	mobile/index.php
	general/error_authconfig.php
	general/links_menu.php
	general/logon_ok.php
	general/error_dbconfig.php
	general/ui/agents_list.php
	general/header.php
	godmode/groups/modu_group_list.php
	godmode/groups/configure_group.php
	godmode/groups/configure_modu_group.php
	godmode/groups/group_list.php
	godmode/admin_access_logs.php
	godmode/db/db_main.php
	godmode/db/db_audit.php
	godmode/db/db_sanity.php
	godmode/db/db_refine.php
	godmode/db/db_info.php
	godmode/db/db_event.php
	godmode/db/db_purge.php
	godmode/extensions.php
	godmode/agentes/agent_template.php
	godmode/agentes/module_manager_editor_common.php
	godmode/agentes/fields_manager.php
	godmode/agentes/agent_conf_gis.php
	godmode/agentes/module_manager_editor_prediction.php
	godmode/agentes/module_manager.php
	godmode/agentes/modificar_agente.php
	godmode/agentes/configurar_agente.php
	godmode/agentes/configure_field.php
	godmode/agentes/module_manager_editor.php
	godmode/agentes/planned_downtime.php
	godmode/agentes/manage_config_remote.php
	godmode/agentes/agent_manager.php
	godmode/servers/recon_script.php
	godmode/servers/plugin.php
	godmode/servers/manage_recontask.php
	godmode/servers/modificar_server.php
	godmode/servers/manage_recontask_form.php
	godmode/alerts/alert_list.list.php
	godmode/alerts/configure_alert_compound.php
	godmode/alerts/alert_compounds.php
	godmode/alerts/alert_list.php
	godmode/alerts/configure_alert_template.php
	godmode/alerts/alert_templates.php
	godmode/alerts/configure_alert_action.php
	godmode/alerts/configure_alert_command.php
	godmode/alerts/alert_actions.php
	godmode/alerts/alert_list.builder.php
	godmode/alerts/alert_commands.php
	godmode/setup/file_manager.php
	godmode/setup/os.list.php
	godmode/setup/news.php
	godmode/setup/gis_step_2.php
	godmode/setup/links.php
	godmode/setup/setup.php
	godmode/setup/os.php
	godmode/setup/performance.php
	godmode/setup/setup_auth.php
	godmode/setup/gis.php
	godmode/setup/os.builder.php
	godmode/setup/setup_visuals.php
	godmode/snmpconsole/snmp_alert.php
	godmode/snmpconsole/snmp_filters.php
	godmode/users/user_list.php
	godmode/users/configure_profile.php
	godmode/gis_maps/configure_gis_map.php
	godmode/gis_maps/index.php
	godmode/massive/massive_add_alerts.php
	godmode/massive/massive_copy_modules.php
	godmode/massive/massive_delete_agents.php
	godmode/massive/massive_enable_disable_alerts.php
	godmode/massive/massive_operations.php
	godmode/massive/massive_delete_profiles.php
	godmode/massive/massive_edit_agents.php
	godmode/massive/massive_delete_action_alerts.php
	godmode/massive/massive_delete_modules.php
	godmode/massive/massive_add_profiles.php
	godmode/massive/massive_delete_alerts.php
	godmode/massive/massive_edit_modules.php
	godmode/massive/massive_standby_alerts.php
	godmode/massive/massive_add_action_alerts.php
	godmode/modules/manage_network_components_form.php
	godmode/modules/manage_nc_groups_form.php
	godmode/modules/manage_network_templates.php
	godmode/modules/module_list.php
	godmode/modules/manage_network_components_form_common.php
	godmode/modules/manage_network_components_form_network.php
	godmode/modules/manage_network_templates_form.php
	godmode/modules/manage_network_components_form_wmi.php
	godmode/modules/manage_network_components.php
	godmode/modules/manage_nc_groups.php
	godmode/reporting/visual_console_builder.wizard.php
	godmode/reporting/graph_builder.main.php
	godmode/reporting/reporting_builder.list_items.php
	godmode/reporting/visual_console_builder.php
	godmode/reporting/reporting_builder.preview.php
	godmode/reporting/reporting_builder.main.php
	godmode/reporting/visual_console_builder.data.php
	godmode/reporting/visual_console_builder.elements.php
	godmode/reporting/graph_builder.php
	godmode/reporting/visual_console_builder.preview.php
	godmode/reporting/graph_builder.graph_editor.php
	godmode/reporting/reporting_builder.php
	godmode/reporting/visual_console_builder.editor.php
	godmode/reporting/reporting_builder.item_editor.php
	godmode/reporting/map_builder.php
	godmode/reporting/graphs.php
	godmode/reporting/graph_builder.preview.php
	include/functions_db.php: Added some includes and functions of this code have "db_" prefix.
	* include/functions.php: Moved function check_login(), check_acl(), 
	dame_nombre_pluginid(), get_os_name() from functions_db.php to functions.php. 
	* include/functions_groups.php: Moved functions get_childrens(), safe_acl_group()
	 and get_parents(), give_disabled_group(), isAllGroups(), get_group_icon(), get_all_groups(), 	 
	get_id_groups_recursive(), get_user_groups_tree_recursive(), get_group_status(), 
	get_group_name(), get_group_users() from functions_db.php to this code. 
	* include/functions_profile.php: New library with profile functions. Moved functions 
	get_profile_name(), get_profiles(), create_user_profile(), delete_user_profile(), 
	delete_profile() from functions_db.php to this code. Added new parameter in function 
	get_profile() to retrieve profiles with filter conditions applied.
	* include/functions_users.php: New library with users functions. Moved functions 
	get_users_info(), get_all_model_groups(), get_user_groups(), get_user_groups_tree(), 
	get_user_first_group(), user_access_to_agent() from funtions_db.php to this code.
	* godmode/users/configure_user.php: Changed get_profile_filter() function to get_profile(). 
	* include/functions_agents.php: Moved functions get_group_agents(), get_agent_modules(), 
	get_agent_module_id(), get_agent_id(), get_agent_name(), get_agent_modules_data_count(), 
	check_alert_fired(), get_agent_interval(), get_agent_os(), give_agentmodule_flag(), 
	agent_add_address(), agent_delete_address(), get_agent_address(), get_agent_with_ip(), 
	get_agent_addresses(), get_agent_status(), delete_agent(), get_agentmodule_group(), 
	get_agent_group() from functions_db.php to this code.
	* include/functions_modules.php: Moved functions get_agentmodule(), get_agentmodule_id(), 
	get_agentmodule_is_init(), get_agent_modules_count(), get_module_type_name(), 
	get_module_type_icon(), get_agentmodule_agent(), get_agentmodule_agent_name(), 
	get_agentmodule_name(), get_agentmodule_type(), get_monitor_downs_in_period(), 		
	get_monitor_last_down_timestamp_in_period(), get_monitors_in_group(), 
	get_monitors_in_agent(), get_monitors_down(), get_moduletype_name(), 
	get_moduletype_description(), get_moduletypes(), get_module_interval(), show_icon_type(), 		
	give_modulecategory_name(),
 	give_agent_id_from_module_id(), get_module_status(), get_agent_module_last_value(), 
	get_previous_data(), get_agentmodule_modulegroup(), get_modulegroups(), 
	get_modulegroup_name() from functions_db.php to this code.
	* include/functions_alerts.php: Moved functions get_alert_type(), get_agent_alert_fired(),
	 get_module_alert_fired(), get_alert_fires_in_period(), get_group_alerts(), get_alerts_fired(), 
	get_alert_last_fire_timestamp_in_period(), get_agentmodule_status(), 
	get_agentmodule_last_status() from functions_db.php to this code.
	* include/functions_exportserver.php: Moved function dame_nombre_servidorexportacion() 
	from functions_db.php to this code.
	* include/functions_events.php: Moved functions get_group_events(), get_agent_events(), 
	get_module_events() from functions_db.php to this code.
	* include/functions_servers.php: Moved functions get_server_name(), show_server_type(), 
	check_server_status(), server_status() from functions_db.php to this code.
	* include/functions_network_profiles.php: Moved function get_networkprofile_name() 
	from functions_db.php to this code.
	* include/functions_visual_map.php: Moved functions get_layoutdata_x(), get_layoutdata_y() 
	from fucntions_db.php to this code.
	* include/functions_io.php: Moved function __() from functions_db.php to this code.

2011-04-19 Javier Lanz <javier.lanz@artica.es>

	* include/functions_modules.php: Fixed an error about the agent status
	* godmode/agentes/agent_template.php: Fixed an error about the agent
	status

	Fix: #3251822

2011-04-19  Ramon Novoa  <rnovoa@artica.es>

	* pandoradb.sql: Fixed an error in last commit.

2011-04-19  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_db.php, pandoradb.sql,
	  pandoradb.postgreSQL.sql, pandoradb.oracle.sql,
	  extras/pandoradb_migrate_v3.2_to_v4.0.sql,
	  general/logon_ok.php, godmode/admin_access_logs.php: Several fixes to
	  make things work in MySQL, PostgreSQL and Oracle.

2011-04-19 Javier Lanz <javier.lanz@artica.es>

	* godmode/modules/manage_network_components_form.php: Enabled port field
	on Network Components - Remote SNMP network agent
	* godmode/modules/manage_network_components_form_plugin.php: Added port
	field on Network Components - Plugin Components

2011-04-19 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/setup/setup_visuals.php: change the text field fonts to
	select box.

2011-04-19 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php, include/fgraph.php,
	operation/agentes/graphs.php, operation/agentes/stat_win.php: added the
	new engine.

	* include/graphs/functions_pchart.php: fixed the default value for some
	graph data confs.

2011-04-19 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/db/oracle.php: Changed oracle session parameter for 
	decimal separator. 

2011-04-19 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* install.php: Now it's possible to drop oracle db before installation. 

2011-04-18  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php
	include/graphs/functions_fsgraph.php
	include/graphs/fgraph.php: Fixed flash
	area colors and lef margin in horizontal bar
	graphs

2011-04-18 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php: fixed the legend for to show with human
	numeric format.

2011-04-18 Miguel de Dios  <miguel.dedios@artica.es>

	* include/graphs/pChart/pDraw.class.php: changed for show the some dark
	border with same color of area when the data config of graph haven't this
	values.

2011-04-18 Javier Lanz <javier.lanz@artica.es>

	* include/functions_filemanager.php: Added a 'base64_encode' to deal with
	html entities in collection's files

	Fix: #3286063

2011-04-18 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php, godmode/reporting/graph_builder.preview.php:
	fixes for the new graph engine.
	
	* operation/agentes/estado_monitores.php: added a toggle button to show the
	the entire value or sub string for value (by default).

2011-04-18 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php, include/graphs/functions_fsgraph.php,
	include/graphs/fgraph.php, operation/agentes/stat_win.php: fixed the
	relative urls for absolute urls.

2011-04-18 Javier Lanz <javier.lanz@artica.es>

	* include/functions_filemanager.php: Fixed a problem with html entities
	* include/get_file.php: Added base64_decode for getting a get parameter

	Fixes: #3286063

2011-04-18 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php, include/graphs/functions_pchart.php,
	include/graphs/fgraph.php, operation/agentes/estado_generalagente.php: some
	fixes and changes in the new graph engine.
	
	* operation/agentes/stat_win.php: fixed the tittle of popup window.

2011-04-18 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: changed to use new engine.

2011-04-18  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php
	include/graphs/functions_fsgraph.php
	include/graphs/fgraph.php: Fixed bar graphs margins
	Fixed horizontal flash bar

2011-04-18  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php
	include/graphs/fgraph.php: Clean code

2011-04-16  Junichi Satoh  <junichi@rworks.jp>

	* godmode/admin_access_logs.php: Fixed filter parameters are not
	taken over with offset selection.

2011-04-15 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php: added the parameter $homeurl in some
	functions and in others rename from $homedir.
	
	* include/graphs/functions_pchart.php: setted the default values in some
	vars. And replaced the calls to new engine graph.
	
	* include/graphs/fgraph.php: added the parameter $homeurl.
	
	* include/functions_reporting.php: fixed in 'simple_graph' the
	$content['id_agent_module'].  
	
	* include/functions_custom_graphs.php,
	operation/reporting/reporting_xml.php,
	godmode/admin_access_logs.php: cleaned source code style.
	
2011-04-15 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/auth/ldap.php
	include/functions_config.php
	include/config_process.php
	include/functions_custom_graphs.php
	operation/search_graphs.php
	operation/reporting/graph_viewer.php
	godmode/setup/setup.php
	godmode/setup/performance.php
	godmode/setup/setup_visuals.php
	godmode/reporting/graphs.php
	godmode/reporting/graph_builder.preview.php: Functions of functions_config.php
	and function_custom_graphs.php have the "config_" and "custom_graphs_" prefix 
	respectively.

2011-04-15 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/db/oracle.php
	include/functions_modules.php
	include/functions_reporting.php
	include/functions_networkmap.php
	include/ajax/agent.php
	include/ajax/alert_list.ajax.php
	include/functions_ui.php
	include/functions_agents.php
	include/functions_db.php
	include/functions_alerts.php
	extensions/agents_modules.php
	extensions/resource_registration.php
	extensions/module_groups.php
	operation/agentes/alerts_status.php
	operation/agentes/estado_generalagente.php
	operation/agentes/estado_agente.php
	operation/agentes/alerts_status.functions.php
	operation/agentes/exportdata.php
	operation/events/events.php
	operation/search_alerts.php
	mobile/operation/agents/view_agents.php
	mobile/operation/agents/view_alerts.php
	general/ui/agents_list.php
	godmode/agentes/configurar_agente.php
	godmode/agentes/agent_manager.php
	godmode/alerts/alert_list.list.php
	godmode/alerts/configure_alert_compound.php
	godmode/alerts/alert_compounds.php
	godmode/alerts/alert_list.php
	godmode/alerts/configure_alert_template.php
	godmode/alerts/alert_templates.php
	godmode/alerts/configure_alert_action.php
	godmode/alerts/configure_alert_command.php
	godmode/alerts/alert_actions.php
	godmode/alerts/alert_list.builder.php
	godmode/alerts/alert_commands.php
	godmode/snmpconsole/snmp_alert.php
	godmode/massive/massive_add_alerts.php
	godmode/massive/massive_copy_modules.php
	godmode/massive/massive_enable_disable_alerts.php
	godmode/massive/massive_delete_action_alerts.php
	godmode/massive/massive_delete_alerts.php
	godmode/massive/massive_standby_alerts.php
	godmode/massive/massive_add_action_alerts.php
	godmode/reporting/graph_builder.main.php
	godmode/reporting/graph_builder.php
	godmode/reporting/graph_builder.preview.php: Functions of functions_agents.php
	and function_alerts.php have the "agent_" and "alert_" prefix respectively.

2011-04-14  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php
	include/graphs/functions_fsgraph.php
	include/graphs/fgraph.php: Increased the weight of the lines
	in line graphs.
	Clean code

2011-04-14 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php: added function "graph_custom_sql_graph2".
	
	* include/graphs/fgraph.php: added as $homedir parameter in some functions.
	
	* include/functions_reporting.php: changed to new engine.

2011-04-14  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php
	include/graphs/pChart/pDraw.class.php
	include/graphs/fgraph.php: Added rotation in bar graphs 
	top axis. 
	Fixed pie legend position

2011-04-14 Javier Lanz <javier.lanz@artica.es>

	* godmode/massive/massive_edit_modules.php: Added functionality to edit
	SNMP version on massive operations

2011-04-14 Miguel de Dios  <miguel.dedios@artica.es>

	* include/graphs/functions_pchart.php: added method to force height or not,
	changed to show all columns name in the hgraph and vgraph, fixed the colors
	when passed the parameter "fine" to color. And in the function
	"pch_bar_graph" change to calculate left margin instead to fixed value.
	
	* include/graphs/fgraph.php: added new parameter in the function
	"hbar_graph" to force or unforce the graph height.

2011-04-14 Miguel de Dios  <miguel.dedios@artica.es>

	* include/graphs/functions_pchart.php: setted the xmargin to 0.
	
	* include/graphs/fgraph.php: in function "pie_graph" reduce to 8 the
	portions for the pie.
	
	* include/functions_db.php: changed the call "debug" to "ui_debug".

2011-04-14  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php
	include/graphs/functions_gd.php
	include/graphs/fgraph.php: Added x and y
	axis name possibility to line, stacked line and
	stacked area graphs. 
	Added dual posibility of calling to functions_gd 
	(thorugh url and with function call).  
	Clean code.

2011-04-14  Junichi Satoh  <junichi@rworks.jp>

	* extras/pandoradb_migrate_v3.2_to_v4.0.sql,
	pandoradb.sql,
	pandoradb.postgreSQL.sql,
	pandoradb.oracle.sql: Changed tperfil.name type to fix field length
	shortage.

2011-04-13 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php: deleted a repeat function.

2011-04-13 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php, include/functions_reporting.php,
	operation/incidents/incident_statistics.php,
	operation/agentes/custom_fields.php, operation/agentes/agent_fields.php,
	operation/servers/view_server_detail.php,
	operation/integria_incidents/incident_statistics.php,
	operation/events/event_statistics.php, operation/events/events_list.php,
	operation/events/events.php, operation/reporting/reporting_xml.php,
	godmode/admin_access_logs.php, godmode/db/db_main.php,
	godmode/db/db_info.php, godmode/db/db_purge.php,
	godmode/reporting/graph_builder.main.php,
	godmode/reporting/visual_console_builder.editor.js,
	godmode/reporting/graph_builder.php,
	godmode/reporting/graph_builder.graph_editor.php,
	godmode/reporting/graph_builder.preview.php: changed for to use new engine.

2011-04-13 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_ui.php
	include/functions.php: Removed function popup_help from functions.php
	and added in function_ui.php under ui_popup_help name.

2011-04-13  Ramon Novoa  <rnovoa@artica.es>

	* pandoradb.postgreSQL.sql: Created the UNIX_TIMESTAMP function.

2011-04-13 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_events.php
	include/functions_html.php
	include/functions_modules.php
	include/functions_reporting.php
	include/functions_filemanager.php
	include/functions_gis.php
	include/functions_networkmap.php
	include/functions_visual_map.php
	include/ajax/reporting.ajax.php
	include/help/en/help_timesource.php
	include/help/es/help_timesource.php
	include/help/ja/help_timesource.php
	include/functions_ui.php
	include/functions.php
	include/functions_db.php
	include/functions_ui_renders.php
	index.php
	extensions/insert_data.php
	extensions/system_info.php
	extensions/extension_uploader.php
	extensions/pandora_logs.php
	extensions/agents_modules.php
	extensions/dbmanager.php
	extensions/resource_registration.php
	extensions/resource_exportation.php
	extensions/users_connected.php
	extensions/module_groups.php
	extensions/update_manager/settings.php
	extensions/update_manager/main.php
	extensions/plugin_registration.php
	operation/incidents/incident.php
	operation/incidents/incident.files.php
	operation/incidents/incident_detail.php
	operation/incidents/incident.workunits.php
	operation/incidents/incident.list.php
	operation/incidents/incident_statistics.php
	operation/search_modules.php
	operation/visual_console/render_view.php
	operation/visual_console/index.php
	operation/extensions.php
	operation/agentes/status_monitor.php
	operation/agentes/alerts_status.php
	operation/agentes/datos_agente.php
	operation/agentes/estado_ultimopaquete.php
	operation/agentes/custom_fields.php
	operation/agentes/estado_generalagente.php
	operation/agentes/networkmap.topology.php
	operation/agentes/estado_agente.php
	operation/agentes/alerts_status.functions.php
	operation/agentes/networkmap.groups.php
	operation/agentes/bulbs.php
	operation/agentes/sla_view.php
	operation/agentes/exportdata.php
	operation/agentes/gis_view.php
	operation/agentes/estado_monitores.php
	operation/agentes/ver_agente.php
	operation/agentes/graphs.php
	operation/agentes/agent_fields.php
	operation/agentes/tactical.php
	operation/agentes/group_view.php
	operation/agentes/networkmap.php
	operation/agentes/stat_win.php
	operation/servers/view_server.php
	operation/servers/view_server_detail.php
	operation/search_agents.php
	operation/search_graphs.php
	operation/snmpconsole/snmp_view.php
	operation/users/user_edit.php
	operation/gis_maps/render_view.php
	operation/gis_maps/ajax.php
	operation/gis_maps/index.php
	operation/integria_incidents/incident.php
	operation/integria_incidents/incident.files.php
	operation/integria_incidents/incident_detail.php
	operation/integria_incidents/incident.workunits.php
	operation/integria_incidents/incident.list.php
	operation/integria_incidents/incident_statistics.php
	operation/events/event_statistics.php
	operation/events/events_list.php
	operation/events/events.php
	operation/search_alerts.php
	operation/messages/message.php
	operation/reporting/reporting_viewer.php
	operation/reporting/graph_viewer.php
	operation/reporting/custom_reporting.php
	operation/search_reports.php
	operation/search_maps.php
	operation/search_results.php
	operation/search_users.php
	extras/pandora_diag.php
	mobile/operation/agents/monitor_status.php
	mobile/operation/agents/view_agents.php
	mobile/operation/agents/view_alerts.php
	mobile/operation/events/events.php
	mobile/operation/servers/view_servers.php
	mobile/include/functions_web.php
	general/footer.php
	general/noaccess.php
	general/logon_ok.php
	general/main_menu.php
	general/ui/agents_list.php
	general/header.php
	godmode/groups/modu_group_list.php
	godmode/groups/configure_group.php
	godmode/groups/configure_modu_group.php
	godmode/groups/group_list.php
	godmode/admin_access_logs.php
	godmode/db/db_main.php
	godmode/db/db_audit.php
	godmode/db/db_sanity.php
	godmode/db/db_refine.php
	godmode/db/db_info.php
	godmode/db/db_event.php
	godmode/db/db_purge.php
	godmode/extensions.php
	godmode/agentes/module_manager_editor_common.php
	godmode/agentes/module_manager_editor_network.php
	godmode/agentes/fields_manager.php
	godmode/agentes/module_manager_editor_wmi.php
	godmode/agentes/module_manager_editor_plugin.php
	godmode/agentes/module_manager_editor_prediction.php
	godmode/agentes/agent_conf_gis.php
	godmode/agentes/module_manager.php
	godmode/agentes/modificar_agente.php
	godmode/agentes/configurar_agente.php
	godmode/agentes/configure_field.php
	godmode/agentes/module_manager_editor.php
	godmode/agentes/planned_downtime.php
	godmode/agentes/manage_config_remote.php
	godmode/agentes/agent_manager.php
	godmode/servers/recon_script.php
	godmode/servers/plugin.php
	godmode/servers/manage_recontask.php
	godmode/servers/modificar_server.php
	godmode/servers/manage_recontask_form.php
	godmode/alerts/alert_list.list.php
	godmode/alerts/configure_alert_compound.php
	godmode/alerts/alert_compounds.php
	godmode/alerts/alert_list.php
	godmode/alerts/configure_alert_template.php
	godmode/alerts/alert_templates.php
	godmode/alerts/configure_alert_action.php
	godmode/alerts/configure_alert_command.php
	godmode/alerts/alert_actions.php
	godmode/alerts/alert_list.builder.php
	godmode/alerts/alert_commands.php
	godmode/setup/file_manager.php
	godmode/setup/os.list.php
	godmode/setup/news.php
	godmode/setup/gis_step_2.php
	godmode/setup/links.php
	godmode/setup/setup.php
	godmode/setup/os.php
	godmode/setup/performance.php
	godmode/setup/setup_auth.php
	godmode/setup/gis.php
	godmode/setup/os.builder.php
	godmode/setup/setup_visuals.php
	godmode/snmpconsole/snmp_alert.php
	godmode/snmpconsole/snmp_filters.php
	godmode/users/user_list.php
	godmode/users/configure_user.php
	godmode/users/configure_profile.php
	godmode/gis_maps/configure_gis_map.php
	godmode/gis_maps/index.php
	godmode/massive/massive_add_alerts.php
	godmode/massive/massive_copy_modules.php
	godmode/massive/massive_delete_agents.php
	godmode/massive/massive_enable_disable_alerts.php
	godmode/massive/massive_operations.php
	godmode/massive/massive_delete_profiles.php
	godmode/massive/massive_edit_agents.php
	godmode/massive/massive_delete_action_alerts.php
	godmode/massive/massive_delete_modules.php
	godmode/massive/massive_add_profiles.php
	godmode/massive/massive_delete_alerts.php
	godmode/massive/massive_edit_modules.php
	godmode/massive/massive_standby_alerts.php
	godmode/massive/massive_add_action_alerts.php
	godmode/modules/manage_network_templates.php
	godmode/modules/module_list.php
	godmode/modules/manage_network_components_form_common.php
	godmode/modules/manage_network_components_form_network.php
	godmode/modules/manage_network_templates_form.php
	godmode/modules/manage_network_components_form_wmi.php
	godmode/modules/manage_network_components.php
	godmode/modules/manage_nc_groups.php
	godmode/modules/manage_network_components_form_plugin.php
	godmode/reporting/reporting_builder.list_items.php
	godmode/reporting/visual_console_builder.php
	godmode/reporting/reporting_builder.preview.php
	godmode/reporting/visual_console_builder.data.php
	godmode/reporting/visual_console_builder.elements.php
	godmode/reporting/graph_builder.php
	godmode/reporting/visual_console_builder.preview.php
	godmode/reporting/graph_builder.graph_editor.php
	godmode/reporting/reporting_builder.php
	godmode/reporting/visual_console_builder.editor.php
	godmode/reporting/reporting_builder.item_editor.php
	godmode/reporting/map_builder.php
	godmode/reporting/graphs.php
	godmode/reporting/graph_builder.preview.php: Now all functions of 
	include/functions_ui have ui_ prefix.

2011-04-13 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php, godmode/db/db_info.php,
	godmode/db/db_purge.php: added functions "grafico_db_agentes_purge2",
	"grafico_db_agentes_paquetes2", "graph_db_agentes_modulos2", and changed
	in the code for this functions.
	
	* include/graphs/functions_pchart.php: in function "pch_bar_graph" fixed
	when pass a empty array as color.

2011-04-13 Sancho Lerena <slerena@artica.es>

	* operation/servers/view_server_detail.php,
	godmode/servers/manage_recontask.php,
	godmode/servers/manage_recontask_form.php: Fixes bug #3286027. Also implement
	the new "manual" mode for recon tasks.


2011-04-13 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php,
	include/graphs/functions_pchart.php,
	include/graphs/fgraph.php,
	include/functions_reporting.php,
	include/functions_visual_map.php,
	include/ajax/visual_console_builder.ajax.php, include/functions_api.php,
	operation/reporting/reporting_xml.php,
	mobile/operation/agents/view_agents.php,
	godmode/reporting/visual_console_builder.editor.js: changed the old sparse
	for the new engine graph sparse paint method.

2011-04-13  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php: Forgotted 
	restoring miguel modifications in the last commit

2011-04-13  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php
	include/functions_custom_graphs.php: Improved the 
	vertical graph legend to use in horizontal when
	is possible. 
	Fixing a Miguel modification erased by me in the last
	commit.
	Fix a combined graph bug in the size

2011-04-13  Sergio Martin <sergio.martin@artica.es>

	* include/functions_graph.php
	include/graphs/functions_pchart.php
	include/graphs/fgraph.php
	include/functions_reporting.php
	include/pchart_graph.php
	include/fgraph.php: Change the slicebar graph
	made by Javi to make it more generic and to 
	use the new pChart library. This graph has been 
	included into the graphs abstraction too

2011-04-13 Miguel de Dios  <miguel.dedios@artica.es>

	* include/graphs/functions_pchart.php: added lost lines of source code to
	set bottom margin.
	
	* godmode/reporting/visual_console_builder.editor.js: changed to use new
	progress bar.

2011-04-13 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php, include/graphs/functions_gd.php,
	include/graphs/fgraph.php, include/functions_visual_map.php,
	include/fgraph.php, operation/agentes/estado_generalagente.php,
	operation/agentes/tactical.php. operation/agentes/stat_win.php,
	operation/servers/view_server.php, operation/servers/view_server_detail.php,
	mobile/operation/agents/tactical.php, general/logon_ok.php,
	godmode/reporting/graph_builder.preview.php: added function "progress_bar2"
	and changed in source code of Pandora.

2011-04-13  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php
	include/graphs/functions_fsgraph.php
	include/graphs/functions_gd.php
	include/graphs/fgraph.php: Fixed long index bug into
	stacked and line graphs.
	Add entry for radar and polar charts (kiviat)
	Clean code

2011-04-12 Miguel de Dios  <miguel.dedios@artica.es>

	* include/graphs/functions_fsgraph.php: fixed the "fs_area_graph" when
	haven't $long_index.

2011-04-12 Javier Lanz <javier.lanz@artica.es>

	* include/functions_reporting.php: Fixed the functionality for the sla
	horitontal bar graph. Truncated some agent and module names. Cleaned the
	 code style
	* include/ajax/reporting.ajax.php: Added functionality to add & delete
	elements from the global reports
	* include/functions_ui.php: Added function printSmallFont
	* godmode/reporting/reporting_builder.item_editor.php: Fixed a wee
	problem with the module combo size

2011-04-12 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* extensions/users_connected.php
	operation/incidents/incident.list.php
	godmode/agentes/module_manager.php: Fixed some mistakes of my last 
	commit. 

2011-04-12 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php: added constants for some graphs. Added
	function "graphic_agentaccess2" and function "graph_event_module2".
	 
	* include/graphs/functions_pchart.php: added checked previous $color and
	$legend to avoid PHP warnings, added some code to calculate the bottom
	margin.
	
	* include/graphs/fgraph.php: at the moment in this file call
	"fs_3d_pie_chart2" instead "fs_3d_pie_chart". Erased the color and legend in
	the piegraph. 
	
	* operation/agentes/estado_generalagente.php: use new graphics functions.

2011-04-12  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_fsgraph.php
	include/graphs/fgraph.php
	include/graphs/functions_utils.php: Created a function to 
	include flash charts javascript file into abstraction.
	Clean code

2011-04-12  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_fsgraph.php
	include/graphs/functions_gd.php
	include/graphs/images_graphs
	include/graphs/images_graphs/outlimits.png
	include/graphs/fgraph.php: Added new file with sd functions
	of two graphs, histogram and progress bar. Added folder with
	graph abstraction default images. Clean code

2011-04-12  Junichi Satoh  <junichi@rworks.jp>

	* godmode/uses/configure_profile.php: Fixed $name twice encoding.
	It is already encoded.

	* godmode/admin_access_logs.php: Fixed encoding characters are shown.

2011-04-11 SAncho Lerena <slerena@artica.es>

	* images/console/backgrounds: Removed old images (not
	useful) and added a few new.

2011-04-11 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_events.php
	include/functions_messages.php
	include/db/oracle.php
	include/functions_modules.php
	include/functions_reporting.php
	include/functions_groups.php
	include/functions_gis.php
	include/auth/mysql.php
	include/functions_networkmap.php
	include/functions_servers.php
	include/functions_network_components.php
	include/ajax/reporting.ajax.php
	include/ajax/agent.php
	include/functions_config.php
	include/functions_api.php
	include/help/en/help_timesource.php
	include/help/es/help_timesource.php
	include/help/ja/help_timesource.php
	include/fgraph.php
	include/functions.php
	include/functions_agents.php
	include/functions_db.php
	include/functions_fsgraph.php
	include/functions_alerts.php
	include/functions_reports.php
	pandoradb.oracle.sql
	install.php
	extensions/system_info.php
	extensions/update_manager.php
	extensions/dbmanager.php
	extensions/users_connected.php
	extensions/module_groups.php
	extensions/update_manager/sql/update_manager.oracle.sql
	extensions/update_manager/load_updatemanager.php
	extensions/update_manager/lib/libupdate_manager_client.php
	extensions/update_manager/lib/libupdate_manager.php
	extensions/update_manager/lib/libupdate_manager_components.php
	extensions/update_manager/lib/libupdate_manager_updates.php
	operation/search_modules.php
	operation/agentes/status_monitor.php
	operation/agentes/alerts_status.php
	operation/agentes/datos_agente.php
	operation/agentes/estado_ultimopaquete.php
	operation/agentes/exportdata.php
	operation/agentes/gis_view.php
	operation/agentes/estado_monitores.php
	operation/agentes/ver_agente.php
	operation/snmpconsole/snmp_view.php
	operation/users/user_edit.php
	operation/gis_maps/render_view.php
	operation/gis_maps/ajax.php
	operation/events/events_rss.php
	operation/events/events_list.php
	operation/events/events_marquee.php
	operation/search_alerts.php
	operation/reporting/reporting_xml.php
	operation/reporting/reporting_viewer.php
	pandoradb.data.oracle.sql
	extras/pandora_diag.php
	mobile/operation/agents/monitor_status.php
	mobile/operation/agents/view_agents.php
	mobile/operation/events/events.php
	general/logon_ok.php
	godmode/groups/group_list.php
	godmode/admin_access_logs.php
	godmode/db/db_main.php
	godmode/agentes/agent_template.php
	godmode/agentes/module_manager.php
	godmode/agentes/modificar_agente.php
	godmode/agentes/configurar_agente.php
	godmode/agentes/module_manager_editor.php
	godmode/agentes/planned_downtime.php
	godmode/alerts/alert_list.list.php
	godmode/alerts/alert_compounds.php
	godmode/alerts/alert_list.php
	godmode/setup/setup.php
	godmode/modules/manage_network_templates.php
	godmode/modules/manage_network_templates_form.php
	godmode/reporting/reporting_builder.list_items.php
	godmode/reporting/reporting_builder.preview.php
	godmode/reporting/reporting_builder.php
	godmode/reporting/reporting_builder.item_editor.php: Support for Oracle DBMS
	over Console code.

2011-04-11 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/graph_builder.main.php: changed to use constants.
	
	* include/graphs/fgraph.php: dded the show image when none data
	and added the function "stacked_line_graph".
	
	* include/graphs/functions_pchart.php: fixed when haven't the $xaxisname and
	$yaxisname. Fixed typo mistake.

	* include/graphs/functions_utils.php: added function "stack_data".

2011-04-11 Javier Lanz <javier.lanz@artica.es>

	* godmode/reporting/reporting_builder.item_editor.php: The SLA elements
	are listed again with labels instead with input texts.

2011-04-11 Javier Lanz <javier.lanz@artica.es>

	* include/functions_reporting.php: Fixed a typo error
	* operation/agentes/exportdata.php: Added a couple of safe_outputs
	* operation/reporting/custom_reporting.php: Added CSV column and its
	icon, changed table width

2011-04-11  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php
	include/graphs/functions_fsgraph.php
	include/graphs/fgraph.php: Merged changes from integria like increasement
	of margins in area static graphs, clean code and minor fixes

2011-04-09  Manuel Arostegui <manuel@todo-linux.com>

	* pandoradb.sql: Added index to tagente_modulo. 

2011-04-08  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php
	include/graphs/functions_fsgraph.php
	include/graphs/functions_utils.php: Improved the entry point
	of the graphics abstraction and merged bar and pie configurations
	from integria

2011-04-07 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php: added call to paint the other graphs.
	
	* include/graphs/functions_pchart.php: added stack area graph, and fixed
	typo in the call to line graph.
	
	* include/graphs/functions_fsgraph.php: added line graph and area graph.
	
	* include/graphs/fgraph.php: added function "stacked_area_graph" and
	"line_graph".

2011-04-07 Miguel de Dios  <miguel.dedios@artica.es>

	* include/graphs/fgraph.php: changed the img tag to autoclose.
	
	* include/graphs/functions_fsgraph.php: changed the border to default 1, and
	fixed the show legend.

	* include/functions_graph.php: cleaned source code style. And the function
	"graphic_combined_module2" added the show timestamp as human, add the
	min, max, avg values. 
	
	* include/graphs/functions_pchart.php: changed the show leyend in the top
	of graph, and added some comments lines for debug.


	* include/functions_reporting.php, include/functions_custom_graphs.php,
	godmode/reporting/graph_builder.preview.php: changed the graph to show with
	new engine.

2011-04-06 Javier Lanz <javier.lanz@artica.es>

	* pandoradb.sql: Added 'id_group' & 'id_module_group' fields to 
	treport_content table
	* pandoradb.postgreSQL.sql: Added 'id_group' & 'id_module_group' fields 
	to treport_content table
	* pandoradb.oracle.sql: Added 'id_group' & 'id_module_group' fields to 
	treport_content table
	* extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added 'id_group' &
	'id_module_group' fields to treport_content table

2011-04-06 Miguel de Dios  <miguel.dedios@artica.es>
	* include/functions_graph.php: wip in the function
	"graphic_combined_module2".
	
	* include/graphs/functions_fsgraph.php: fixed when "fs_area_graph" when
	send a graph without the colours or and legend.
	
	* include/graphs/fgraph.php: erased lost session instructions in the
	function "area_graph".

2011-04-06 Javier Lanz <javier.lanz@artica.es>

	* include/functions_reporting.php: Added case to display 'agent_module'
	reports
	* include/functions.php: Added the option 'agent_module' for the
	reporting type in combo selecion
	* godmode/reporting/reporting_builder.php: Added options to store
	'agent_module' report info
	* godmode/reporting/reporting_builder.item_editor.php: Added html fields
	 for the 'agent_module' report

2011-04-06  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/pChart/pData.class.php
	include/graphs/pChart/pDraw.class.php: Fixed avoid zero values 
	into area graphs and clean code

2011-04-05 Miguel de Dios  <miguel.dedios@artica.es>
	* include/functions_fsgraph.php, include/functions_graph.php,
	include/graphs/functions_utils.php, include/fgraph.php: cleaned source code
	style.

	* include/functions_graph.php: added first version of function
	"graphic_combined_module2".
	
	* include/graphs/functions_pchart.php: fixed when pass a empty array as
	colour for graphs.
	
	* include/graphs/pChart/pDraw.class.php: fixed to set a color border when
	the graphs haven't a external defined colour.

	* include/graphs/fgraph.php: changed for pass the data to static image graph
	generator.
	
	* operation/agentes/graphs.php: changed to use the new graph engine.

2011-04-04 Miguel de Dios  <miguel.dedios@artica.es>

	* operation/events/events_list.php, operation/events/events.php: fixed
	nested forms incompatible with some browsers that fail when validate
	several events and some errors in javascript when validate individual error.

2011-04-04 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_fsgraph.php: added check if loaded the class.

	* include/graphs/functions_fsgraph.php: added check if loaded the class.
	Rename some functions and erased the function "fs_module_chart".

	* include/graphs/functions_pchart.php: erased some debug traces.

	* include/graphs/fgraph.php: cleaned the function "area_graph".

	* operation/agentes/stat_win.php: cleaned source code.

2011-04-03 Miguel de Dios  <miguel.dedios@artica.es>

	* pandora_console/godmode/modules/manage_network_templates.php: fixed the
	output of description and name, and fixed the buttons to delete and export.

2011-04-01  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php
	include/graphs/pChart/pDraw.class.php
	include/graphs/fgraph.php
	include/graphs/functions_utils.php: Changed the send data method 
	from sessions to files with serialize functions. Creation of a
	utils functions file. Improvement of the pChart library adding 
	attributes to avoid ticks and grids when the data under the 
	xaxis is empty.

2011-04-01 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/gis_maps/render_view.php: Fixed bad sql query sintax.

2011-03-31 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php, operation/agentes/stat_win.php: changes for
	to show with new engine.
	 
	* include/graphs/functions_pchart.php,
	include/graphs/pChart/pData.class.php,
	include/graphs/pChart/pDraw.class.php,
	include/graphs/functions_fsgraph.php,
	include/graphs/fgraph.php: part of job is Sergio Martin in my laptop, the
	changes to show borders in the static image graph.

2011-03-31 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/config_process.php: Fixed wrong condition when global 
	configuration for "flash_charts" option is override by user value.

2011-03-31 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/db/oracle.php: Added new functions for Oracle support.
	include/functions_db.php: Added conditional code for Oracle engine.
	* pandoradb.oracle.sql: Added new db procedure "insert_id" to 
	retrieve PK when insert is performed.

2011-03-31  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/pChart/pDraw.class.php: Added to 
	library an option to avoid draw zeros in area 
	charts

2011-03-31  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/pChart/pDraw.class.php: Fixed 
	pchart library bug with default value for
	forcetransparency attribute. Changed from NULL
	to -1

2011-03-31 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php, include/graphs/functions_fsgraph.php: add
	to support and wip with new graph engine.

2011-03-31  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php: Improved 
	legend control and added limitation in showing
	xaxis data to one each 10 pixels

2011-03-30  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php: Fixed bad 
	legend show condition

2011-03-30 Javier Lanz <javier.lanz@artica.es>
	* godmode/reporting/reporting_builder.item_editor.php: Removed the option
	to select 'show graph' in general reports

2011-03-30  Sergio Martin <sergio.martin@artica.es>

	* include/graphs/functions_pchart.php: Added features to 
	the vertical graphs function like colors, alpha values, legend...

2011-03-30 Javier Lanz <javier.lanz@artica.es>

	* include/functions_reporting.php: Fixed a small problem passing 'width'
	parameter in 'top_n' reports

2011-03-30 Javier Lanz <javier.lanz@artica.es>
	* include/functions_reporting.php: Fixed a small problem when displaying
	only the graph and not the table for the exception report.

2011-03-30 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_graph.php, include/graphs/*, include/graphs/fgraph.php:
	added first version of common graph libraries with Integria and Babel.

2011-03-30 Javier Lanz <javier.lanz@artica.es>

	* include/functions_reporting.php: Fixed get_agentmodule_sla_array and
	added functionality to show the table, table+graph or only graph
	* include/pchart_graph.php: Fixed function graph_sla_horizontal
	* include/pandora_graph.php: Changed function graph_sla_horizontal
	prototype
	* include/fgraph.php: Deleted function graph_sla_pie, fixed function
	graph_sla_horizontal and added two more cases for printing graphs
	* godmode/reporting/reporting_builder.php: Changed getting parameter
	of two checkboxes for two comboboxes
	* godmode/reporting/reporting_builder.item_editor.php: Added the options
	for the combo to select display table, table+graph or only graph


2011-03-29 Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/stat_win.php, godmode/servers/plugin.php: cleaned source
	code style.

2011-03-29  Raul Mateos <raulofpandora@gmail.com>

	* pandora_console_upgrade: Use PI_VERSION variable.
	
	* pandora_console_install: Changed small text.

2011-03-28 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/reporting_builder.php,
	godmode/reporting/reporting_builder.item_editor.php: added suppor for styles
	in the report content, now support in columns and landscape in some cases.

2011-03-28  Sergio Martin <sergio.martin@artica.es>

	* include/fonts/FreeSans.ttf
	include/FreeSans.ttf
	include/functions_config.php Moved the freesans 
	font to the new fonts folder and set the unicode 
	font as default font into setup

2011-03-28  Sergio Martin <sergio.martin@artica.es>

	* include/fonts
	include/fonts/DejaVuSerif-Bold.ttf
	include/fonts/DejaVuSerif.ttf
	include/fonts/DejaVuSerifCondensed-Bold.ttf
	include/fonts/DejaVuSerifCondensed.ttf
	include/fonts/DejaVuSerif-Italic.ttf
	include/fonts/code.ttf
	include/fonts/DejaVuSerif-BoldItalic.ttf
	include/fonts/DejaVuSerifCondensed-Italic.ttf
	include/fonts/DejaVuSerifCondensed-BoldItalic.ttf: move the
	pdf library fonts from enterprise to open

2011-03-28 Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb.sql, pandoradb.postgreSQL.sql, pandoradb.oracle.sql,
	extras/pandoradb_migrate_v3.2_to_v4.0.sql: added column "style" for to
	add style (as json encode) the many styles for the contents.

2011-03-28 Javier Lanz <javier.lanz@artica.es>

	* include/functions_reporting.php: Added get_agentmodule_sla_array
	function and fixed some SLA graph details
	* include/pchart_graph.php: Deleted some "debugPrint" calls found
	* include/pandora_graph.php: Changed function 'graph_sla_horizontal'
	prototype

2011-03-25 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/modules/module_list.php: Fixed wrong variable call. 

2011-03-24 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/config_process.php
	* operation/users/user_edit.php 
	* godmode/users/configure_user.php:Now global configuration for 
	"flash_charts" and "block_size" options are not override for 
	default user values.

2011-03-24 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* pandoradb.data.postgreSQL.sql: Forgotten file from my last commit.

2011-03-24 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* pandoradb.oracle.sql: Added modifications in queries needed for 
	Pandora installer.
	* pandoradb.data.postgreSQL.sql
	  pandoradb.data.oracle.sql: Added data for tconfig table like in 
	the mysql script version.

2011-03-24 Miguel de Dios  <miguel.dedios@artica.es>

	* include/pChart/pChart.class: some fixes to prevent notices and warning
	PHP messages that corrupt image file.
	 
	* include/fgraph.php: some fixes to prevent noticies and warning PHP
	messages that corrupt image file.

2011-03-24 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: fixed in the content "general" when the
	report haven't agents.
	
	* include/fgraph.php: fixed when extract the "sql" column in the table
	"treport_custom_sql".
	
	* godmode/reporting/reporting_builder.item_editor.php: fixed the show the
	SQL query in the contents that have it.

2011-03-24 Javier Lanz <javier.lanz@artica.es>
	
	* include/ajax/reporting.ajax.php: Added truncating for the agent and
	module name into report SLA list.

2011-03-23  Raul Mateos <raulofpandora@gmail.com>

	* operation/search_agents.php: Updated forgotten file

2011-03-23 Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/estado_agente.php: fixed the output of ajax request.

2011-03-23  Raul Mateos <raulofpandora@gmail.com>

	* extensions/ssh_console.php, extensions/vnc_view.php,
	extensions/update_manager.php, extensions/users_connected.php,
	extensions/extension_uploader.php, extensions/insert_data.php,
	extensions/module_groups.php, extensions/plugin_registration.php,
	extensions/agent_modules.php, extensions/resource_registration.php,
	extensions/resource_exportation.php, extensions/dbmanager.php,
	extensions/pandora_logs.php, general/*.php, ajax.php, 
	operation/search_*.php, operation/menu.php, operation/extensions.php,
	godmode/menu.php, godmode/extensions.php, godmode/admin_access_logs.php:
	Reverted unwanted license changes.

2011-03-23 Javier Lanz <javier.lanz@artica.es>

	* include/functions_reporting.php: Changed SLA report table layout

2011-03-23 Javier Lanz <javier.lanz@artica.es>

	* pandoradb.sql: Added creation of treport_content_item and updated
	treport_content table
	* pandoradb.postgreSQL.sql: Added creation of treport_content_item and
	updated treport_content table
	* pandoradb.oracle.sql: Added creation of treport_content_item and
	updated treport_content table
	* extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added creation of
	treport_content_item and updated treport_content table

2011-03-23 Miguel de Dios  <miguel.dedios@artica.es>

	* extensions/insert_data.php, extensions/system_info.php,
	extensions/agents_modules.php, extensions/ssh_console.php,
	extensions/resource_registration.php, extensions/resource_exportation.php,
	extensions/plugin_registration.php: re-ordered and re-cleaned some parts or
	lines of source code. 

2011-03-23 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: fixed the include "fgraph", did'nt show
	warning message in the generation of PDF.

2011-03-23 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: erased the svn diff messages lost in
	old times.

2011-03-23 Javier Lanz <javier.lanz@artica.es>

	* images/global.png: Added image 'global.png' for the global report tab

2011-03-22  Raul Mateos <raulofpandora@gmail.com>

	* extensions/ssh_console.php, extensions/vnc_view.php,
	extensions/update_manager.php, extensions/users_connected.php,
	extensions/extension_uploader.php, extensions/insert_data.php,
	extensions/module_groups.php, extensions/plugin_registration.php:
	Cleaned code and updated page disclaimers.

2011-03-22  Raul Mateos <raulofpandora@gmail.com>

	* extensions/resource_registration.php,
	extensions/resource_exportation.php, extensions/agent_modules.php:
	Cleaned code and updated page disclaimers.

	* include/functions_reporting.php: Removed SVN errors in code.

2011-03-22 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_config.php: fixed the update "collection_max_size"
	value.
	
	Fixes: #3220485

2011-03-22 Miguel de Dios  <miguel.dedios@artica.es>

	* extensions/resource_registration.php: fixed the require once enterprise
	file.

2011-03-22 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions.php: fixed the function "safe_url_extraclean" to pass
	the url with character -.
	
	Fixes: #3234360

2011-03-22 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: cleaned source code style.
	
	* extensions/resource_registration.php,
	extensions/resource_exportation.php: added first version of extension to
	import and export reports and visual console.

2011-03-22  Junichi Satoh  <junichi@rworks.jp>

	* extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added missing ';'.

2011-03-21 Javier Lanz <javier.lanz@artica.es>
	
	* include/functions_events.php: Truncated agent and module name
	* include/functions_reporting.php: Added functionality to store info of
	General, Top n and Exception reports
	* include/pchart_graph.php: Added function graph_sla_horizontal to print
	sla horizontal graph bar. (Not working properly yet)
	* include/pandora_graph.php: Added prototipe for
	function graph_sla_horizontal
	* include/fgraph.php: Added function graph_sla_pie to print sla pie graph
	* include/functions.php: Added options top n, exception and general for
	the combo box to select report type.
	* pandoradb.sql: added fome fields to treport_content table
	* extras/pandoradb_migrate_v3.2_to_v4.0.sql: added some fields to 
	treport_content table
	* godmode/reporting/reporting_builder.list_items.php: Truncated agent
	and module name
	* godmode/reporting/reporting_builder.preview.php: Added a bottom scroll
	bar to the report table
	* godmode/reporting/reporting_builder.php: Added variables for the new
	kinds of reports, top n, exception and general
	* godmode/reporting/reporting_builder.item_editor.php: Added html
	elements for the new kind of reports

2011-03-21 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* pandoradb.oracle.sql
	pandoradb.data.oracle.sql: Changed the autoincrement of tconfig_os's pk 
	in order to respect sequence on this field.

2011-03-18 Juan Manuel Ramon <juanmanuel.ramon@artica.es>
        * pandoradb.oracle.sql
        pandoradb.data.oracle.sql: First version of pandora's DB schema and data for 
	Oracle DBMS.

2011-03-17  Raul Mateos <raulofpandora@gmail.com>

	* extensions/dbmanager.php, extensions/pandora_logs.php, general/*.php,
	index.php, ajax.php, operation/search_*.php, operation/menu.php,
	operation/extensions.php, godmode/menu.php, godmode/extensions.php,
	admin_access_logs.php: Cleaned code and updated page disclaimers.	

2011-03-17  Raul Mateos <raulofpandora@gmail.com>

	* operation/menu.php, godmode/menu.php, godmode/setup/setup.php,
	extensions/pandora_logs.php, extensions/dbmanager.php:
	Cleaned code and updated year.

2011-03-17  Sergio Martin <sergio.martin@artica.es>

	* operation/integria_incidents
	operation/integria_incidents/incident.incident.php
	operation/integria_incidents/incident.php
	operation/integria_incidents/incident.files.php
	operation/integria_incidents/incident.tracking.php
	operation/integria_incidents/incident_detail.php
	operation/integria_incidents/incident.workunits.php
	operation/integria_incidents/incident.download_file.php
	operation/integria_incidents/incident.list.php
	operation/integria_incidents/incident_statistics.php: Added 
	missed files from the last commit

2011-03-17  Sergio Martin <sergio.martin@artica.es>

	* pandoradb_data.sql
	include/functions_config.php
	include/functions_incidents.php
	operation/menu.php
	operation/integria_incidents
	operation/integria_incidents/incident.incident.php
	operation/integria_incidents/incident.php
	operation/integria_incidents/incident.files.php
	operation/integria_incidents/incident.tracking.php
	operation/integria_incidents/incident_detail.php
	operation/integria_incidents/incident.workunits.php
	operation/integria_incidents/incident.download_file.php
	operation/integria_incidents/incident_statistics.php
	operation/integria_incidents/incident.list.php
	godmode/setup/setup.php: Added the integria incidents interface
	with switch in the setup

2011-03-16  Sancho Lerena <slerena@artica.es>

	* operation/agentes/estado_monitores.php: Fixed an ugly error when cannot
	get the policy name. Show unknown in that case, avoiding the SQL error.
	
2011-03-14 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/reporting_builder.preview.php: fixed a typing error.

2011-03-11 Miguel de Dios  <miguel.dedios@artica.es>

	* extensions/update_manager.php,
	extensions/update_manager/load_updatemanager.php: changes for PostgreSQL.

2011-03-11 Miguel de Dios  <miguel.dedios@artica.es>

	* include/db/postgresql.php, operation/agentes/estado_agente.php: erased
	the lost call to traces messages.

2011-03-10 Miguel de Dios  <miguel.dedios@artica.es>

	* extensions/update_manager.php,
	extensions/update_manager/sql/update_manager.postgreSQL.sql,
	extensions/update_manager/lib/libupdate_manager_client.php,
	extensions/update_manager/lib/libupdate_manager.php,
	extensions/update_manager/lib/libupdate_manager_components.php,
	extensions/update_manager/lib/libupdate_manager_updates.php: some changes
	for the PostgreSQL.

2011-03-10 Miguel de Dios  <miguel.dedios@artica.es>

	* include/db/postgresql.php, include/db/mysql.php, include/functions_db.php:
	added function "get_db_type_field_table" and subfunctions for the engines.

	* extensions/pandora_logs.php,
	extenions/update_manager/lib/libupdate_manager_utils.php: fixed source code
	style.

2011-03-10  Sergio Martin <sergio.martin@artica.es>

	* extensions/update_manager/sql/update_manager.sql
	extensions/update_manager/load_updatemanager.php
	extensions/update_manager/lib/load_updatemanager.php
	extensions/update_manager/lib/xmlrpc
	extensions/update_manager/lib/xmlrpc/xmlrpcs.inc
	extensions/update_manager/lib/xmlrpc/xmlrpc_wrappers.inc
	extensions/update_manager/lib/xmlrpc/xmlrpc.inc
	extensions/update_manager/lib/libupdate_manager_client.php
	extensions/update_manager/lib/libupdate_manager.php
	extensions/update_manager/lib/libupdate_manager_utils.php
	extensions/update_manager/lib/libupdate_manager_components.php
	extensions/update_manager/lib/libupdate_manager_updates.php
	extensions/update_manager/settings.php
	extensions/update_manager/main.php: Upgraded the open update
	manager client to v2.

2011-03-09 Miguel de Dios  <miguel.dedios@artica.es>

	* ChangeLog: fixed date of one my previous commit.

2011-03-09 Miguel de Dios  <miguel.dedios@artica.es>

	* install.php, operation/incidents/incident.php,
	operation/agentes/status_monitor.php, operation/agentes/datos_agente.php,
	operation/servers/view_server.php, operation/snmpconsole/snmp_view.php,
	operation/events/events_rss.php, operation/events/events_list.php,
	operation/events/events_marquee.php, operation/search_users.php,
	mobile/operation/agents/monitor_status.php,
	mobile/operation/agents/view_agents.php,
	mobile/operation/agents/view_alerts.php, mobile/operation/events/events.php,
	mobile/include/functions_web.php, godmode/admin_access_logs.php,
	godmode/agentes/modificar_agente.php, godmode/alerts/alert_actions.php,
	godmode/reporting/reporting_builder.list_items.php: changed and addded in
	the source, the SQL queries for the "LIMIT x, x" to "LIMIT x OFFSET x", that
	it is standard for PostgreSQL.

2011-03-09 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php, include/functions.php,
	operation/agentes/datos_agente.php, operation/agentes/gis_view.php,
	operation/servers/view_server_detail.php,
	operation/reporting/reporting_xml.php, operation/reporting/graph_viewer.php,
	godmode/db/db_main.php, godmode/db/db_purge.php,
	godmode/snmpconsole/snmp_alert.php, godmode/users/configure_user.php:
	cleaned source code, and erased the deprecated function
	"human_time_description".

2011-03-09 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions.php: fixed in the function "get_system_time" copy&paste
	mistake.
	
	* pandoradb.postgreSQL.sql: in the table "tusuario" added empty string for
	the column "middlename".

2011-03-09 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_html.php, include/functions_messages.php,
	include/functions_exportserver.php, include/functions_reporting.php,
	include/functions_gis.php, include/functions_networkmap.php,
	include/functions_servers.php, include/functions_api.php,
	include/fgraph.php, include/functions_agents.php, include/functions_db.php,
	include/functions_alerts.php, extensions/module_groups.php,
	operation/incidents/incident.php, operation/incidents/incident_detail.php,
	operation/search_modules.php, operation/agentes/status_monitor.php,
	operation/agentes/export_csv.php,
	operation/agentes/estado_ultimopaquete.php,
	operation/agentes/alerts_status.php, operation/agentes/estado_agente.php,
	operation/agentes/sla_view.php, operation/agentes/ver_agente.php,
	operation/servers/view_server_detail.php, operation/menu.php,
	operation/search_graphs.php, operation/snmpconsole/snmp_view.php,
	operation/gis_maps/ajax.php, operation/events/events_rss.php,
	operation/events/events_list.php, operation/search_alerts.php,
	operation/search_reports.php, operation/reporting/reporting_xml.php,
	operation/reporting/graph_viewer.php, operation/search_maps.php,
	operation/search_users.php, mobile/operation/agents/view_agents.php,
	mobile/operation/events/events.php, godmode/groups/modu_group_list.php,
	godmode/groups/configure_group.php, godmode/groups/group_list.php,
	godmode/db/db_main.php, godmode/db/db_purge.php,
	godmode/agentes/module_manager_editor_prediction.php,
	godmode/agentes/modificar_agente.php,
	godmode/agentes/module_manager_editor.php,
	godmode/agentes/planned_downtime.php,
	godmode/servers/manage_recontask_form.php,
	godmode/alerts/alert_list.list.php, godmode/users/configure_user.php,
	godmode/massive/massive_edit_modules.php,
	godmode/modules/manage_network_templates_form.php,
	godmode/modules/manage_network_components_form_wmi.php,
	godmode/reporting/visual_console_builder.php,
	godmode/reporting/reporting_builder.item_editor.php: changed or added in
	some cases the SQL queries for to be PostgreSQL standard, and cleaned source
	style.

2011-03-08 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_api.php, include/functions_db.php,
	operation/incidents/incident_detail.php, godmode/agentes/agent_template.php,
	godmode/servers/manage_recontask.php, godmode/snmpconsole/snmp_alert.php,
	godmode/users/configure_profile.php: change the source code
	for to use process_sql_insert instead of the SQL (SQL write in multiple
	lines). 

2011-03-08 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_events.php, include/functions_messages.php,
	include/auth/mysql.php, include/functions_api.php,
	include/functions_incidents.php, include/functions_db.php,
	operation/incidents/incident_detail.php,
	operation/snmpconsole/snmp_view.php, operation/reporting/graph_viewer.php,
	godmode/groups/group_list.php, godmode/agentes/module_manager.php,
	godmode/agentes/configurar_agente.php, godmode/agentes/planned_downtime.php,
	godmode/servers/recon_script.php, godmode/servers/manage_recontask.php,
	godmode/servers/modificar_server.php, godmode/snmpconsole/snmp_alert.php,
	godmode/snmpconsole/snmp_filters.php,
	godmode/modules/manage_network_templates_form.php: change the source code
	for to use process_sql_delete instead of the SQL. 

2011-03-08 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_api.php, include/functions_db.php,
	extensions/update_manager.php, extensions/plugin_registration.php,
	operation/incidents/incident.php, operation/incidents/incident_detail.php,
	godmode/agentes/planned_downtime.php, godmode/servers/recon_script.php,
	godmode/snmpconsole/snmp_filters.php, godmode/setup/news.php,
	godmode/modules/manage_network_templates_form.php: change the source code
	for to use process_sql_insert instead of the SQL.

2011-03-08 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_events.php, include/functions_messages.php,
	include/functions_incidents.php, include/functions_db.php,
	operation/incidents/incident.php, operation/agentes/ver_agente.php,
	operation/agentes/tactical.php, operation/servers/view_server_detail.php,
	operation/snmpconsole/snmp_view.php, godmode/groups/modu_group_list.php,
	godmode/agentes/configurar_agente.php, godmode/servers/manage_recontask.php,
	godmode/servers/modificar_server.php, godmode/snmpconsole/snmp_filters.php,
	godmode/setup/news.php, godmode/modules/manage_network_templates_form.php:
	change the source code for to use process_sql_update instead of the SQL.

2011-03-07 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: added the SQL query with correct
	date operations for PostgreSQL.

2011-03-07 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php, godmode/admin_access_logs.php: changes for the
	interval operator in PostgreSQL.

2011-03-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* pandoradb.oracle.sql: Added to repository. Creation script with some
	tables of pandora db schema for Oracle DBMS.

2011-03-07 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_modules.php, include/functions_reporting.php,
	include/functions_gis.php, include/functions_servers.php,
	include/ajax/reporting.ajax.php, include/fgraph.php,
	include/functions_db.php, include/functions_alerts.php,
	include/functions_reports.php, extensions/system_info.php,
	extensions/agents_modules.php, operation/agentes/group_view.php,
	operation/events/events_rss.php, operation/reporting/reporting_xml.php,
	operation/reporting/reporting_viewer.php, extras/pandora_diag.php,
	general/logon_ok.php, godmode/db/db_audit.php, godmode/db/db_event.php,
	godmode/db/db_purge.php, godmode/agentes/planned_downtime.php,
	godmode/setup/setup.php,
	godmode/massive/massive_enable_disable_alerts.php,
	godmode/massive/massive_delete_modules.php,
	godmode/massive/massive_standby_alerts.php,
	godmode/modules/manage_network_templates.php,
	godmode/modules/manage_network_templates_form.php,
	godmode/reporting/reporting_builder.list_items.php,
	godmode/reporting/reporting_builder.preview.php,
	godmode/reporting/reporting_builder.php: changes for to use character " in
	the SQL queries for PostgreSQL, in some cases. In other case there are more
	changes for to create SQL query PostgreSQL.

2011-03-07 Miguel de Dios  <miguel.dedios@artica.es>

	* general/logon_ok.php: change the SQL in postgreSQL and some parts of
	source code to use the colummns with the case sensitive.

2011-03-07 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_events.php, include/functions_reporting.php,
	include/functions_db.php, extensions/users_connected.php,
	general/logon_ok.php: added the SQL queries PostgreSQL
	compatible, in this case with the function to get unix_timestamp.

2011-03-04 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: made rollback the version of function
	"select_db_engine" because I had a mistake in the previous commit.

2011-03-04 Miguel de Dios  <miguel.dedios@artica.es>

	* include/db/postgresql.php, include/db/mysql.php, include/functions_db.php:
	the function "get_system_time" and derivate functions in DB engines.
	
	* include/functions_gis.php, include/functions_servers.php,
	include/help/en/help_timesource.php, include/help/es/help_timesource.php,
	include/help/ja/help_timesource.php, include/functions.php,
	operation/agentes/estado_agente.php, operation/agentes/gis_view.php,
	operation/gis_maps/render_view.php: added the SQL queries PostgreSQL
	compatible, in this case with the function to get unix_timestamp.

2011-03-03 Miguel de Dios  <miguel.dedios@artica.es>
	* include/db/postgresql.php, include/db/mysql.php, include/functions_db.php:
	fixed the function "get_db_all_rows_filter" for PostgreSQL engine, added
	new function "get_db_last_error" and derivate functions in DB engines. And
	added new parameter $status in function "process_sql".
	
	* extensions/dbmanager.php, general/error_authconfig.php,
	general/error_dbconfig.php, godmode/groups/modu_group_list.php,
	godmode/groups/group_list.php, godmode/db/db_sanity.php,
	godmode/agentes/fields_manager.php,
	godmode/agentes/manage_config_remote.php, godmode/servers/recon_script.php,
	godmode/servers/plugin.php, godmode/modules/module_list.php,
	godmode/modules/manage_network_components_form_wmi.php,
	godmode/reporting/graphs.php: changed the calls to mysql functions to own
	functions, and rewrote some parts of source code for this action.

2011-03-03 Miguel de Dios  <miguel.dedios@artica.es>
	* godmode/setup/news.php, godmode/setup/links.php, include/fgraph.php,
	operation/agentes/status_monitor.php, operation/reporting/graph_viewer.php:
	changed the calls to mysql functions to own functions.
	
	* godmode/agentes/module_manager.php: marked with a comment the source code
	the SQL postgreSQL and mySQL standar querys.

	* include/functions_html.php, include/db/postgresql.php,
	include/functions_reporting.php, include/pchart_graph.php,
	include/functions_db.php: cleaned source code style.
	
2011-03-03 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: refixed the status when the agent have
	any module critical and any alert fired.

2011-03-02 Raul Mateos  <raulofpandora@gmail.com>

	* include/functions*.php: Updated year in files changed this year. Also
	changed spaces to tabs.

	* pandora_console_install, pandora_console_upgrade,
	pandora.data.postgreSQL.sql, pandoradb_data.sql

2011-03-02 Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb.data.postgreSQL.sql: fixed the serial values.

2011-03-02 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_ui.php: Added missing variable initialization in function
	process_page_head. 

2011-03-02 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_reporting.php: added the call to
	"get_agentmodule_status" without check the alerts status for the color.
	 
	* include/functions_db.php: in function "get_agentmodule_status" added new
	parameter "$without_alerts" flag for check without alerts. 

2011-03-02 Miguel de Dios  <miguel.dedios@artica.es>

	* include/db/postgresql.php, include/db/mysql.php, include/functions.php:
	separate the function "mysql_safe_sql_string" into the two version for MySQL
	and PostgreSQL engine.

2011-03-02 Miguel de Dios  <miguel.dedios@artica.es>

	* include/db/postgresql.php: fixed in the function
	"postgresql_get_db_all_rows_in_table" unclose quotes.

2011-03-02 Miguel de Dios  <miguel.dedios@artica.es>

	* include/help/es/modu_group_list.php: erased the unused php file. I think
	that this file wrong uploaded.

2011-03-01 Miguel de Dios  <miguel.dedios@artica.es>

	* install.php: modified the source code for install postgreSQL DB to make
	the pandora user db as owner of tables.

2011-03-01 Miguel de Dios  <miguel.dedios@artica.es>

	* include/db/postgresql.php, include/db/mysql.php, include/functions_db.php:
	separate the function "process_sql_rollback" into the two version for
	MySQL and PostgreSQL engine.

2011-03-01 Miguel de Dios  <miguel.dedios@artica.es>

	* index.php: cleaned source code.

2011-03-01 Miguel de Dios  <miguel.dedios@artica.es>

	* include/db/postgresql.php, include/db/mysql.php, include/functions_db.php:
	separate the function "get_db_all_row_by_steps_sql", "process_sql_begin",
	"process_sql_commit" and "process_sql_rollback" into the two version for
	MySQL and PostgreSQL engine.

2011-03-01 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/ajax/skins.ajax.php: Replaced "give_acl" function call to 
	"check_acl". 
	* include/config_process.php: "block_size" and "flash_charts" user options
	override global options.
	* include/functions_ui.php: If user has assigned a skin then use skins's 
	css files if it's possible.
	* include/functions_db.php: Added missing function get_profile_filter.
	* include/functions_themes.php: New parameter "path" in order to list all
	css files of an specific path.
	* index.php: Added functions_themes.php include statement.
	* operation/users/user_edit.php
	godmode/users/configure_user.php: Added new user options: "skin", "block_size" 
	and "flash_charts". 
	* godmode/setup/setup_visuals.php: Removed "custom_logo" options in setup for
	pandora enterprise version. 

2011-03-01 Miguel de Dios  <miguel.dedios@artica.es>

	* include/db/postgresql.php, include/db/mysql.php, include/functions_db.php:
	separate the function "format_array_to_update_sql", "process_sql_update",
	"process_sql_delete" into the two version for MySQL and PostgreSQL engine.

2011-03-01 Miguel de Dios  <miguel.dedios@artica.es>

	* include/db/postgresql.php, include/db/mysql.php, include/functions_db.php:
	separate the function "get_db_all_rows_filter", "get_db_num_rows",
	"get_db_all_rows_field_filter" and "get_db_all_fields_in_table" into the two
	version for MySQL and PostgreSQL engine.

2011-03-01 Miguel de Dios  <miguel.dedios@artica.es>

	* include/db/postgresql.php, include/db/mysql.php, include/functions_db.php:
	separate the function "get_db_value_sql", "get_db_row_sql" and
	"get_db_row_filter" into the two version for MySQL and PostgreSQL engine.

2011-03-01 Miguel de Dios  <miguel.dedios@artica.es>
	* include/db/postgresql.php, include/db/mysql.php, include/functions_db.php:
	separate the function "get_db_value_filter" and
	"format_array_to_where_clause_sql" into the two version for MySQL and
	PostgreSQL engine.
	
	* operation/events/events_list.php: cleaned source code style.

2011-03-01 Miguel de Dios  <miguel.dedios@artica.es>
	* operation/events/events_list.php: fixed the html entities in the extend
	list.

2011-02-28 Miguel de Dios  <miguel.dedios@artica.es>
	* include/functions_db.php: cleaned source code, and erased the deprecated
	functions "dame_nombre_real" and "show_alert_row_mini".
	
	* operation/incidents/incident_detail.php,
	operation/snmpconsole/snmp_view.php: replaced obsolete "dame_nombre_real"
	to "get_user_fullname". 

2011-02-28 Miguel de Dios  <miguel.dedios@artica.es>
	* include/functions_db.php: cleaned source code, and erased the deprecated
	function "dame_admin".
	
	* operation/reporting/reporting_xml.php: replaced obsolete "dame_admin"
	to "is_user_admin".

2011-02-28 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_html.php: new parameter in function print_image in 	
	order to return only src field of image.	 
	* include/ajax/visual_console_builder.ajax.php
	include/functions_gis.php
	godmode/groups/configure_group.php
	godmode/alerts/configure_alert_compound.php
	godmode/setup/os.builder.php
	godmode/reporting/visual_console_builder.editor.js
	godmode/reporting/visual_console_builder.editor.php
	godmode/reporting/reporting_builder.item_editor.php: Changed the way of create 
	images from "<img=.." html tag to print_image function. 
	* include/ajax/skins.ajax.php: Added to repository. New php callback for 
	skins support inside javascript code.
	* ajax.php: Load of relative_path variable in ajax user session.

2011-02-28 Miguel de Dios  <miguel.dedios@artica.es>
	* include/functions_db.php: cleaned source code, and erased the deprecated
	function "dame_id_grupo".
	
	*extensions/update_manager.php, operation/agentes/export_csv.php,
	godmode/agentes/module_manager.php, godmode/agentes/modificar_agente.php,
	godmode/agentes/configurar_agente.php: replaced obsolete "dame_id_grupo" to
	"get_agent_group".

2011-02-28 Miguel de Dios  <miguel.dedios@artica.es>
	* extensions/update_manager.php: replaced obsolete "give_acl" to "check_acl"
	and erased the "give_acl".

2011-02-28 Miguel de Dios  <miguel.dedios@artica.es>
	* extensions/users_connected.php: fixed the double negation in the
	check_acl.

	* include/functions_events.php, include/functions_modules.php,
	include/functions_reporting.php, include/functions_filemanager.php,
	include/functions_config.php, include/ajax/reporting.ajax.php,
	include/ajax/visual_console_builder.ajax.php,
	include/ajax/alert_list.ajax.php, include/help/es/modu_group_list.php,
	include/fgraph.php, include/functions.php, include/functions_db.php,
	include/functions_alerts.php, include/functions_reports.php,
	extensions/insert_data.php, extensions/system_info.php,
	extensions/pandora_logs.php, extensions/agents_modules.php,
	extensions/dbmanager.php, extensions/resource_registration.php,
	extensions/update_manager/settings.php, extensions/update_manager/main.php,
	extensions/plugin_registration.php, operation/incidents/incident.php,
	operation/incidents/incident_detail.php,
	operation/incidents/incident_statistics.php, operation/extensions.php,
	operation/visual_console/render_view.php,
	operation/visual_console/index.php, operation/agentes/status_monitor.php,
	operation/agentes/export_csv.php,
	operation/agentes/estado_ultimopaquete.php,
	operation/agentes/datos_agente.php, operation/agentes/alerts_status.php,
	operation/agentes/estado_generalagente.php,
	operation/agentes/custom_fields.php, operation/agentes/estado_agente.php,
	operation/agentes/networkmap.topology.php,
	operation/agentes/networkmap.groups.php, operation/agentes/sla_view.php,
	operation/agentes/exportdata.php, operation/agentes/gis_view.php,
	operation/agentes/estado_monitores.php, operation/agentes/ver_agente.php,
	operation/agentes/graphs.php, operation/agentes/agent_fields.php,
	operation/agentes/group_view.php, operation/agentes/networkmap.php,
	operation/servers/view_server.php, operation/servers/view_server_detail.php,
	operation/menu.php, operation/snmpconsole/snmp_view.php,
	operation/users/user_edit.php, operation/events/event_statistics.php,
	operation/events/export_csv.php, operation/events/sound_events.php,
	operation/events/events_validate.php, operation/events/events_list.php,
	operation/events/events_marquee.php, operation/events/events.php,
	operation/search_reports.php, operation/reporting/reporting_xml.php,
	operation/reporting/reporting_viewer.php,
	operation/reporting/graph_viewer.php, operation/search_maps.php,
	mobile/operation/agents/monitor_status.php,
	mobile/operation/agents/view_agents.php, mobile/index.php, 
	general/ui/agents_list.php, godmode/groups/modu_group_list.php,
	godmode/groups/configure_group.php, godmode/groups/configure_modu_group.php,
	godmode/groups/group_list.php, godmode/admin_access_logs.php,
	godmode/extensions.php, godmode/db/db_main.php, godmode/db/db_audit.php,
	godmode/db/db_sanity.php, godmode/db/db_refine.php, godmode/db/db_info.php,
	godmode/db/db_event.php, godmode/db/db_purge.php,
	godmode/agentes/fields_manager.php, godmode/agentes/module_manager.php,
	godmode/agentes/modificar_agente.php, godmode/agentes/configurar_agente.php,
	godmode/agentes/configure_field.php, godmode/agentes/planned_downtime.php,
	godmode/agentes/manage_config_remote.php, godmode/servers/recon_script.php,
	godmode/servers/plugin.php, godmode/servers/manage_recontask.php,
	godmode/servers/modificar_server.php,
	godmode/servers/manage_recontask_form.php, godmode/menu.php,
	godmode/alerts/alert_list.list.php,
	godmode/alerts/configure_alert_compound.php,
	godmode/alerts/alert_compounds.php, godmode/alerts/alert_list.php,
	godmode/alerts/configure_alert_template.php,
	godmode/alerts/alert_templates.php,
	godmode/alerts/configure_alert_action.php,
	godmode/alerts/configure_alert_command.php,
	godmode/alerts/alert_actions.php, godmode/alerts/alert_list.builder.php,
	godmode/alerts/alert_commands.php, godmode/snmpconsole/snmp_alert.php,
	godmode/snmpconsole/snmp_filters.php, godmode/setup/file_manager.php,
	godmode/setup/os.list.php, godmode/setup/news.php,
	godmode/setup/gis_step_2.php, godmode/setup/links.php,
	godmode/setup/setup.php, godmode/setup/os.php, 
	godmode/setup/performance.php, godmode/setup/setup_auth.php,
	godmode/setup/gis.php, godmode/setup/os.builder.php,
	godmode/setup/setup_visuals.php, godmode/users/user_list.php,
	godmode/users/configure_user.php, godmode/users/configure_profile.php,
	godmode/gis_maps/configure_gis_map.php, godmode/gis_maps/index.php,
	godmode/massive/massive_add_alerts.php,
	godmode/massive/massive_copy_modules.php,
	godmode/massive/massive_delete_agents.php,
	godmode/massive/massive_operations.php,
	godmode/massive/massive_edit_agents.php,
	godmode/massive/massive_delete_action_alerts.php,
	godmode/massive/massive_delete_modules.php,
	godmode/massive/massive_delete_alerts.php,
	godmode/massive/massive_edit_modules.php,
	godmode/massive/massive_add_action_alerts.php,
	godmode/modules/manage_network_components_form.php,
	godmode/modules/manage_nc_groups_form.php,
	godmode/modules/manage_network_templates.php,
	godmode/modules/module_list.php,
	godmode/modules/manage_network_components_form_common.php,
	godmode/modules/manage_network_components_form_network.php,
	godmode/modules/manage_network_templates_form.php,
	godmode/modules/manage_network_components_form_wmi.php,
	godmode/modules/manage_network_components.php,
	godmode/modules/manage_nc_groups.php,
	godmode/reporting/reporting_builder.list_items.php,
	godmode/reporting/graph_builder.main.php,
	godmode/reporting/visual_console_builder.wizard.php,
	godmode/reporting/visual_console_builder.php,
	godmode/reporting/reporting_builder.preview.php,
	godmode/reporting/reporting_builder.main.php,
	godmode/reporting/visual_console_builder.data.php,
	godmode/reporting/visual_console_builder.elements.php,
	godmode/reporting/graph_builder.php,
	godmode/reporting/visual_console_builder.preview.php,
	godmode/reporting/graph_builder.graph_editor.php,
	godmode/reporting/reporting_builder.php,
	godmode/reporting/visual_console_builder.editor.php,
	godmode/reporting/reporting_builder.item_editor.php,
	godmode/reporting/map_builder.php, godmode/reporting/graphs.php,
	godmode/reporting/graph_builder.preview.php: replaced obsolete "give_acl" to
	"check_acl" and erased the "give_acl".

2011-02-28 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/ajax/visual_console_builder.ajax.php
	 godmode/reporting/visual_console_builder.editor.js: Status information is
	saved when static graph are created in visual console.
	* godmode/reporting/visual_console_builder.elements.php: Fixed wrong call to
	__() function from functions_db.

2011-02-27 Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb_data.sql, pandoradb.data.postgreSQL.sql: in the table "tgrupo"
	reordered the last field, this field is "custom_id" with '' value.

	* pandoradb.postgreSQL.sql: commented the first lines before it was for
	make manuallity the schema. Fixed in the "talert_templates" the column
	"id_alert_action" can be null, and fixed the type of column "id_language"
	in table "tlanguage". And move to empty lines some end line comments and
	group in one line the functions for avoid the error in the install.

	* include/db/postgresql.php: fixed in the function "postgresql_get_db_row"
	the quotes for the field, the correct quotes is " for PostgreSQL.
	
	* include/auth/mysql.php, include/functions_db.php: cleaned source code
	style.
	
	* install.php: now the installer can install a schema and data in PostgreSQL
	database.
	
	* extensions/update_manager.php: added some code and TODO comment to fix or
	develop the method to use postgreSQL.

2011-02-24 Miguel de Dios  <miguel.dedios@artica.es>

	* include/db/postgresql.php: in function "postgresql_connect_db" added
	quotes for special names in user or password or host. Fixed in function
	"postgresql_process_sql" the output errors.
	
	* install.php: begin to make a source code to install Pandora in DB schema
	on PostgreSQL.

2011-02-24  Sergio Martin <sergio.martin@artica.es>

	* install.php: Remove the cheching dependences
	of PEAR DB and PEAR XML_RPC.

	* ChangeLog: Added a missing information of 
	languages commit

2011-02-23  Sergio Martin <sergio.martin@artica.es>

	* include/languages/es.po
	include/languages/es.mo
	include/languages/ja.po
	include/languages/ja.mo: Added seven latest strings
	form launchpad

2011-02-24 Miguel de Dios  <miguel.dedios@artica.es>

	* include/db/postgresql.php, include/db/mysql.php,include/functions_db.php:
	created the function "postgresql_get_db_row" in to the engines mysql and
	postgreSQL.

2011-02-24 Miguel de Dios  <miguel.dedios@artica.es>

	* include/db/postgresql.php, include/db/mysql.php, include/functions_db.php:
	create the function "get_db_value" for the engine mysql and postgreSQL.
	
	* index.php: cleaned source code.

2011-02-23  Ramon Novoa  <rnovoa@artica.es>

	* DEBIAN/control, DEBIAN/postinst,
	  pandora_console.spec, pandora_console.redhat.spec: Removed PEAR
	  dependencies.

2011-02-23 Miguel de Dios  <miguel.dedios@artica.es>

	* pandora_console/include/functions_db.php: fixed in the function
	"get_agent_modules" extract the agents when the current user user is admin.

2011-02-23 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_config.php: Fixed an error at the momment of accept the 
	license terms in enterprise installation process.
	
	Fixes: #3183681

2011-02-23 Miguel de Dios  <miguel.dedios@artica.es>

	* pandora_console/operation/events/events_list.php: fixed the show html
	entities.

2011-02-23 Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora_modules.js: fixed the disabled button snmp when
	change any parameter of snmp.
	
	Fixes: #3168685

2011-02-03 Javier Lanz <javier.lanz@artica.es>

	* extensions/agents_modules.php: Fixed an error in the header of
	Agent/Module extension

	Fix: #3152681

2011-02-23  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_ui.php: Call safe_output instead of
	  safe_output_html.

2011-02-22 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/reporting/visual_console_builder.php: Small icons created
	in visual console wizard are resized after changed it into a smaller one.

	Fixed bug 3175809.

2011-02-22 Sancho Lerena <slerena@artica.es>

	* include/functions_extensions.php: Extension menu entries text not
	being stripped.

	* operation/menu.php: Extension menu entries for visualconsole a bit
	wider.

	* godmode/reporting/visual_console_builder.data.php: Show a hint on
	first letter of Visualconsole map to put the name in the menu.
	Shortened input box, to avoid people enter long names and later be
	cutted off.

2011-02-22 Sancho Lerena <slerena@artica.es>

        * include/streams.php: Fixed bug 3184746.

2011-02-22  Sergio Martin <sergio.martin@artica.es>

	* include/languages/et.mo
	include/languages/cs.po
	include/languages/nl.mo
	include/languages/pt_BR.po
	include/languages/es.po
	include/languages/pl.mo
	include/languages/ko.po
	include/languages/it.mo
	include/languages/sl.mo
	include/languages/sk.po
	include/languages/uk.po
	include/languages/ro.po
	include/languages/pt.mo
	include/languages/ast.mo
	include/languages/en_AU.mo
	include/languages/bg.mo
	include/languages/index.pot
	include/languages/bn.po
	include/languages/nb.po
	include/languages/ar.po
	include/languages/cs.mo
	include/languages/en.po
	include/languages/pt_BR.mo
	include/languages/es.mo
	include/languages/ko.mo
	include/languages/fr.po
	include/languages/sk.mo
	include/languages/uk.mo
	include/languages/ro.mo
	include/languages/mr.po
	include/languages/ca.po
	include/languages/da.po
	include/languages/tr.po
	include/languages/de.po
	include/languages/sv.po
	include/languages/ja.po
	include/languages/zh_TW.po
	include/languages/he.po
	include/languages/bn.mo
	include/languages/nb.mo
	include/languages/fi.po
	include/languages/ar.mo
	include/languages/en.mo
	include/languages/hi.po
	include/languages/zh_CN.po
	include/languages/fr.mo
	include/languages/te.po
	include/languages/eu.po
	include/languages/en_GB.po
	include/languages/mr.mo
	include/languages/hu.po
	include/languages/ca.mo
	include/languages/da.mo
	include/languages/tr.mo
	include/languages/de.mo
	include/languages/sv.mo
	include/languages/ru.po
	include/languages/ja.mo
	include/languages/zh_TW.mo
	include/languages/he.mo
	include/languages/fi.mo
	include/languages/hi.mo
	include/languages/zh_CN.mo
	include/languages/el.po
	include/languages/gl.po
	include/languages/te.mo
	include/languages/eu.mo
	include/languages/en_GB.mo
	include/languages/et.po
	include/languages/nl.po
	include/languages/hu.mo
	include/languages/pl.po
	include/languages/it.po
	include/languages/sl.po
	include/languages/pt.po
	include/languages/ru.mo
	include/languages/ast.po
	include/languages/en_AU.po
	include/languages/bg.po
	include/languages/el.mo
	include/languages/gl.mo: Update languages to
	last launchpad strings

2011-02-21 Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/estado_agente.php: fixed the search/filter in the
	agent view, uncomment line...I didn't know the reason by this line
	was comment.
	
	Fixes: #3175137

2011-02-21 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* functions_ui.php: Fixed a graphical error displaying action list.

	Fixes: #3182502 

2011-02-21 Miguel de Dios  <miguel.dedios@artica.es>

	* include/styles/pandora.css, godmode/servers/modificar_server.php: added
	lost icons in the legend of servers.
	
	Fixes: #3174880

2011-02-21 Miguel de Dios  <miguel.dedios@artica.es>

	* include/ajax/agent.php: fixed the return of call ajax, now it haven't
	html entities.
	
	Fixes: #3174872

2011-02-21 Miguel de Dios  <miguel.dedios@artica.es>

	* ChangeLog: Change the number of item in tracker in previus commit. Sorry
	I have a mistake.  

2011-02-21 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/agent_manager.php: fixed the return of ajax call to
	search parents, now the agent names is without html entities.
	
	Fixes: #3174918

2011-02-21  Sergio Martin <sergio.martin@artica.es>

	* include/functions_networkmap.php: Fixed the group maps
	when the root group has not agents. Bug: 3152679

2011-02-21 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/visual_console_builder.elements.php: fixed the show
	icons for "label" and "icon", show tooltip on the type icons, hidde some
	fields as type of row. And now the image field show to icon type item and
	of course update too.
	
	Fixes: #3188080

2011-02-21 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/visual_console_builder.editor.js: fixed the update the
	items, now don't change the position if the data haven't the position.
	
	Fixes: #3188069

2011-02-21 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: added in function "get_group_agents" the
	parameter "$childGroups" for get the child groups. And in the function
	"get_user_groups" added the parameter "$id_groups" for to get groups. Add
	the function "get_id_groups_recursive" for to get groups in the tree groups.
	 
	* godmode/reporting/visual_console_builder.wizard.php: fixed the select box
	of agents when user have agents in subgroup in any subgroup in the tree
	group.
	
	Fixes: #3180902

2011-02-21 Javier Lanz <javier.lanz@artica.es>

	* godmode/alerts/alert_templates.php: Truncated Group name
	* godmode/alerts/alert_actions.php: Truncated Group name

2011-02-21  Ramon Novoa  <rnovoa@artica.es>

	* godmode/massive/massive_edit_agents.php: Check for false instead of
	  the number of updated agents.

2011-02-21 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/alerts/alert_list.builder.php: added the conditional to hide the
	create template or action when the user haven't privileges for this action.
	
	Fixes: #3182535

2011-02-21  Ramon Novoa  <rnovoa@artica.es>

	* operation/agentes/alerts_status.php: Fixed ACL check for alerts.

2011-02-19  Junichi Satoh  <junichi@rworks.jp>

	* godmode/agentes/configurar_agente.php: Fixed bad layout when
	length of agent name is more than 25.
	
2011-02-18 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php, operation/search_modules.php,
	operation/search_agents.php: sorry, I didn't think about the subgroups may
	have other subgroups (and this may be recursive), rewrite the SQL for
	search with groups, now the groups come from the PHP function to get
	all groups, children groups, grandchildren groups...

2011-02-18 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php, operation/search_modules.php,
	operation/search_agents.php: fixed SQL querys, this querys in previous
	version haven't lines SQL code for to search into subgroups.

2011-02-18 Javier Lanz <javier.lanz@artica.es>

	* operation/servers/view_server.php: Fixed ACL permissions
	* operation/servers/view_server_detail.php: Fixed ACL permissions
	* operation/menu.php: Let an "AR" user view 'Pandora servers' menu
	
	Fix: #3183477

2011-02-18 Miguel de Dios  <miguel.dedios@artica.es>

	* include/ajax/visual_console_builder.ajax.php,
	godmode/reporting/visual_console_builder.editor.js: fixed bug that erase the
	label of items when moving in other position.

2011-02-18 Javier Lanz <javier.lanz@artica.es>
	* godmode/gis_maps/configure_gis_map.php: Adding layer, group combo only
	displays user's groups.

2011-02-18 Javier Lanz <javier.lanz@artica.es>
	* godmode/gis_maps/configure_gis_map.php: Group combo now only displays
	user's groups.

2011-02-18 Sancho Lerena <slerena@artica.es>

        Merged bugfix from trunk.

        * operation/agentes/gis_view.php: Fixed ACL Problems in operation
        view (Was looking for PM instead AR!). Fixed search by date in data
        view for GIS data.


2011-02-17 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_reports.php
	godmode/reporting/reporting_builder.main.php
	godmode/reporting/reporting_builder.php:Only administrator users can select and see 
	group All in this views. 

	Fix: #3183412, 3183413 

2011-02-07 Javier Lanz <javier.lanz@artica.es>
	* godmode/gis_maps/index.php: Only display Default column to an admin
	user

2011-02-17 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_custom_graphs.php
	godmode/reporting/graph_builder.main.php
	godmode/reporting/graphs.php: Only administrator users can select and see 
	group All in this views.
	
	Fix: #3183419, 3183421

2011-02-17 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

        * operation/agentes/estado_agente.php
        godmode/alerts/configure_alert_template.php
        godmode/alerts/alert_list.builder.php: Now users can see alerts and templates
        of their groups and group "All".

2011-02-17 Javier Lanz <javier.lanz@artica.es>
	* godmode/gis_maps/index.php: Show only user's GIS maps
	
	Fix: #3183432

2011-02-17  Ramon Novoa  <rnovoa@artica.es>

	* include/help/en/help_agent_status.php,
	  include/help/es/help_agent_status.php,
	  include/help/ja/help_agent_status.php: The 'no monitors' status does
	  not make sense now that all modules have a status.

2011-02-17 Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/estado_agente.php: fixed the re-apply the safe_input in
	the search.
	
	Fixes: #3184647
	
	* include/functions_db.php: cleaned source code style.

2011-02-17  Ramon Novoa  <rnovoa@artica.es>

	* include/functions.php: Hide custom SQL reports from non PM users
	  when creating reports.

2011-02-17 Miguel de Dios  <miguel.dedios@artica.es>

	* images/os_icons/android_small.png,
	images/os_icons/embedded_small.png: added lost image files.
	
	Fixes: #3183495

2011-02-17 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/alerts/configure_alert_template.php
	  godmode/alerts/alert_templates.php
	  godmode/alerts/configure_alert_action.php
	  godmode/alerts/alert_actions.php
          godmode/alerts/alert_list.builder.php: If user is not admin then can't
	edit/delete/copy alerts/templates of other groups.

2011-02-17 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/visual_console_builder.editor.js: fixed the type of icon
	when create and after edit.

2011-02-17 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/visual_console/index.php: Correction for my last commit. Now in this 
	view users can see maps of group "All". 

2011-02-17 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/visual_console_builder.editor.js: cleaned the forgotten
	calls to generate traces for firebug.

2011-02-17 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/visual_console_builder.editor.js,
	godmode/reporting/visual_console_builder.editor.php: fixed the panel
	propierties for icon in the edition and creation, now it haven't label color
	and have preview icon and map link.

2011-02-16 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_alerts.php: New function get_alert_actions_filter.
	* operation/agentes/estado_agente.php: If user is not admin or doesn't have
	'PM' privileges then don't display alerts of others groups.
	* godmode/alerts/configure_alert_template.php: If user is not admin or doesn't have
	'PM' privileges then don't display templates of others groups.
	* godmode/alerts/configure_alert_action.php: Don't show "create command" option
	in this view if current user is not administrator or or doesn't have
	'PM' privileges.
	* godmode/alerts/alert_list.builder.php: If user is not admin or doesn't have
	'PM' privileges then don't display alerts of others groups.

	Fixes: #3182557, 3182566 	

	* include/functions_visual_map.php: Added a parameter in function get_user_layouts for 
	return All group or not.
	* godmode/reporting/visual_console_builder.data.php: In map creation only display "All"
	group if user has 'PM' privileges or is administrator.
	* godmode/reporting/map_builder.php: If user is not admin or doesn't have
	'PM' privileges then don't display maps of others groups.
	* operation/visual_console/index.php: If user is not admin or doesn't have
	'PM' privileges then don't display maps of others groups.

	Fixes: #3175721, 3175730	

      	* godmode/users/configure_user.php: Only are shown "pandora management" and 
	"database management" profiles if current user is not administrator or or doesn't have
	'PM' privileges.	
	* godmode/alerts/alert_list.list.php: Fixed query for alert search. 

2011-02-16  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_menu.php: Fixed a typo.

2011-02-16  Ramon Novoa  <rnovoa@artica.es>

	* include/functions_menu.php, operation/menu.php: Added a title to GIS
	  maps and Visual console maps in the menu. Fixes bug #3182148.

2011-02-16 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_visual_map.php: added links to services in the items in
	the view of visualmap.

2011-02-16 Miguel de Dios  <miguel.dedios@artica.es>

	* include/ajax/visual_console_builder.ajax.php: fixed other safe_ouput in
	the editor.

2011-02-16 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_visual_map.php: added lost safe_ouput in the extract
	DB fields.

2011-02-16 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_visual_map.php: added function "createInternalNameItem"
	and "get_items_parents".
	
	*include/ajax/visual_console_builder.ajax.php, 
	godmode/reporting/visual_console_builder.editor.php: changed the method to
	show items without name in visualmap as parents in the selectbox.

2011-02-16 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_visual_map.php: fixed the edit to set items with empty
	names.
	
	* include/ajax/visual_console_builder.ajax.php: fixed the position of
	items "icons".

2011-02-16 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: fixed check "<>" in other case as the ajax
	calls in the visual map.
	
	* godmode/reporting/visual_console_builder.editor.js: cleaned source code
	and added some comments.

2011-02-16 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/users/user_list.php: If user is not admin then don't 
	display users of others groups.

	Fixes: #3175670	

2011-02-16 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_visual_map.php: fixed the position of items in visual
	map when print by PHP.

2011-02-15 Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora.js, operation/agentes/ver_agente.php,
	godmode/reporting/visual_console_builder.wizard.php,
	godmode/reporting/visual_console_builder.php: fixed when the agent haven't
	any module and fixed when to try to create items without modules selected.

2011-02-15 Miguel de Dios  <miguel.dedios@artica.es>

	* operation/visual_console/render_view.php: fixed the link to edit
	visual console.

2011-02-15 Miguel de Dios  <miguel.dedios@artica.es>

	* operation/search_users.php: fixed unclose parentheses.

2011-02-15 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/users/user_list.php: Only display administrator users if
	current user is administrator too. 
	* godmode/users/configure_user.php: Only administrator can create
	administrator users. Only administrator users can assign group "All" to
	a profile.  

	Fixes: #3180761

2011-02-15 Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb.postgreSQL.sql, pandoradb.data.postgreSQL.sql: added column
	threshold from changes in last Ramon commit in MySQL.

2011-02-15 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/alerts/alert_list.php: fixed the lost var in the audit.
	
	Fixes: #3182470

2011-02-15  Ramon Novoa  <rnovoa@artica.es>

	* pandoradb_data.sql, include/functions_alerts.php,
	  pandoradb.sql, extras/pandoradb_migrate_v3.2_to_v4.0.sql,
	  godmode/alerts/alert_list.list.php, godmode/alerts/alert_list.php,
	  godmode/alerts/configure_alert_action.php, godmode/alerts/alert_actions.php,
	  godmode/alerts/alert_list.builder.php: Added support for action thresholds.

2011-02-15 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_alerts.php, operation/agentes/estado_agente.php: added
	check ACL in the show actions in the creation and edit of alerts.
	
	Fixes: #3166657

2011-02-15 Javier Lanz <javier.lanz@argica.es>
	* godmode/groups/group_list.php: Fixed ACL checkings

	Fix #3175824

2011-02-15 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: added in function "get_agent_modules" the
	default value null for get modules of agents in user's group.
	
	* godmode/massive/massive_delete_modules.php: fixed the select of modules
	now get only the modules of agents in user's group and now you can delete
	and view correcly the modules with acent or other not ascii characters.

	Fixes: #3182143 and #3175722

2011-02-15 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* operation/agentes/estado_monitores.php: Fixed a mistake replacing "<img" 
	tags for print_image function. 

2011-02-15 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/groups/group_list.php: refixed the position of check login for
	check in normal access and ajax access.

2011-02-15 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* godmode/menu.php: "godmode > manage alert > commands" tab only 
	displayed when user privileges are "PM".
	* pandoradb_data.sql 
	 pandoradb.data.postgreSQL.sql: Changed "Alert management" field to 1 in 
	"Chief Operator" row of tperfil table.
	* godmode/alerts/alert_templates.php: If user tries to delete a 
	template with group=ALL then must have "PM" access privileges.
	* godmode/alerts/configure_alert_template.php: If user tries to duplicate
	/edit a template with group=ALL then must have "PM" access privileges.
	* godmode/alerts/alert_actions.php: If user tries to duplicate/delete an 
	action with group=ALL then must have "PM" access privileges.
	* godmode/alerts/configure_alert_action.php: If user tries to edit an 
	action with group=ALL then must have "PM" access privileges.

	Fixes: #3180735	

2011-02-15 Javier Lanz <javier.lanz@artica.es>
	* godmode/users/configure_user.php: Truncated group name on user detail
	editor

2011-02-15 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/module_manager.php: erased the "prediction module" for
	policy view.
	
	Fixes: #3175826

2011-02-15 Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/groups/group_list.php: moved check ACL bottom the ajax call and
	added other check ACL in the ajax call.
	
	Fixes: #3180588

2011-02-15 Juan Manuel Ramon <juanmanuel.ramon@artica.es>
	* include/functions_html.php: print_input_image function now uses skins.
	* godmode/users/configure_profile.php: Added some variable initialization after
	selectinf a defined profile.

	Fixes: #3182041

2011-02-05 Javier Lanz <javier.lanz@artica.es>
	* pandora_console/images/wand_sla.png: Added sla wizard tab icon

2011-02-14 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: fixed the module search.
	
	Fixes: #3181086

2011-02-14 Javier Lanz <javier.lanz@artica.es>
	* godmode/reporting/reporting_builder.main.php: Table size changed to 90%
	* godmode/reporting/reporting_builder.item_editor.php: Fixed a small
	problem with an old field

2011-02-14 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_config.php, include/api.php, godmode/setup/setup.php:
	added the check by password the actions on API.
	
	Pending tasks: #3180793

2011-02-14 Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: fixed the include of extensions, mysql or
	postgresql for the api call or Pandora Mobile.

2011-02-14 Miguel de Dios  <miguel.dedios@artica.es>

	* include/db/postgresql.php: fixed in function "postgresql_insert_id" the
	lost var. Erased traces in the function "postgresql_process_sql". Added
	function "postgresql_escape_string_sql".
	
	* include/db/mysql.php: fixed duplicated function "mysql_process_sql". And
	added function "mysql_escape_string_sql".
	
	* include/auth/mysql.php: added method to autenticate with postgreSQL.
	
	* include/functions_db.php: added functions "select_db_engine",
	"connect_db". And divided the function "escape_string_sql" into avaliable
	engines.

2011-02-14 Miguel de Dios  <miguel.dedios@artica.es>

	* include/db/postgresql.php, include/db/mysql.php,
	include/functions_db.php: initial division of the DB core in several
	engines, at the moment mysql and postgreSQL (not complete).
	
	* include/functions_config.php, include/config_process.php: change source
	code to use new functions.
	
	* install.php: mark the mysql engine (in future select).

2011-02-14 Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb.postgreSQL.sql: added "block_size" and "flash_chart" columns on
	tusuario table.

2011-02-14 Juan Manuel Ramon <juanmanuel.ramon@artica.es>
	
	* pandoradb.sql
	extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added "block_size" and 
	"flash_chart" columns on tusuario table.

2011-02-14 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_config.php: Loads relative_path variable in user 
	session.
	* include/functions_db.php: Added include call to 
	functions_extensions.php.
	* godmode/groups/configure_group.php 
	godmode/groups/group_list.php: Added functionality to assign a skin to 
	a group.   
	* godmode/menu.php: Added an entry to skins submenu.
	* godmode/users/configure_user.php: Added functionality to assign a skin to 
	a user.   

2011-02-09 Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb.data.postgreSQL.sql: added the first version of data of Pandora
	DB for PostgreSQL.

2011-02-09 Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb.postgreSQL.sql: added the column "only_display_wrong" in the
	table "treport_content" from the changes in the main SQL in function mysql.

2011-02-09 Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb.postgreSQL.sql: added first version of schema of Pandora DB for
	PostgreSQL.
	
	* extensions/resource_registration.php: added lost lines of my previous
	commit on this file. 

2011-02-09 Javier Lanz <javier.lanz@artica.es>

	* include/functions_reportings.php: Added functionality to show only
	wrong modules
	* pandoradb.sql: Added column 'only_display_wrong" to treports_content
	* operation/agentes/estado_agente.php: Truncated agent name to 25 chars
	* extras/pandoradb_migrate_v3.2_to_v4.0.sql: Added column
	'only_display_wrong" to treports_content
	* godmode/reporting/reporting_builder.php: Added functionality to show
	only wrong modules
	* godmode/reporting/reporting_builder.item_editor.php: Added functionality
	to show only wrong modules

2011-02-08 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* include/functions_html.php: Image path in function print_image is now 
	relative.

	Fixes: #3175265

2011-02-11  Sancho Lerena <slerena@artica.es>

	* pandoradb_data.sql: Added new OS: android.
	
	* operation/agentes/estado_generalagente.php: Show description in GIS
	data when it's available.

	* images/os_icons/android.png,
	images/networkmap/15.png: New icons for Android OStype.

2011-02-07  Miguel de Dios  <miguel.dedios@artica.es>

	* pandoradb.sql: cleaned source code.

2011-02-07 Juan Manuel Ramon <juanmanuel.ramon@artica.es>

	* extensions/update_manager.php
	extensions/update_manager/main.php
	operation/search_modules.php
	operation/search_agents.php
	operation/gis_maps/render_view.php: Changed the way of print images from "<src=.." 
	html tag to print_image function.

2011-02-03 Juan Manuel Ramon <juanmanuel.ramon@artica.es>
 
	*     include/functions_menu.php
	      include/functions_html.php
	      include/functions_modules.php
	      include/functions_reporting.php
	      include/functions_filemanager.php
	      include/functions_gis.php
	      include/functions_networkmap.php
	      include/functions_visual_map.php
	      include/help/en/help_gis_map_builder.php
	      include/help/en/help_agent_status.php
	      include/help/en/help_eventview.php
	      include/help/en/help_configure_gis_map.php
	      include/help/en/help_cascade_protection.php
	      include/help/en/help_setup_gis_index.php
	      include/help/es/help_gis_map_builder.php
	      include/help/es/help_agent_status.php
	      include/help/es/help_eventview.php
	      include/help/es/help_configure_gis_map.php
	      include/help/es/help_cascade_protection.php
	      include/help/es/modu_group_list.php
	      include/help/ja/help_gis_map_builder.php
	      include/help/ja/help_agent_status.php
	      include/help/ja/help_eventview.php
	      include/help/ja/help_configure_gis_map.php
	      include/help/ja/help_cascade_protection.php
	      include/help/ja/help_setup_gis_index.php
	      include/functions.php
	      include/functions_db.php
	      include/functions_fsgraph.php
	      operation/incidents/incident_detail.php
	      operation/agentes/status_monitor.php
	      operation/agentes/estado_ultimopaquete.php
	      operation/agentes/alerts_status.php
	      operation/agentes/estado_generalagente.php
	      operation/agentes/estado_agente.php
	      operation/agentes/estado_monitores.php
	      operation/agentes/ver_agente.php
	      operation/agentes/group_view.php
	      operation/servers/view_server_detail.php
	      operation/snmpconsole/snmp_view.php
	      operation/users/user_edit.php
	      operation/gis_maps/render_view.php
	      operation/events/sound_events.php
	      operation/search_alerts.php
	      operation/reporting/reporting_viewer.php
	      operation/reporting/custom_reporting.php
	      operation/search_reports.php
	      operation/search_users.php
	      general/pandora_help.php
	      general/noaccess.php
	      general/ui/agents_list.php
	      general/header.php
	      godmode/groups/modu_group_list.php
	      godmode/groups/configure_group.php
	      godmode/groups/group_list.php
	      godmode/extensions.php
	      godmode/db/db_sanity.php
	      godmode/db/db_info.php
	      godmode/agentes/agent_template.php
	      godmode/agentes/module_manager_editor_common.php
	      godmode/agentes/module_manager_editor_network.php
	      godmode/agentes/fields_manager.php
	      godmode/agentes/module_manager.php
	      godmode/agentes/modificar_agente.php
	      godmode/agentes/planned_downtime.php
	      godmode/agentes/agent_manager.php
	      godmode/servers/recon_script.php
	      godmode/servers/plugin.php
	      godmode/servers/manage_recontask.php
	      godmode/alerts/alert_list.list.php
	      godmode/alerts/configure_alert_compound.php
	      godmode/alerts/alert_compounds.php
	      godmode/alerts/alert_actions.php
	      godmode/alerts/alert_list.builder.php
	      godmode/alerts/alert_commands.php
	      godmode/snmpconsole/snmp_alert.php
	      godmode/snmpconsole/snmp_filters.php
	      godmode/setup/os.list.php
	      godmode/setup/news.php
	      godmode/setup/links.php
	      godmode/setup/setup.php
	      godmode/users/user_list.php
	      godmode/gis_maps/configure_gis_map.php
	      godmode/massive/massive_add_alerts.php
	      godmode/massive/massive_delete_agents.php
	      godmode/massive/massive_enable_disable_alerts.php
	      godmode/massive/massive_delete_profiles.php
	      godmode/massive/massive_edit_agents.php
	      godmode/massive/massive_delete_action_alerts.php
	      godmode/massive/massive_delete_modules.php
	      godmode/massive/massive_add_profiles.php
	      godmode/massive/massive_delete_alerts.php
	      godmode/massive/massive_edit_modules.php
	      godmode/massive/massive_standby_alerts.php
	      godmode/massive/massive_add_action_alerts.php
	      godmode/modules/module_list.php
	      godmode/modules/manage_network_templates_form.php
	      godmode/reporting/reporting_builder.list_items.php
	      godmode/reporting/reporting_builder.preview.php
	      godmode/reporting/visual_console_builder.elements.php
	      godmode/reporting/graph_builder.graph_editor.php
	      godmode/reporting/reporting_builder.item_editor.php
	      godmode/reporting/graphs.php: Changed the way of print images from "<src=.." 
	html tag to print_image function.

	* include/functions_ui.php
	  mobile/operation/agents/view_agents.php: print_group_icon2 function renamed to print_group_icon_with_path

2011-02-03 Juan Manuel Ramon <juanmanuel.ramon@artica.es>
	* operation/search_alerts.php: Actions_name array now is initialized to void value.

	 Fixes: #3171506

2011-02-02  Sancho lerena <slerena@artica.es>

        * pandoradb.sql: Altered lenght for custom SQL reports.


2011-02-01  Junichi Satoh  <junichi@rworks.jp>

	* include/functions_fsgraph.php: Fixed html entities are displayed
	on graphs when time format contains them.

2011-01-31  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/modules/manage_network_components_form_wmi.php,
	godmode/modules/manage_network_components_form_plugin.php: added the field
	"Post process".

2011-01-31  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora_modules.js, pandoradb.sql,
	extras/pandoradb_migrate_v3.2_to_v4.0.sql,
	godmode/modules/manage_network_components_form.php,
	godmode/modules/manage_network_components_form_network.php,
	godmode/modules/manage_network_components.php: added the "post process"
	parameter to network component and use in network component editor and
	module editor.

2011-01-27  Sancho Lerena <slerena@artica.es>

	* ssh_console/howto_sign_applet.README,
	ssh_console/ssh_console.readme,
	vnc/VncViewer.jar,
	vnc/howto_selfsign_applet.README,
	ssh_console.php,
	vnc_view.php: VNC Extension now uses a signed Java applet to see
	remote servers. Added how to sign the cert on the SSH applet also.


2011-01-27  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php,
	godmode/modules/manage_network_templates_form.php: cleaned source style.
	
	* extensions/resource_registration.php: added extensión to import by xml
	file the network component, wmi component, smnp component and local
	component. And if the xml content a template, this component add into
	template.

2011-01-27  Miguel de Dios  <miguel.dedios@artica.es>

	* include/functions_db.php: fixed the check ACL in function
	"get_agent_modules", the global search alert fixed with this, and I think
	that fixed in other places.

2011-01-27  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/search_agents.php: refixed the order of parentheses.

2011-01-26  Sancho Lerena <slerena@artica.es>

	* ssh_console: new ssh extension (agent tab extension) it will exec a
	ssh java plugin to connect agent using it's main IP address. Requires 
	an external download (Mindterm SSH Applet), free for individual use.

	* vnc_view.php: Now uses VNC/HTTP port by default.

2011-01-26  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/status_monitor.php: fixed the ACL in the Module name for
	the select box in the filter.

	* operation/search_agents.php: fixed the ACL in the search of agent.

2011-01-26 Juan Manuel Ramon <juanmanuel.ramon@artica.es>
	* include/functions_html.php: In print_image function checks if skin 
	path is set for the current user and if it exists add it to the image path. 
	Added pos_tree option on print_image function.

2011-01-26 Javier Lanz <javier.lanz@artica.es>

	* include/functions_custom_graphs.php: Added 'date' parameter
	* operation/reporting/reporting_viewer.php: Longer text box
	* operation/reporting/graph_viewer.php: Added date control
	* godmode/reporting/reporting_builder.preview.php: Longer text box
	* godmode/reporting/graph_builder.preview.php: Added bottom controls
	
	Pending task: #3137696


2011-01-25  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/search_results.php: added the tab to show search list for
	modules. And cleaned source code style.
	
	* operation/search_modules.php: added the page to list the searched modules.
	
	* operation/search_agents.php: cleaned source code style.

	Pending task: #3141623

2011-01-24  Miguel de Dios  <miguel.dedios@artica.es>

	* include/pChart/pChart.class: fixed in the function "drawTextBox" when
	pass a empty $Text as empty array.

2011-01-24  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/search_agents.php: fixed the pagination in the global search
	result.

2011-01-24  Miguel de Dios  <miguel.dedios@artica.es>

	* include/javascript/pandora.js, operation/agentes/exportdata.php,
	operation/agentes/ver_agente.php,
	godmode/reporting/visual_console_builder.wizard.php,
	godmode/reporting/visual_console_builder.editor.js,
	godmode/reporting/visual_console_builder.elements.php: fixed to show by ajax
	the disabled modules and the disabled agents.
	
	Fixes: #3155701

2011-01-22  Sancho Lerena <slerena@artica.es>

	* pandoradb_data.sql: Updated SQL with version and new embedded "so".

	* include/config_process.php: Version.

	* images/os_icons/embedded.png,
	images/networkmap/14.png: New embedded agent icon.

2011-01-21  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/reporting/visual_console_builder.elements.php: fixed the show
	disabled modules in the list of element tab of the visual console editor.
	
	Fixes: #3155701

2011-01-20  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/status_monitor.php: fixed and optimized the extract the
	list of Module name for the select box in the filter.

2011-01-20  Miguel de Dios  <miguel.dedios@artica.es>

	* operation/agentes/estado_generalagente.php: fixed when the agent haven't
	ip address.
	
	Fixes: #3162646

2011-01-20  Miguel de Dios  <miguel.dedios@artica.es>

	* godmode/agentes/module_manager.php: added to call to enterprise functions
	to delete "pseudo code" of local module when delete in multiple delete
	action.
	
	Fixes: #3161621

	* include/functions_filemanager.php: cleaned source code old unused
	comments.
	
	* include/functions_ui.php: in function "printTruncateText" fixed when pass
	0 character to trunk, now return all text. And in function
	"print_agent_name" cleaned source code style.
	
